2007-2017 PrestaShop

NOTICE OF LICENSE

This source file is subject to the Open Software License (OSL 3.0)
that is bundled with this package in the file LICENSE.txt.
It is also available through the world-wide-web at this URL:
http://opensource.org/licenses/osl-3.0.php
If you did not receive a copy of the license and are unable to
obtain it through the world-wide-web, please send an email
to license@prestashop.com so we can send you a copy immediately.

DISCLAIMER

Do not edit or add to this file if you wish to upgrade PrestaShop to newer
versions in the future. If you wish to customize PrestaShop for your
needs please refer to http://www.prestashop.com for more information.

@author PrestaShop SA <contact@prestashop.com>
@copyright 2007-2017 PrestaShop  SA
@license    http://opensource.org/licenses/osl-3.0.php  Open Software License (OSL 3.0)
International Registred Trademark & Property of PrestaShop SA

Release Notes for PrestaShop 1.6
--------------------------------
####################################
#   v1.6.1.23 - (2018-11-01)
####################################


####################################
#   v1.6.1.22 - (2018-10-09)
####################################

    Fixed bugs:

    CO: Missing class const on cert refresh

####################################
#   v1.6.1.21 - (2018-10-03)
####################################

    Fixed bugs:

    BO: Fix Module configure permission
    BO: Disallow the negative discounts in orders
    BO: Replace serialize with json_encode

    FO : Removed duplicate expressions
    FO : Stop sending a copy of the contact message to the "author" (avoid spam)

    CO: Add a fallback to curl when file_get_content() return an empty response
    CO: Hide arguments in debug trace page
    CO: Fix the possibility to create a customer with "造" or "
    CO: Catch all Swift exceptions in Mail::Send()

####################################
#   v1.6.1.20 - (2018-06-27)
####################################

    Fixed bugs:

    BO: Improve cookie encryption
    BO: PHP 7.2 compat - Fix fatal error
    BO: Fix undefined property key on Rijndael

    FO: Control if customer is the owner of the selected order in contact form

    CO: Use https no http employee class

    WS: FIX PHP 7.1 compat in WebserviceOutputBuilder

####################################
#   v1.6.1.19 - (2018-05-28)
####################################

    Fixed bugs:

    BO: Fix directory listing

    FO: Add compliance to GDPR law for blocknewsletter, contact form and mail alerts

####################################
#   v1.6.1.18 - (2018-02-05)
####################################

    Fixed bugs:

    BO: Move to HTTPS
    BO: Update marketplace URL to http(S)
    BO: Fix AdminController's processDeleteImage() redirect after URL
    BO: Fix stock available after add product in order
    BO: Fix selecting a product does not work on Mac
    BO: Update AdminModulesController.php
    BO: Fix Stock cover report stock out calculation
    BO: Revert "Add paid order to stats dashboard even when there's no related invoice generated"

    FO: Hide the password in the confirmation email
    FO: Fix the blank page when no currency defined in the shop
    FO: Fix the sorting problem with a descending order in the products filtering page
    FO: Split width of summary invoice pdf
    FO: Fix conditionals check in DiscountController
    FO: Fix the email validator

    CO: Fixed for duplication of product which has both combinations and specific prices
    CO: Fix error 500, result of built-in function in write context
    CO: Fix PHP 7.1 compatibility
    CO: Increase limit message chars
    CO: Fix PHP Warning when updating category with multishop
    CO: Add DB prefix in delete() method all time $add_prefix is set to true
    CO: Clean the DB after language delete
    CO: Use english email template as fallback in getEmailTemplateContent

    IN: Update Postal Code of South Korea

    WS: Fix the update product web service


####################################
#   v1.6.1.17 - (2017-09-07)
####################################

    Fixed bugs:
    BO: Enable the create_order button when ordering virtual products & there's no available carriers
    BO: Fix the currency display in supply order
    BO: Fix coverage calculations in Stock Cover Report
    BO: Add paid order to stats dashboard even when there's no related invoice generated

    FO: Wrong gift display in My Voucher page in My Account
    FO: Fix the email validation in instant checkout
    FO: Secure the contact_form from spammers
    FO: Secure FO from JS injection in URL
    FO: Fix select delivery_option when changing the address in OPC
    FO: Display the price based on the feature Customer_Groups

    CO: Speed up search queries
    CO: Load id_shop routes when needed
    CO: Fix error when deleting a cart
    CO: Add is_object condition in isInt function to prevent the error 500
    CO: Fix duplicate url for supplier list when try to access a supplier
    CO: Update the encrypt and decrypt functions to support all PHP versions
    CO: Check if CMS Category is associated to shop


####################################
#   v1.6.1.16 - (2017-08-01)
####################################

	Fixed bugs:
    BO: Fix bulk delete for CMS Category
    BO: Remove download limit (SQL manager CSV export)
    BO: Fix the export link of ASM movements
    BO: Fixed bug about the language link in the reply_msg mail
    BO: Add unicode prime symbol in PDF
    BO: Add correctly the free_shipping cart_rule to an order from BO
    BO: Update only checked fields when multishop option activated

    FO: Fix multistore search indexation
    FO: Fix the pagination of the list of products
    FO: Fixed opc_id_address_invoice in OPC
    FO: Add impact on price to the product price
    FO: CategoryController - Show page 404 with an error instead of redirecting to the 404
    FO: Use $base_dir_ssl if SSL is enabled on CMS categories pages
    FO: Fix tax problems in shopping cart
    FO: Fix unit price of the product with combinations
    FO: Fix the translation when installing Prestashop

    CO: Use MySQL index in cart delete method
    CO: Undefined index base_price
    CO: Subrequest error in SQL Manager
    CO: Fix import theme while module use non registered hook in DB


####################################
#   v1.6.1.15 - (2017-06-28)
####################################

	Fixed bugs:
    BO: Do not clutter webcaches with duplicated assets' objects
    BO: Fix the conversion_rate in the order_payment table
    BO: Fix the categories tree
    BO: Display product reference in Stock management list (ASM)
    BO: Fix available quantity for ASM items in Order_edit & FO
    BO: Fix ASM real quantity issues when changing SupplyOrder status
    BO: Fix subcategories pagination
    BO: Prevent adding pack in itself
    BO: Add the condition of SSL_ENABLED to Google Maps
    BO: Eliminate currencies doubling in ASM currency list

    FO: Apache rules for .woff2 font files
    FO: Fix the specific price of the default combination
    FO: Fix line endings in theme's JS files
    FO: Fix Category Block in the Left Sidebar on Sitemap Page

    CO: getBaseLink() should be public
    CO: Fix AdminSlipController filter
    CO: Fix wrong keys for cache

    LO: Update colombian tax rate

    WS: Fix preg_replace /e modifier for PHP 7.1


####################################
#   v1.6.1.14 - (2017-06-05)
####################################

	Fixed bugs:
    BO: Pipes in product names in autocomplete
    BO: Fix taxes in credit slip
    BO: Fix the refresh button of the stats bloc in the products list
    BO: Add API_KEY field to display the map
    BO: Fix customer message order
    BO: Set correct value on load to display the right tab
    BO: Translation of return merchandise fields
    BO: Fix html interpreted as text in carrier's wizard summary
    BO: Fix non well formed numeric value
    BO: Fix error in HelperOptions

    FO: Fix popover with multiple wishlists
    FO: Shipping cost indication wrong
    FO: Fix 404 bug when query string contains a LF
    FO: Fix manufacturer pagination
    FO: Fix JS error "Uncaught ReferenceError"

    CO: Increase carrier delay length
    CO: Send Http 500 error code when we can't connect to the database instead of a 200 code
    CO: make OrderInvoice overridable

    LO: Replace EN (US) by EN (UK) in UK localization pack


####################################
#   v1.6.1.13 - (2017-04-10)
####################################

	Fixed bugs:
    CO: Optimization for Cart Rules
    CO: Fix url rewrite setting not used on multishop
    CO: Clean order detail cache after setting invoice id
    CO: Update Israel localization
    CO: Remove unused variables declarations and assignations

    BO: Error importing theme when cache directory is cleared
    BO: Allow stock transfer between warehouses in multishop context
    BO: Fix search in Advanced Stock Management
    BO: Use native round instead of 2 forced decimals
    BO: Replace comma with dot in special price
    BO: Don't double encode test email
    BO: Generate PDF invoices in user language
    BO: Fixes on must-have module upgrade

    FO: Fix Combination filter in stock management section
    FO: Fix price display when quantity discount on combination
    FO: Style categories tree in footer

    IN: Allow 255 char to company field in Adress
    IN: Fix install language

####################################
#   v1.6.1.12 - (2017-03-14)
####################################

	Fixed bugs:
	CO: Deflate .svg files
	CO: Webservices now show PS validation errors
	CO: Update Israel VAT to 17%
	CO: Fix bag with Cart::getPackageSthippingCost cache id
	CO: Fix send to multiple addresses with different names
	CO: Add missing option to bcc multiple addresses in Mail::send()
	CO: Use shop email as sender for template order_customer_comment
	CO: Fix 7.1 compatibility
	CO: Update Doc import files

	BO: Modification permission on Theme Page and option
	BO: Modification permission on Theme Page and option
	BO: Fix error when creating a zero value in the attribute size
	BO: Fix bug while filtering Credit Slip
	BO: Fix doubled quantity when ordering a customizable product
	BO: Callback on HelperList should have highest priority
	BO: Avoid overwriting $token in global Smarty context.

	FO: Product reference is now available in blockbestsellers module
	FO: Fix ecotax rounded twice
	FO: Bugfix JS with advancedEuCompliance
	FO: Fix product without combination hashchange

####################################
#   v1.6.1.11 - (2017-01-16)
####################################

	Fixed bugs:
	CO: Fix detection of APCu on Performance page
	CO: Cast id_cart to int to keep it in the SQL query
	CO: Performance opt on scandir() usage
	CO: Fix for MySQL error 1093 in generating the invoice number
	CO: Fix misuse of getimagesize returned informations
	CO: Fixed method Order::isVirtual
	CO: PHP 7.1 Fatal error: operator not supported in DbQuery.php
	CO: Fix multiple configuration entry for PERCENT_PRODUCT_OUT_OF_STOCK_EXPIRE

	BO: Fixed category search in product association tab
	BO: Fix date filter when entering BO
	BO: Fixed product customization duplication
	BO: Uploader helper multiple files undefined _max_files
	BO: Orders amount currency fixed
	BO: Remove synchronous javascript call in translations

	FO: Reset country in address page after error
	FO: Fix & optimize search::find queries
	FO: Re-instate default id for product list
	FO: Accessory product names are not the product name (Schema.org)
	FO: Fix grid view payment methods on small devices


####################################
#   v1.6.1.10 - (2016-11-25)
####################################

	Fixed bugs:

	[-] MO : (3b0f90b) missing IF for PRODUCT_TAB

	[-] BO : (3979614) Fix admin email translations


	Improved/changed features:

	[*] BO : (81d6f5b) Bring back email pattern value in case someone uses it





####################################
#   v1.6.1.7 - (2016-09-06)
####################################

	Fixed bugs:

	[-] BO : (f19ae86) Solved problem with non-unserialized filters datas

	[-] FO : (2636a31) Fix rouding error in ProductController (PSCSX-7566)


	Improved/changed features:

	[*] CORE : (e12c209) Fix a case where $context->smarty could be undefined


	Others:

	CO: Fixed cart rule removal with gift product
	CO: Fix bug #PSCSX-6142 - wrong default cover id in webservice
	CO: change visibility of installControllers() method
	CO: Fix warning when duplicating products

	FO: Add a hook on cart product line
	FO: Solved problem with a situation when we'd like to use category thumb w/o category lead banner
	FO : Prevent customer to view all codes

	Resolved "price.toFixed is not a function" issue
	PSCSX-7138 Bad discount computation when multiples tax rates are involved
	Keep CMS HTML code when upgrading


####################################
#   v1.6.1.6 - (2016-06-15)
####################################

	Fixed bugs:

	[-] BO : (2e3d0f6) fixed bug when no results with address and map does not exist
	[-] BO : (2d30765) add user shop origin in autocomplete cart rule
	[-] BO : (d207083) fixed bug parent tab list wont show if admin tab class is invalid.
	[-] BO : (052208b) fixed bug when toggle status product not logged

	[-] FO : (c0ee6b7) Fix CSS 404 when using subdirectory
	[-] FO : (e4a7b70) Only display vouchers available 'only' for customers
	[-] FO : (e4e2b61) smartyHook now returns empty string when module is not installed.
	[-] FO : (b2f9338) #PSCSX-5582 fix wrong displayed specific price on product detail
	[-] FO : (44c1b4e) Display only available vouchers in customer back office
	[-] FO : (c736160) on user bo, display all discount values

	[-] TEST : (c586ee3) Fix PHP 7 tests

	[-] CORE : (39241d6) Check for displayPaymentEU to fix advanced checkout restrictions
	[-] CORE : (fb208a3) Fix fatal error on classes/stock/StockAvailable.php (1.6)

	[-] PDF : (2d14094) Fix generation of PDF files

	[-] WS : (114f10b) Fix for PHP 5.2, 5.3 and 7.0 compatibility

	[-] MO : (e7a51f3) #NM-248 Broken pagination links in loyalty


	Improved/changed features:

	[*] FO : (4e1a70a) Added more information about minimum amount


	Added Features:

	[+] IN : (a1ce85c) All key must not be nullable





####################################
#   v1.6.1.5 - (2016-04-08)
####################################

	Fixed bugs:

	[-] PDF : (9f7ab92) update constraints on Addresses display
	[-] PDF : (e7103c4) updated b2b template
	[-] PDF : (e0bde47) invoices printing now done as page groups to keep the pagination relevant
	[-] PDF : (3464ca0) fixed pagination block display
	[-] PDF : (a788652) Moved note block to his own remplate
	[-] PDF : (b5ef9f2) (re) added shipping box in invoice

	[-] FO : (331527c) Fix incorrect cart rules list in case of country restriction (PSCSX-7873)
	[-] FO : (a343610) PSCSX-7449, fix parse error in AuthController.php
	[-] FO : (42d8847) #PSCSX-5582 fix wrong displayed specific price on product detail
	[-] FO : (755f77b) Fix warning if combinations are disabled
	[-] FO : (05b701f) Fix combination price calculation with impact and reduction
	[-] FO : (b1352d7) Fix JavaScript mistake in blocklayered.js
	[-] FO : (8ee195a) fixed bug on payment module, check if defined $order object

	[-] CORE : (9870d84) use a cached cacert file for curl
	[-] CORE : (deebce3) Fixed double preg_quote()

	[-] BO : (647eba0) Fix the display of the listing filters on the toolbar
	[-] BO : (6e69c4a) Change only active state on bulk status change
	[-] BO : (69b87a8) Fix incorrect shipping taxes in order slips (PSCSX-4881)
	[-] BO : (44eb96c) Fix filter by category change not working after other actions. …
	[-] BO : (76d53ac) add error message on upload theme bigger than post_max_size

	[-] LO : (011a2e5) Traditionnal Chinese for HK pack

	[-] TR : (948a3e5) language.xml - fix TW script

	[-] SECURITY : (cc49345) Fixes PSCSX-4841 Usage of ECB mode

	[-] CLASS : (7234efd) Alias / return false if feature is not active in aliasExists()

	[-] MO : (de7e9aa) bankwire / correct module name for translation


	Improved/changed features:

	[*] CORE : (85e6025) Update swift mailer
	[*] CORE : (81465fe) Add a fallback to curl when file_get_content() return an empty response

	[*] TR : (4b3ddf5) Update Polish installer
	[*] TR : (62bbc16) feature.xml in Vietnamese
	[*] TR : (1cce929) Update italian installer
	[*] TR : (5319857) Improve Dutch meta info

	[*] CLASS : (ec03391) Hook / indicate which method to use for deprecated methods

	[*] FO : (999ff45) Removed template logic that is not needed


	Added Features:

	[+] TR : (30c4adc) Adding Vietnamese installer





####################################
#   v1.6.1.4 - (2016-01-06)
####################################

	Fixed bugs:

	[-] CORE : (c243c8a) Fix ObjectModel error management on validation
	[-] CORE : (508e1cd) Fix AdminTab PHP 7 compatibilty
	[-] CORE : (355a4a7) Report of https://github.com/PrestaShop/PrestaShop/pull/3673
	[-] CORE : (0a07da9) fix #PSCSX-7007, notice in searchcron
	[-] CORE : (13285fd) Fix PSCSX-6953, bad upload error check

	[-] TESTS : (b826568) removed tests for prestafraud module

	[-] BO : (c35d896) Fixed bug in HTMLTemplateInvoice prevents problems with invoice prefixs
	[-] BO : (e71bdaa) fixed translation bug in prestashop addons modal
	[-] BO : (48d9da7) Fixed upgrade index specific_price table

	[-] FO : (0eecc7a) Fix #PSCSX-7021, bad specific base price for combinations
	[-] FO : (40717fa) Fix #PSCSX-7021, bad impact price / currency
	[-] FO : (0bd1bdc) Fix robots.txt rules for default language URLs
	[-] FO : (ed08594) Fix quantity discount table wont appear again after swith on combination without quantity discount


	Improved/changed features:

	[*] PROJECT : (bcbec89) Improve PHP 7 compatibility

	[*] BO : (ad3c187) #PSCSX-6251 on product order add unit product price without tax
	[*] BO : (06502f9) Dont restrict orders listing to addresses join

	[*] CORE : (94846bd) Fix #PSCSX-7015, Uploader setAcceptFiles case sensitive

	[*] FO : (83c7ee1) #PSCSX-5582 update price from discount when changing quantity


####################################
#   v1.6.1.3 - (2015-11-26)
####################################

	Fixed bugs:

	[-] FIX : (e3eef33) Uncaught Error: Access to undeclared static property: Validate::$field
	[-] FIX : (0ab3b7d) Uncaught Error: Access to undeclared static property: Validate::$field

	[-] BO : (c83e478) Revert from #4015 to allow longer meta
	[-] BO : (f1d09d6) Fix flush of local cache when adding a new specific price (PSCSX-7184)

	[-] FO : (bbbd4b3) Add id_order to order_details link to work without JS

	[-] LO : (673d7fe) Fix Intra-EU VAT





####################################
#   v1.6.1.2 - (2015-10-29)
####################################

	Fixed bugs:

	[-] FO : Fix wrong date check in specific price (PSCSX-6942)
	[-] FO : Fix performances issue with SpecificPrice (PSCSX-6942)
	[-] FO : Fix undefined var when no combinations
	[-] FO : Added missing hook for AdvancedEU on accessories
	[-] FO : Fix #PSCSX-6995, bad redirection on cart when minimum amount for order
	[-] FO : Fix performances issue with smarty custom
	[-] FO : Fix bug #PSCSX-6938, bad validation when empty zipcode validation pattern
	[-] FO : Metas in maintenance mode
	[-] FO : Fix #PSCSX-6926, notice Undefined index: nb_products
	[-] FO : Fix #PSCSX-6884, bad redirect when PS_CART_REDIRECT
	[-] FO : Fix #PSCSX-6888, products links without correct anchor for attributes in shopping-cart
	[-] FO : Fix bug #PSCSX-6884, could not add to cart in quickview
	[-] FO : #PSCSX-5366, no localstorage with Safari private browsing
	[-] FO : Fix #PSCSX-5053, Too much calls of findCombination again
	[-] FO : Fix #PSCSX-5480, content hooked to 'productListReviews' is removed on dynamic list/grid update
	[-] FO : Fix #PSCSX-5344, could not see available vouchers when changing quantities
	[-] FO : Fix #PSCSX-5447, no validation on non multishop filed in multishop
	[-] FO : Report of https://github.com/PrestaShop/PrestaShop/pull/3928
	[-] FO : Fix #PSCSX-5182, for newsletter flag for customer if previously registred as guet
	[-] FO : fix when clicking filters labels, not checkbox. Fixed an #3337 reported on 1.6.1.x
	[-] FO : Footer fix in default-bootstrap theme: nocache on copyright year #3351 reported on 1.6.1.x
	[-] FO : #PSCSX-6820 part 2/2
	[-] FO : Fix bug #PSCSX-6770, bad redirection to my account in accordion footer
	[-] FO : Fix #PSCSX-6749, OrderHistory multishop getCustomerOrders shared orders
	[-] FO : Fix #PSCSX-6701, notice on customizedDatas
	[-] FO : Fix #PSCSX-6699, Table 'ps_product_reductions' already exists
	[-] FO : Fix #PSCSX-6661 Fatal error Property CustomerThread->id_order is not valid
	[-] FO : Possible error Cannot read property 'iso_code' of undefined
	[-] FO : Possible undefined function binduniform
	[-] FO : Fix #PSCSX-5669, $errors_discount dead code, report of https://github.com/PrestaShop/PrestaShop/pull/3076
	[-] FO : Fix bug #PSCSX-4707, new products name in columns
	[-] FO : Fix #PSCSX-4898, possible fatal error in products-comparison
	[-] FO : Avoid possible undefined vars in global.js
	[-] FO : minimum order value outside order steps
	[-] FO : Fix #PSCSX-5445, take account of PS_SSL_ENABLED_EVERYWHERE in file manager config
	[-] FO : Css fix #PSCSX-5408, TOS width on small devices
	[-] FO : Fix #PSCSX-5319, dead code in product-list.tpl
	[-] FO : Fix #PSCSX-5483, missing nofollow in pagination.tpl
	[-] FO : Fix #PSCSX-5261, no alt on subcategories images
	[-] FO : Avoid displaying payment message
	[-] FO : Fix #PSCSX-6492, negative prices on product page
	[-] FO : Fix issue with multishop / multilanguage tags
	[-] FO : Fix #PSCSX-4899, Search alias for words containing hyphens fail
	[-] FO : Fix current_url variable used in pagination
	[-] FO : Fix #PSCSX-6582, could not change currency with PS_DETECT_COUNTRY
	[-] FO : #PSCSX-5459 Add to cart button for accessories

	[-] CORE : cleanCompareProducts interval
	[-] CORE : Could not edit a carrier, follow up https://github.com/PrestaShop/PrestaShop/pull/4094
	[-] CORE : Fix #PSCSX-7012, bad length for compagny field (address) for upgrade from < 1.5.2.0
	[-] CORE : #PSCSX-6970, fix typo in getCMSContent
	[-] CORE : Undefined var follow up https://github.com/PrestaShop/PrestaShop/pull/4006
	[-] CORE : Could not disable third party modules
	[-] CORE : #PSCFV-10112 notice Undefined index: host in classes/ConnectionsSource.php
	[-] CORE : Fix #PSCSX-4768, too much call of Carrier::addDeliveryPrice
	[-] CORE : Adding few casts to ValidateOrder
	[-] CORE : Error in foreign field name
	[-] CORE : Follow up https://github.com/PrestaShop/PrestaShop/pull/2509/files
	[-] CORE : Report of https://github.com/PrestaShop/PrestaShop/pull/3964
	[-] CORE : Report of https://github.com/PrestaShop/PrestaShop/pull/3963
	[-] CORE : Fixed currency convertion
	[-] CORE : Fix #PSCSX-5357, inconsistent cart rule country restriction
	[-] CORE : Allow invoice template override
	[-] CORE : Fix #PSCSX-6798, add index on search_index table
	[-] CORE : Fix #PSCSX-6797, hard coded table name in configuration class
	[-] CORE : Typo report of https://github.com/PrestaShop/PrestaShop/pull/3995
	[-] CORE : Fix #PSCSX-6719, bad cache on colors list on attribute deletion
	[-] CORE : Again and again fix #PSCSX-6719, bad cache_default_attribute on attribute group deletion
	[-] CORE : Fix #PSCSX-6814, bad sql query in Lanqguage::loadUpdateSQL()
	[-] CORE : Order::hasDelivery new return type
	[-] CORE : Fix #PSCSX-6755, Notice: Undefined variable: delivery_address in classes/pdf/HTMLTemplateOrderSlip.php
	[-] CORE : Fix #PSCSX-6632, Property StockAvailable->id_product is empty
	[-] CORE : Bad norm function getCountry
	[-] CORE : Revert of https://github.com/PrestaShop/PrestaShop/pull/2509
	[-] CORE : Fix #PSCSX-6637, incorrect cart total
	[-] CORE : Fix #PSCSX-5273 Reflect 6 decimals for product weight according db structure
	[-] CORE : Fix case statement in HTMLTemplateInvoice
	[-] CORE : Fix colon in switch statement
	[-] CORE : Remove leftover symbol in Translate.php
	[-] CORE : Stock synchronization fails in case of shared warehouse
	[-] CORE : #PSCSX-6577, could not load bootstrap-sortable.js with Chrome
	[-] CORE : DbMySQLi + socket

	[-] BO : Notice in AdminCustomers
	[-] BO : Fix #PSCSX-7050, wrong pictures shown in AdminProducts
	[-] BO : Fix bad usage of .html() instead of .text() in carrier_wizard.js
	[-] BO : Added missing escape on legend field product form
	[-] BO : Fix pagination, followup https://github.com/PrestaShop/PrestaShop/commit/dd3cf42354fc1a7cd08b6b9efe202b185bdf3239
	[-] BO : Show stock warning on products less then 0
	[-] BO : Fix PSCSX-6960 - AdminCustomerController, string now translatable
	[-] BO : remove old warning icon if no customer found when search one in create order
	[-] BO : Fix #PSCSX-6916, Bad redirect when deleting shopping cart rule in customer details view
	[-] BO : Fix #PSCSX-6903, Exception on specific price amount import
	[-] BO : Fix bug #PSCSX-6924, Property CustomerMessage->message is empty
	[-] BO : Fix #PSCSX-6837, delete thumb on product import
	[-] BO : Fix #PSCSX-6865 bad utm_campaign, notice: Undefined index: lang_iso
	[-] BO : Fix #PSCSX-6860, customer groups - remove enable status on customers
	[-] BO : Fix #PSCSX-6859, wrong redirect after editing customer
	[-] BO : Fix #PSCSX-6805, confusion about private messages in AdminCustomerThreads
	[-] BO : Fixed checking if module is trusted PSCSX-6883
	[-] BO : Fixed bug while testing module
	[-] BO : Fix #PSCSX-5435, remove back button message of expired POST data
	[-] BO : Fix meta description, follow up https://github.com/PrestaShop/PrestaShop/pull/4015
	[-] BO : Bad sql association for date_upd of product and categories, could not reorder
	[-] BO : Partial report of https://github.com/PrestaShop/PrestaShop/pull/3853
	[-] BO : fixed bug Unable to translate header
	[-] BO : Fix #PSCSX-6834 Enable product pack and product dematerialized for redirection product (Moved 301)
	[-] BO : Fix #PSCSX-6834 Enable product pack and product dematerialized for accessories
	[-] BO : fix column icon width
	[-] BO : Fix #PSCSX-6663, bad table id after DND
	[-] BO : Fix use of custom class with textarea (even if autoload_rte not set)
	[-] BO : Fix #PSCSX-6801, AdminBackupControllerCore and timeout
	[-] BO : Fix #PSCSX-6795, Catalog Rule for a specific shop do not save shop_id
	[-] BO : Group by on currencies on AdminSpecificPriceRule
	[-] BO : Fix #PSCSX-6667, bad action display when sub categories disabled
	[-] BO : Fix #PSCSX-6753, parse serror when quotes in import file name
	[-] BO : Fix #PSCSX-6804, could not bulk delete attributes
	[-] BO : Fix #PSCSX-6752, bad id for email translations toggle
	[-] BO : Fix #PSCSX-6743, possible Exception in product tabs loading
	[-] BO : Fix #PSCSX-6723, could not re enable module on devices
	[-] BO : Fix #PSCSX-6718, virtual product Duplicate entry
	[-] BO : Fix #PSCSX-6687, commas in carrier prices wizard
	[-] BO : Fix #PSCSX-6664, product date_upd when position change
	[-] BO : Fix #PSCSX-6664, category date_upd when position change
	[-] BO : Fix performance issue with tags
	[-] BO : #PSCSX-6658, wrong escaping in helpers/form/form.tpl
	[-] BO : undefined var in AdminProducts
	[-] BO : Fix #PSCSX-6636 modules logo witdh
	[-] BO : Fix #PSCSX-6629 typo Warehouse::$idintval
	[-] BO : Fix #SCSX-6588, wrong "back o list" href on AdminCategories
	[-] BO : name of select multiple in Form Helper TPL
	[-] BO : Fix #PSCSX-5442 cart rules don't retain customer name/email on error
	[-] BO : Fix issue with smarty lazy cache & timestamp (PSCSX-6601)
	[-] BO : Fix issue with smarty lazy cache & timestamp
	[-] BO : Fix #PSCSX-5271, notices on order statuses
	[-] BO : Duplicate currencies in AdminCountries in multishop
	[-] BO : Fix issue with cover image (PSCSX-6473)
	[-] BO : Fix product import dates
	[-] BO : Fix #PSCSX-6583 / You can now have a "from" date and a "to" date like '0000-00-00 00:00:00'
	[-] BO : Pass empty firstname and lastname email vars to mail template

	[-] INSTALLER : Date format was American (cherry picked from commit 7609530fce25663160def3d4387987d4c957885e)

	[-] TR : Change 'Uitzonderlijk' into 'Openstaand'
	[-] TR : #PSCSX-5938 Emails not copied into theme folder

	[-] IN : Wrong id_guest in cart.xml
	[-] IN : Bad install value for delivery table
	[-] IN : Fix #PSCSX-6700, could not install in Czech, missing translation for fixtures data, still needs translation to be done

	[-] WS : Manage multiple exclude filter values

	[-] CLASS : AdminController / Remove displayNoSmarty() method
	[-] CLASS : Module / $live_edit declared but not used
	[-] CLASS : Customization / Use getValue() instead of getRow()
	[-] CLASS : Address / Use getValue() instead of getRow() in isUsed() method
	[-] CLASS : Missing category param when update positions + duplicate call
	[-] CLASS : Category / Use DB delete() method in deleteCategoriesFromShop()
	[-] CLASS : Category / Use DB delete() method in cleanGroups() & cleanAssoProducts();
	[-] CLASS : Product / Use DB delete() method in cleanGroups()
	[-] CLASS : Customer / Give the possibility to filter on active field in getCustomers()
	[-] CLASS : Cart / Correct cache_key name for getOrderedCartRulesIds()
	[-] CLASS : Product / Use DB delete() method in deleteAccessories() & deleteFromAccessories() methods
	[-] CLASS : Product / Change getDefaultIdProductAttribute() method
	[-] CLASS : Product / Change getIdProductAttributeMostExpensive() method
	[-] CLASS : Product / Use null direclty instead of create new var as null
	[-] CLASS : Product / Call orderbyPrice only if there are some results

	[-] MO : #PSCSX-6820 related
	[-] MO : NM-188 Correct points on product load in loyalty

	[-] INSTALL : Fix possible duplicate hook

	[-] TEST : Removing PrestaFraud scoring test

	[-] PDF : #PSCSX-6569 Could not translate "Free Shipping" in pdf


	Improved/changed features:

	[*] BO : #PSCFV-12359 #PSCSX-1257 product tab async loading
	[*] BO : wording AdminCarrierWizard - typo
	[*] BO : wording - thumbnail image
	[*] BO : wording - assign vs affect
	[*] BO : Add versioning to addJS to renew admin.js
	[*] BO : Fix max width 96px on module logo on "not trusted module" popin. #3356 reported of 1.6.1.x
	[*] BO : makes picking products easier
	[*] BO : Fix #PSCSX-4024 removing extra sapace at end of product names and url rewrite
	[*] BO : Fix #PSCSX-6132 Add search_contains in chosen init
	[*] BO : Fix #PSCSX-6570, id_connections in last connections
	[*] BO : #NM-305 add driver in AdminInformation
	[*] BO : Meta title and description use textarea

	[*] CORE : SpecificPriceRule without conditions to id_product 0 instead of full products list
	[*] CORE : Fix htmlentities in conf
	[*] CORE : #PSCSX-3181, follow up https://gist.github.com/hereswhatidid/8c8edef106ee95138b03 implements data-keepinline for scripts not being defered
	[*] CORE : Media::getMediaPath improved
	[*] CORE : Fix #PSCSX-5772 & #PSCSX-4666, enable invoice number reset
	[*] CORE : #PSCSX-3576, add category thumbnail

	[*] FO : theme.sql new demo address
	[*] FO : Fix #PSCSX-5053, improve findCombination speed
	[*] FO : Add InStock mdata when out of stock is OK

	[*] TR : update Swedish installer
	[*] TR : Better consistency + improved readability
	[*] TR : Translate placeholder imgs to Dutch
	[*] TR : Translate login info mail to Dutch
	[*] TR : Translated risk levels to Dutch (cherry picked from commit 1e6788f358bc850d3d22964839aaa885119c9be9)
	[*] TR : Translated country list to Dutch (cherry picked from commit ea0cdff236936f6a5af3511c0f285dbda24983b6)
	[*] TR : Swedish install files, few edits
	[*] TR : Translate install xml files to Swedish

	[*] IN : fixtures, add some Czech translations

	[*] MO : Blocklanguages add hreflang and rel alternate to the links for a better SEO and avoid duplicate content

	[*] INSTALL : Alter ignore drop key is now generic and fix an 1.6.1.1 error
	[*] INSTALL : The 1.6.1.1 indexes are now safely removed





####################################
#   v1.6.1.1 - (2015-08-20)
####################################

	Fixed bugs:

	[-] FO : Fix #NM-132 undefined var
	[-] FO : Fix #PSCSX-6537 / show-right-column in body class
	[-] FO : Fix bug #PSCSX-6517, could have edit with defer JS + missing closing tags + additionnal js loading in ajax from #PSCSX-2361 again
	[-] FO : Fix #PSCSX-6520 Wrong product availability text on Price drop page
	[-] FO : Fix bug #NM-579 Signing in does not change status in the top navbar
	[-] FO :  undefined var + could not add to cart without block cart top hooked
	[-] FO : display only specific price by current combination
	[-] FO : remove leftColumnBlocks var declaration in global.js
	[-] FO : Fix #PSCSX-6504 / Productcomments and new global.js stars are not display correctly
	[-] FO : no cart-summary.js on step 0 with minimu order error
	[-] FO : #PSCSX-6432 fix bug while specific price start to 1 quantity and initial price to 0
	[-] FO : Fix #PSCSX-6236, search missing lowercase chars
	[-] FO : Remove useless parenthesis
	[-] FO : add colors to product list before the hook "actionProductListModifier"
	[-] FO : Fix #PSCSX-2183 bdisplay of one_phone_at_least in OPC
	[-] FO : Fix temp table on slave issue
	[-] FO : Can not see addresses when already registred as guest in OPC
	[-] FO : Fix missing cart rule lines in shopping cart
	[-] FO : Fix bug #PSCSX-5153, bad free shipping display when carrier out of range
	[-] FO : Fix #PSCSX-5820, close new acount form
	[-] FO : Fix #PSCSX-4346 correct ajax display of reduction
	[-] FO : Fix #PSCSX-4346 specific price amount tax
	[-] FO : #PSCSX-6427, link to favorites product in my accoutn with https
	[-] FO : Fix bug #PSCSX-4260, "Free shipping" for virtual products, undefined $virtualCart
	[-] FO : Fix #PSCSX-6316, display bug with uniform and selects in left column
	[-] FO : #PSCSX-6341 fix bug when apply cart rule with free shipping
	[-] FO : Fix #PSCSX-5038 order state on split order
	[-] FO : Fix #PSCSX-5038 quantity on order detail of split order
	[-] FO : #PSCSX-5065, backward compat
	[-] FO : auth error if $back is not defined
	[-] FO : $order is as class variable
	[-] FO : theme retro-compatibility regarding the CGV
	[-] FO : #PSCSX-6227 ajax search add hook for stats search
	[-] FO : Fix #PSCSX-6345 handle id_product_attribute
	[-] FO : Fixed bug showing errors in manufacturer list
	[-] FO : Wrong discount table for combination
	[-] FO : Invalid combination price in case of ecotax
	[-] FO : Fix #PSCSX-6275, issue with attribute anchor separator
	[-] FO : Fix #PSCSX-4340, wrong tax label display in cart summary
	[-] FO : Fix bug #PSCSX-6103, no product images in cart when combinations feature not active
	[-] FO : Fix #PSCSX-6165, root category in breadcrumb
	[-] FO : Fix #PSCSX-4340, wrong tax label display in blockcart layer
	[-] FO : NOTICE: non-existing property
	[-] FO : fixed wrong postcode regexp validation
	[-] FO : Fix wrong statement close

	[-] BO : Fix memcached test (PSCSX-6348)
	[-] BO : Fix issue with multiple trees loaded on the same page (PSCSX-6268)
	[-] BO : Hightlight default combination into Product Quantities tab
	[-] BO : Fix #PSCSX-6474, bad display of inputs in orders
	[-] BO : #PSCSX-6437 Product import, each image downloaded twice.
	[-] BO : Fix placeholder clear event in AdminCustomerThreadsController
	[-] BO : Fix #PSCSX-6474 currency input in orders
	[-] BO : Fix bug with AdminOrdersController when trying to edit a product
	[-] BO : Fix cover image issues (PSCSX-6473)
	[-] BO : #PSCSX-6458 KPI not loaded
	[-] BO : #PSCSX-6441 small css fix
	[-] BO : #PSCSX-6385 remove ability to order position while filtering
	[-] BO : Fix filters errors
	[-] BO : #PSCSX-6453 Import duplicates parent categories if it does not exist
	[-] BO : Set file as required in attachment form
	[-] BO : badges in quickview modal
	[-] BO : Fix #PSCSX-6457 "Maintenance Mode" disappears in Modules page
	[-] BO : Fix #PSCSX-5992, bad display of carriers list
	[-] BO : #PSCSX-5968, unable to add payment choosing specific date
	[-] BO : #PSCSX-5931 type input field 'file' with multiple option to true
	[-] BO : Correct chosen-sprite.png link
	[-] BO : Fix #PSCSX-6380 , spaces in products' image url when importing
	[-] BO : #PSCSX-6290 Datetimepicker hidden by header
	[-] BO : again Fix #PSCSX-5821, after filtering products issue with category
	[-] BO : Fix bug #PSCSX-5996, ordering Attributes Groups
	[-] BO : Fix KPI refresh functions
	[-] BO : #PSCSX-6308 refacto order slip PDF generation
	[-] BO : Fix #PSCSX-5407 correct cart summary total
	[-] BO : Usage of defined Referrer variable
	[-] BO : Could not export default theme in dev mode because of .sass-cache
	[-] BO : Fix #PSCSX-4214, "Recommended modules" on Localization Tab
	[-] BO : Fix timeout on customer modules list
	[-] BO : #PSCSX-6305 Display filters in back-office on mobile
	[-] BO : Fix use of custom class with textarea (even if autoload_rte not set)
	[-] BO : Remove duplicate bought and must have modules
	[-] BO : Fixed bug in partial refund, not executed the hook actionOrderSlipAdd #PSCSX-6287
	[-] BO : Fix #PSCSX-6367, unable to see status of vouchers related to customer
	[-] BO : Fix #PSCSX-6361, in employee admin theme list name, each theme name is "default"
	[-] BO : Use original PS Addons width for modules icons (57 px)
	[-] BO : Fix bought module that can't be installed because of the "must have" type
	[-] BO : Fix getModuleTranslation()
	[-] BO : Fix #PSCSX-5821, after filtering products issue with category tree filter
	[-] BO : avoid redirection on addons registration
	[-] BO : Fix #PSCSX-5390, duplicate in modules exceptions
	[-] BO : libxml_clear_errors cache issue in AdminController Modules list
	[-] BO : Set stock option the same for all context shops when creating a new product
	[-] BO : Fix #PSCSX-6234, could not update category position to first position
	[-] BO : Fix #PSCSX-6206, bad redirection on Transform a guest into a customer
	[-] BO : Incorrect price TI initialisation in case of ecotax
	[-] BO : Fix #PSCSX-6160, could not select hook in Admin Modules Positions
	[-] BO : FixBug #PSCSX-6208 - Profiling redirection error
	[-] BO : Fix unknown iso_user JS var while in AdminTab
	[-] BO : Fix sign out exception with debug profiling
	[-] BO : Fix bug #PSCSX-6246 - Wrong cart status filter
	[-] BO : FIX #PSCSX-6158, notice in modules list
	[-] BO : Fix #PSCSX-5365 id_shop not well set
	[-] BO : Fix #PSCSX-5738 duplicate product on supply order
	[-] BO : Fix #PSCSX-5883 need to check if multistore is enable
	[-] BO : Fix #PSCSX-6138, CustomerMessage->message length (244826) must be between 0 and 65000
	[-] BO : Fix #PSCSX-5844, Property CustomerMessage->message is not valid
	[-] BO : Fix bug #PSCSX-6154 - Customer filter in orders
	[-] BO : Media::addJsDefL should be called in admin controllers with addslashes and no htmlentities
	[-] BO : More flexible way to declare click function
	[-] BO : Fix #PSCSX-6087 "Maintenance Mode" disappears in Modules page
	[-] BO : Fix #PSCSX-6086, wrong version in header
	[-] BO : Fix bug #NM-513 - JavaScript error on modules using AdminTab
	[-] BO : Change bulk modules update
	[-] BO : Fix bug #PSCSX-6052 - Invalid date_upd in import
	[-] BO : Fix tree issue
	[-] BO : Fix #PSCSX-5615 tinymce allow all html element

	[-] PDF : Order slip Tax detail computation fix. #PSCSX-6408
	[-] PDF : EN to dejavusans
	[-] PDF : Fix shop_address missing in old order_invoice outside of upgrade process
	[-] PDF : smarty warning for Order slip. #PSCSX-6245
	[-] PDF : Fix #PSCSX-5167, bad date display in delivery slip
	[-] PDF : Need to use product_reference that depend of attribute

	[-] CORE : #PSCSX-5164 notices
	[-] CORE : Fix PSCSX-6544, typo in replaceAccentedChars for letter B
	[-] CORE : Fix bug #PSCSX-5912, actionCategoryDelete on all sub tree
	[-] CORE : Avoid a division by zero that produces warning
	[-] CORE : Fix #PSCSX-6484, fatal error on PrestaShopCollection::getAll
	[-] CORE : Fix #PSCSX-6478 module override with explicit dependencies in ctor
	[-] CORE : wrong currency on partial voucher using a different currency in an order
	[-] CORE : Fix namespace usage in new Core Stock management for PHP 5.2 until v1.7
	[-] CORE : Warning on getAvailableCarrierList
	[-] CORE : Fix #PSCSX-6420, Notice: : id_country in Country.php
	[-] CORE : Fix #PSCSX-6425, phpdoc on orderSlip
	[-] CORE : Fix #PSCSX-5471 don't need to update if continue before
	[-] CORE : Fix #PSCSX-5611 delete advanced stock row when delete product
	[-] CORE : Fix #PSCSX-6395, Exception Property StockMvt->id_supply_order is not valid
	[-] CORE : Fix Configuration::updateValue method result
	[-] CORE : Fix inserting HTML configuration variable first time
	[-] CORE : Remove non-existent params from comment
	[-] CORE : Fix #PSCSX-5629 Meta don't scan override dir to check new front controller
	[-] CORE : Fix #PSCSX-6081 add those db field in the definition
	[-] CORE : Fix missing backquotes on Employee
	[-] CORE : Fix #PSCSX-6153 id shop not well set so don't cache
	[-] CORE : Correct bug were supply order where validate etc.. but stock not added
	[-] CORE : Tools::str_replace doesn't exist
	[-] CORE : [-] fix #PSCSX-5826, sql db exception on features and attributes positions cleaning
	[-] CORE : Added missing hook on update logo from AdminTheme
	[-] CORE : Try to fix #PSCSX-5167, no payment mention in delivery pdf when no invoice
	[-] CORE : Fix #PSCSX-3480 htaccess generation with media server
	[-] CORE : Module class now add 4 space instead of a tab
	[-] CORE : Correct regex that remove ligne when not needed
	[-] CORE : Fix #PSCSX-5882 delete loose the information out of stock etc..
	[-] CORE : bad property name. image_type doesn't exist anymore. Replaced by imageType
	[-] CORE : Fix translation issue with html entities
	[-] CORE : Fix PHP 5.2 issue on FileSystem Core class
	[-] CORE : fix SSL in CMS links

	[-] IN : Fix #PSCSX-6535 + PSCSX-6346 adding id_cart to id_product_2 key in specific_price
	[-] IN : Fix bug #NM-474, no hook on header for blocktopmenu on theme copy
	[-] IN : Fix #PSCSX-6133, Property TaxRulesGroup->date_add is not valid

	[-] LO : fix translation ES tabs
	[-] LO : correct Sweden flag

	[-] WS : Fix current_state not filterable on Orders (#PSCSX-5578)

	[-] TEST : Clear hook_alias cache
	[-] TEST : You mustn't do assertion on setup or teardown
	[-] TEST : add setUpBeforeClass()

	[-] PROJECT : Fixed constant name in Order::getTotalPaid
	[-] PROJECT : getBrightness() with a short $hex (e.g.: #FFF)

	[-] MO : update.gitmodules / add .git to sendtoafriend url

	[-] CLASS : DbQuery / Add rightJoin() and rightOuterJoin() methods
	[-] CLASS : OrderDetail / Use DbQuery->letJoin() instead of join with LEFT JOIN inside


	Deprecated methods:

	[~] BO : filters on Prices will match only Equality instead of %LIKE%. #PSCSX-6248

	[~] PROJECT : Product packs: specific case to decrease stocks of a pack if one product is sold separately, as #PSCSX-4759


	Improved/changed features:

	[*] MO : Fix #NM-423, no h2 in blockcart

	[*] BO : wording for gross margin KPIs
	[*] BO : modules new categories "Customer Reviews", "Social & Community".
	[*] BO : AdminDeliverySlip - wording
	[*] BO : AdminEmployeesController;php - wording for newsletter subscription
	[*] BO : meta.php - error message punctuation
	[*] BO : Remove version under the employee drop down
	[*] BO : updated BG tab translations
	[*] BO : add SR translation for tabs
	[*] BO : add ID translation for tabs
	[*] BO : add HU translation for tabs
	[*] BO : add CS translation for tabs
	[*] BO : fix PSCSX-6378, add NL translation for tabs
	[*] BO : Fix #PSCSX-6299, Bo redirect_after on AdminSearch
	[*] BO : Update wording about SSL
	[*] BO : Allow SSL in _PS_HOST_MODE_
	[*] BO : #PSCSX-6240 dashbord add tax excl to sales and cart value
	[*] BO : #PSCSX-6226 get real margin in stats best category
	[*] BO : #PSCSX-6227 display tax ecxlude on average order/cart value
	[*] BO : add bower/saas files to gitignore
	[*] BO : Fix #PSCSX-6134, redirect_after on adminCustomers
	[*] BO : Missing "readonly" attribute in form.tpl for "textarea" input type (Helpform)
	[*] BO : fix #PSCSX-6096 untranslate string in orders pdf

	[*] LO : updated ES tab translation
	[*] LO : fix PSCSX-5812 - updated tab translations

	[*] PROJECT : gitignore rules to ignore more mails template changes
	[*] PROJECT : Added TODO comment about Configuration::updateValue method
	[*] PROJECT : Convert indentation to spaces

	[*] CLASSES : Add actions hooks when customer logs in / out

	[*] PDF : Added page number and page count in footer
	[*] PDF : #PSCSX-6166, Fix base price for specific price in %
	[*] PDF : Shop address missing for old orders < 1.6.1 as #PSCSX-6169

	[*] FO : Better display of carrier logo during order process
	[*] FO : Remove inline css from js for advancedPayment option
	[*] FO : Using class instead of id for displaying AEUC hook

	[*] CORE : Partial Fix #PSCSX-6135, include users proper defines file


	Added Features:

	[+] TESTS : Add unit tests for PrestaShop#2867 minifyCSS() && ReplaceByAbsoluteURL()





####################################
#   v1.6.1.0 - (2015-07-03)
####################################

	Fixed bugs:

	[-] BO : Fix PSCSX-5831
	[-] BO : Fix PSCSX-5831
	[-] BO : Fix #PSCSX-6063 php warning while display cart without customizable product
	[-] BO : Fixed wrong front url to live edit when rewrite url activate and also one lang configured
	[-] BO : Fix bug #PSCSX-6029 - Wrong php warning message
	[-] BO : fix missing check for new memcached extension
	[-] BO : fix issue with cat creation (PSCSX-5899)
	[-] BO : fix issue with image resize when original is smaller than target
	[-] BO : fix issue with image resize when original is smaller than target
	[-] BO : fix issue with image resize when original is smaller than target
	[-] BO : fix issue with image resize when original is smaller than target
	[-] BO : fix warning
	[-] BO : Fix bug #PSCSX-5364 - Missing retina option
	[-] BO : unsued if statement
	[-] BO : FixBug #PSCSX-1996 - Impossible to disable shop url
	[-] BO : #PSCSX-5898 wording
	[-] BO : fix bug when generate Pdf delivery slip, wrong constant called with customized products
	[-] BO : FixBug #PSCSX-5913 - Wrong column name
	[-] BO : Fix PSCSX-1856, Labels edition in multishop
	[-] BO : The design is broken with a width between 767px and 924px
	[-] BO : HelperForm / Add possibilities to show success, warning and error messages
	[-] BO : statuspage JS is included if _PS_HOST_MODE_ is true
	[-] BO : Render Payment Add button correctly
	[-] BO : Fix bug #PSCSX-5326, Bad product thumb in order
	[-] BO : Install specific modules for hosted shops
	[-] BO : Fix category creation during import
	[-] BO : #PSCSX-5221 Filter contact services by shop
	[-] BO : FixBug #PSCSX-5713 - Undefined javascript variable
	[-] BO : disable modals on login page, fix some php notices
	[-] BO : fixed bug while adding new customized product into new order
	[-] BO : Fix apcu compatibility
	[-] BO : Fix PSCSX-1856, edit images legends
	[-] BO : Fix issue with multiple cart rules
	[-] BO : Fix Catalog prices rules shop group context
	[-] BO : Fix bug #PSCSX-5170, 'undefined' on images upload, reverts dummy https://github.com/PrestaShop/PrestaShop/commit/295b070c332565e5406d015ef28e880316ed5092
	[-] BO : Correct appearance of warning
	[-] BO : Fix #PSCSX-5453 correct processsave return
	[-] BO : Fix #PSCSX-5462 correct employee permission
	[-] BO : Fix issue with checkbox / radio button in the category tree
	[-] BO : #PSCSX-5589 Dashboard filter date update
	[-] BO : Display rights warnings while updating a language pack
	[-] BO : Fix generation of export themes
	[-] BO : Fix memleak during thumbnail generation
	[-] BO : Fix #PSCSX-5402, bad alias in list filters thanks @vox_fr
	[-] BO : Fix #PSCSX-5440 avoid too much quantity refund in standard refund
	[-] BO : Fix #PSCSX-5401, limit results for customers search.
	[-] BO : Fix bug #PSCSX-5209 Bad positions moving on other page than first page
	[-] BO : Fix parent category selection in category creation
	[-] BO : Updated forums link
	[-] BO : Allow lazy cache to properly handle partial cache_id struct [-] FO : Add cache_id to createTemplate for product-list-colors
	[-] BO : verifyMail less strict on extention length
	[-] BO : make name accept PERCENT_PRODUCT_OUT_OF_STOCK_EXPIRE
	[-] BO : make name accept PERCENT_PRODUCT_OUT_OF_STOCK_EXPIRE
	[-] BO : Fix #PSCSX-5159, warnings on tabs
	[-] BO : Correct search for catalog product
	[-] BO : Fix #PSCSX-2093 undefined $order
	[-] BO : Change getBaseURI call in filemanager config
	[-] BO : fix PSCSX-5171 - missing translation in PDF
	[-] BO : fix variable initialization
	[-] BO : fix PSCSX-5141 - bad URL
	[-] BO : remove type column in adminorders shipping table
	[-] BO : fix issues with ajax tree loading when creating a new category
	[-] BO : Fix #PSCSX-5006, duplicated addresses on customers import + could not update addresses
	[-] BO : AdminOrderPreferences - typo
	[-] BO : #PSCSX-4326, currency unit to real currency
	[-] BO : Fix NaN on price if ecotax isn't set
	[-] BO : Fix #PSCSX-4272 Groups customers list does not filter by shop
	[-] BO : set proper shop context during search indexing (PSCSX-5097)
	[-] BO : Fix bug #PSCSX-4358, could not reorder features and attributes when no deltas, satart position at 0 like catetgories, products, cms // follow up https://github.com/PrestaShop/PrestaShop/commit/6a4cd46540097e899a6c85617d608d4d81bd3b52
	[-] BO : Fix default_on value update
	[-] BO : Fix tree category issue
	[-] BO : Fix tree category issue
	[-] BO : Fix tree category issue
	[-] BO : Fix filter category tree issue
	[-] BO : AdminImportController / Use $var with Shop::isFeatureActive()
	[-] BO : Bad display of module description in moudle lists
	[-] BO : AdminImportController / Use $var with Tools::getValue()
	[-] BO : Fix #PSCSX-5076, wrong positions in category list
	[-] BO : Fix tree category issue
	[-] BO : Fix #PSCSX-5006, add forceid to addresses import thanks @indesign47
	[-] BO : PaymentModule -> missing translation
	[-] BO : AdminImagesController -> missing translations
	[-] BO : Fix bug #PSCSX-5062 Return slip pdf is not possible to download from back-office
	[-] BO : Languages form.tpl - remove extra space
	[-] BO : AdminEmails / FIX #PSCSX-5000
	[-] BO : wording harmonization - back office - part 2
	[-] BO : wording harmonization - back office - part 1
	[-] BO : Uploader -> add translations
	[-] BO : HelperImageUploader -> add translation
	[-] BO : Fix attribute indexing (PSCSX-5028). Adapted from PR #2651
	[-] BO : Speed up search indexing & reduce memory usage (PSCSX-5039)
	[-] BO : Fix bug #PSCSX-5027, bad cast in Helperlist
	[-] BO : Fix bug #PSCSX-4917, missing multiple_value_separator
	[-] BO : fix count optimizations
	[-] BO : Add back the ability to fully flush the template cache
	[-] BO : Notice follow up https://github.com/PrestaShop/PrestaShop/commit/1f0a89954adf849f5670788e4e3394a44ec05eca
	[-] BO : Fix Syntax Error
	[-] BO : Fix #PSCSX-4929 display problem of media server
	[-] BO : Fix #PSCSX-4948 correct filemanager url in multistore
	[-] BO : Fixed bug importing products when id_shop_default not 1
	[-] BO : Fix #PSCSX-4787
	[-] BO : AdminModules - Fix #PSCSX-4988
	[-] BO : Fix bug #PSCSX-4733 again
	[-] BO : Fix bug #PSCSX-4762 again
	[-] BO : Fix bug #PSCSX-4733, threads statuses not translated
	[-] BO : Fix warnings #PSCSX-4734 in AdminRequestSql
	[-] BO : Fix bug #PSCSX-4735, add list_id to sql forms
	[-] BO : Removed hardcoded BO header image
	[-] BO : Fix #PSCSX-4736, cms default order by
	[-] BO : Fix bug #PSCSX-4762, too much calls of getQuantityAvailableByProduct
	[-] BO : don't try to update the routes if the rewriting is disabled (the form is empty)
	[-] BO : Fix Lithuanian encoding in PDF generation
	[-] BO : Fix #PSCSX-4939 mistake
	[-] BO : AdminimportController -> addresses add DNI
	[-] BO : AdminimportController -> addresses add DNI
	[-] BO : Fix delivery time string language in carrier wizard summary.
	[-] BO : Fix Bug #PSCSX-4829
	[-] BO : Fix #PSCSX-4791 disabling advanced stock
	[-] BO : Fix warehouse when add stock
	[-] BO : AdminimportController -> active manufacturer
	[-] BO : Sync stock reference, EAN13, UPC codes when updating product and attributes
	[-] BO : Fix function return value in write context in AdminWarehousesController.php
	[-] BO : Fix #PSCSX-4738 check if field is send
	[-] BO : Fix bug #PSCFV-12280 again, page number on processStatus button
	[-] BO : Fix bug #PSCFV-12280, save product list, last part
	[-] BO : Fix bug #PSCFV-12280, save product list, first part
	[-] BO : Fix #PSCSX-3035 swap helper update and add if no selected carrier for warehouse
	[-] BO : Fix bug #PSCSX-4747, Inactive customers when creating new orders
	[-] BO : unused variable
	[-] BO : FixBig #PSCSX-4690, #PSCSX-4676 - Fixing Credit slip - Part 2
	[-] BO : FixBig #PSCSX-4690, #PSCSX-4676 - Fixing Credit slip - Part 1
	[-] BO : Missing Warehouse product location on ajax order product calls
	[-] BO : Fix #PSCSX-4676 (follow up all in ti or te)
	[-] BO : FixBug #PSCSX-4667 - Do not refund if no quantity selected
	[-] BO : AdminShopUrlController -> add translation
	[-] BO : AdminShopGroupController -> add translation
	[-] BO : AdminShopController -> add translation
	[-] BO : Hide field for totally refunded product line
	[-] BO : Show free shipping vouchers in manual order
	[-] BO : Fix bug #PSCSX-4635, could delete own account in bulk
	[-] BO : Notices + bad merge
	[-] BO : #PSCSX-4625, could not see errors on adding quicklink
	[-] BO : avoid duplicates on modules image thumbnail
	[-] BO : Fix #PSCSX-4567 Instant stock
	[-] BO : Fix #PSCSX-4496 send if add tax or not to voucher
	[-] BO : FileManager -> add translations
	[-] BO : TinyMCE -> add translations
	[-] BO : missing double quote breaking addons modal title and link
	[-] BO : The new products now gets the group reductions correctly
	[-] BO : Fix #PSCSX-4267 standard refund mess up
	[-] BO : Fix Bug #PNM-3248 - Missing module name in warning
	[-] BO : Fix #PSCSX-4479 correct media server if settings was badly update
	[-] BO : Fix #PSCSX-4320 typo error
	[-] BO : Fix #PSCSX-4320 typo error
	[-] BO : Fix #PSCSX-4453 check float instead of int
	[-] BO : Fix #PSCSX-4452 correct sync for product in pack
	[-] BO : Fix #PSCSX-4538, typo
	[-] BO : Fix the wrong impact price value on the combinations list helper.
	[-] BO : Fix bug #PSCSX-4504, could not delete order retunr states
	[-] BO : Fix #PSCSX-4504, bad display for two last default order states
	[-] BO : #PSCSX-4479 Add check on htaccess before changing media servers
	[-] BO : Fix #PSCSX-3408 : Carrier package size are tested for every rotation possible
	[-] BO : Avoid slash in special product name
	[-] BO : #PSCSX-3031 - Set KPI for product out of stock
	[-] BO : fixed bug : it's not possible to override some AdminCartRulesController template
	[-] BO : Permit "product_rule_group.tpl" override
	[-] BO : FixBug #PSCSX-385 Cart rule does get minimum amount with correct curreny
	[-] BO : FixBug #PSCFV-8755 - Total shipping amount include in second voucher
	[-] BO : FixBug domain not added to regenerated htaccess
	[-] BO : Error display on image legend length
	[-] BO : Remove percentage char from frendly url
	[-] BO : Clear CCC cache after media servers update
	[-] BO : Image upload, legend can be null
	[-] BO : fixed bug loading wrong root category in AdminCategoriesController
	[-] BO : Undefined on image upload, revert of https://github.com/PrestaShop/PrestaShop/commit/48b7a49b1aea34a2def355ffec1d4c08dfdbdfd6
	[-] BO : Double separator in function createTemplate()

	[-] CORE : Fix PHP 5.2 Dispatcher warning on parse_url()
	[-] CORE : Fix issue with PHP 5.2 and func_get_args()
	[-] CORE : Fix bug PSCSX-5952 - HTMLPurifier_Config not loaded
	[-] CORE : Fix issue with advancedeucompliance dependencies and Tax label display
	[-] CORE : FixBug #PSCSX-5698 - Wrong ecotax calculation
	[-] CORE : Module. New line replacement
	[-] CORE : Fix issue with OPC/Advanced payment API when deleting all products from cart
	[-] CORE : Fix #PSCSX-5724 avoid db exception
	[-] CORE : Fix payment and carrier for OPC mode
	[-] CORE : Fixed duplicate in EmailLister::getAvailableMails()
	[-] CORE : follow up 4b21903 : we got this wrong, need to start from the tax incl price
	[-] CORE : Fixed OPC with AdvancedPaymentOptions activated
	[-] CORE : Fix #NM-345 need to recalculte depth only when current depth as changed
	[-] CORE : Fixed issue with newInstanceArgs on PHP 5.3
	[-] CORE : Fix potential issue on EmailLister::getAvailableMails()
	[-] CORE : Fix testing Exception handler
	[-] CORE : Fix #PSCSX-5605 correct query syntax error
	[-] CORE : Fix potential sql issue while using reserved SQL keywords
	[-] CORE : Fix #PSCSX-1919 allow <style> in email
	[-] CORE : OPC + AdvancedPayment now handle forms properly
	[-] CORE : Remove language cache on localization install
	[-] CORE : EntityRepository::getNewEntity() is now public
	[-] CORE : Fix minimal quantity calculation in CartController::processDeleteProductInCart
	[-] CORE : Set header title for PDF
	[-] CORE : Fix #PSCSX-5244 problem multishop reindex
	[-] CORE : Fix bug #PSCSX-5361, bad regex in packJSinHTML
	[-] CORE : Fix #PSCSX-5074 upgrade module camel case
	[-] CORE : Currency not well installed
	[-] CORE : pdf prefix in order returns
	[-] CORE : Correct var typo in class Email
	[-] CORE : Fix module dependcy injection
	[-] CORE : actually use passed Context in Link->getLanguageLink()
	[-] CORE : Add logs when unseting a cart in FO
	[-] CORE : fix unregisterHook with name
	[-] CORE : Fix #PSCSX-5217 check if isfeature active
	[-] CORE : Fix #PSCSX-5204, undefined var $languages
	[-] CORE : Fix Warehouse::getWarehouseById replace stock table by warehouse_product_location
	[-] CORE : Fix #PSCSX-5130 check if is free
	[-] CORE : Fix #PSCSX-1919 allow <style> in email
	[-] CORE : Fix undefined function in WebserviceRequest
	[-] CORE : Set correct CHF currency format - Follow-up #2757
	[-] CORE : format currency Switzerland
	[-] CORE : getFieldsLang should return parent - follow 8fa5ffc681e36882f9fdc164710b73b74a5998d7
	[-] CORE : fix sass errors
	[-] CORE : follow up fe37ea2c11c004d5f1172cdd82cd290b2abe7b8d add the config var like htmlpurifier do
	[-] CORE : Fix #PSCSX-4594 escape { } if purify for mail template
	[-] CORE : Fix date_add in multishop
	[-] CORE : Incorrect variable for delivey-slip pdf on mail attachment
	[-] CORE : Fix #PSCSX-4910 trim empty line
	[-] CORE : Remove left column on CashOnDelivery validation step
	[-] CORE : Fix jQueryNoConflict secure protocol
	[-] CORE : force remote_addr check with apache headers
	[-] CORE : Fix #PSCSX-4733 // KISS
	[-] CORE : prevent bad SQL concatenation
	[-] CORE : Fix Syntax Error on AdminTab
	[-] CORE : Escape link in AdminTab
	[-] CORE : fixed visibility for Controller::redirect() and add setter for $redirect_after
	[-] CORE : Fix notices #PSCSX-4884
	[-] CORE : Correct upgrade cms multishop
	[-] CORE : Fix #PSCSX-4801 creation multistore when copy cms page
	[-] CORE : Fix #PSCSX-4810 getItemTable
	[-] CORE : Fix #PSCSX-4775 id_shop_default badly set at add & update
	[-] CORE : Fix #PSCSX-4794 correct abstrat class removeoverride
	[-] CORE : Change hook name from actionGetZoneById to actionGetIDZoneByAddressID. Related: #2395
	[-] CORE : Fix #PSCSX-4773 regex correction
	[-] CORE : Fix bug #PSCSX-4109, Module installation issue with multistore
	[-] CORE : Fix #PSCSX-4648 Product virtual can't use ASM
	[-] CORE : Fix bug #PSCSX-4538 Unexcepted HTML entities in CSV export
	[-] CORE : Fix bug #PSCSX-4652, bad override of pdf template
	[-] CORE : Fix #PSCSX-4594 escape { } if purify for mail template
	[-] CORE : Fix bug #PSCSX-1907 // follow up https://github.com/zapalm/PrestaShop/commit/2768cf4c6afc11e1d97be3f9bb906881248eb9ad
	[-] CORE : Fix bug #PSCFV-12701, could not reuse partial voucher in guest account
	[-] CORE : Avoid double "?" into $link->getPaginationLink() when using ModuleFrontController
	[-] CORE : Fix #PSCSX-4654 better handle of syntax + bug correction
	[-] CORE : backward compatibility with "tab" parameter
	[-] CORE : Fix bug #PSCSX-4654, could not install module override
	[-] CORE : Follow fix #PSCSX-4621 : Wrapping fees deducted event if not active.
	[-] CORE : Fix #PSCSX-4621 wrapping & voucher
	[-] CORE : Fix #PSCSX-4496 all in ti
	[-] CORE : Module*Controller::$controller_type must be set after parent constructor #PSCSX-4530
	[-] CORE :  Fix #PSCSX-4473, could not disable admin template override
	[-] CORE : Fix bug #PSCSX-4477, exception on adding profile
	[-] CORE : fix cache name in State.php
	[-] CORE : Fix #PSCFV-12694, set default value in base for available_date
	[-] CORE : added hook on processFilter to modify the fields_list
	[-] CORE : #PSCSX-4331, double payment when invoices disabled
	[-] CORE : Fix bug #PSCSX-4330, additional quotes in TR
	[-] CORE : Fix bug #PSCSX-4326, bad specific price conversion
	[-] CORE : fixed bug : its was not possible to autoload a class which extends a class in a namespace or a implements an interface in a namespace.
	[-] CORE : fixed bug : its was not possible to autoload a class which extends a class in a namespace or a implements an interface in a namespace.
	[-] CORE : Fix Product::getPriceStatic() quantity discounts cache
	[-] CORE : Ensure correct parent category for home categories
	[-] CORE : update cartrule feature active on cartrule updating

	[-] LO : Fix state node
	[-] LO : Fix states node, import failure
	[-] LO : Fix PSCSX-4657 - metric system for El Salvador

	[-] FO : #PSCSX-5065, url rewrite bug on color list
	[-] FO : OPC - fixed bug (cgv validation removed) when update carrier data
	[-] FO : Fix bug #PSCSX-5990 - Missing old price
	[-] FO : Fix bug #PSCSX-5283 - Wrong reduction calculation
	[-] FO : fix #PSCSX-5850, Short description manufacturer
	[-] FO : unsued if statement
	[-] FO : Fix closing tag in smarty
	[-] FO : Fix closing tag in smarty
	[-] FO : Fix input labels in registration form
	[-] FO : wording
	[-] FO : fancybox for CGV with advanced payment api
	[-] FO : Fix #PSCSX-5573, could not change HOOK_SHOPPING_CART_EXTRA
	[-] FO : Fix #PSCSX-5573, could not change HOOK_SHOPPING_CART_EXTRA
	[-] FO : Prevent loop if auth is set to true in FrontController
	[-] FO : Fix an issue when 5_steps + only virtuals products + advanced payment
	[-] FO : #PSCSX-5243 Unactive product preview layout
	[-] FO : Fix issue when no paymentOption at all found
	[-] FO : Fix issue when advanced payment api on with 5 steps checkout
	[-] FO : fixed bug while adding twice customizable product in cart
	[-] FO : Prevent errors after page redirect
	[-] FO : Fix #PSCSX-5439 refresh shipping cost when delayed shipping
	[-] FO : Fix #PSCSX-5154 error message shipping condition
	[-] FO : order-detail / see order reference even if the re-order is disabled
	[-] FO : minimal quantity on add to cart button
	[-] FO : call autoAddToCart when removing a voucher
	[-] FO : Fixed missing parameter on hook displayProductPriceBlock in product.tpl
	[-] FO : Added missing displayProductPriceBlock hook in product.tpl
	[-] FO : Fix #PSCSX-4729 before set a carrier free you need to check if the cart rule is in the cart
	[-] FO : Fix #PSCSX-5397, bad bigpic display
	[-] FO : FixBug #PSCSX-5255 - Quantity reduction now base on original price
	[-] FO : Fix language in Dispatcher
	[-] FO : Fix minifyCSS() for Quoted URLs in Media.php and replaceByAbsoluteURL() in Tools.php
	[-] FO : Bad rule in product.css
	[-] FO : Fix bug #PSCSX-5299, fatal error in guest OPC
	[-] FO : Correct IE8 syntax error
	[-] FO : Fix bug #PSCSX-4925, TCPDF ERROR: [Image] Unable to get image
	[-] FO : Fix breacrumb home link with ssl in all pages
	[-] FO : Specific prices + group reduction
	[-] FO : Bad display of old_price
	[-] FO : Fix #PSCSX-5199, prevent undefined for ajax param
	[-] FO : Exception in Cart.php
	[-] FO : Fix #PSCSX-4346 specific price + group reduction price isn't right
	[-] FO : Fix #PSCSX-4925, parse error in /pdf/footer.tpl
	[-] FO : Fix bug #PSCSX-5145, [-] FO : Fix bug #PSCSX-5145, crossseling in shopping cart bxslider restart
	[-] FO : Schema url needs to point to product page instead of image
	[-] FO : Wrong number of displayed products in Search
	[-] FO : Fix css bug #PSCSX-5047
	[-] FO : Fix css bug #PSCSX-5047
	[-] FO : Fix #PSCSX-4326, bad roudings on product page
	[-] FO : Fix css bug #PSCSX-5047
	[-] FO : Fix #PSCSX-4326, Incorrect prices on product page using reduction amount and more currencies, first part
	[-] FO : fix disappearing radio button when hovering.
	[-] FO : Exception when dateFormat in produt.tpl
	[-] FO : Fix bug #PSCSX-5077, Country ISO code js validation
	[-] FO : Fix #PSCSX-5103 cat image not resized whitout decription
	[-] FO : Exception when dateFormat in produt.tpl
	[-] FO : layer cart css border radius when screen
	[-] FO : Fix bug #PSCSX-4990, inconstancy of PS_DETECT_COUNTRY
	[-] FO : Back button won't return to previous page
	[-] FO : #PSCSX-5065, backward compat
	[-] FO : Fix bug #PSCSX-5065, Wrong picture displayed after click on a color in category
	[-] FO : Fix missing $ on product css
	[-] FO : Fix bug #PSCSX-5040, could not see availability with tag search
	[-] FO : Bad dispaly color of availaibility when qry < 0 && allow oos
	[-] FO : Fix bad display of itemprops
	[-] FO : Fix #PSCSX-5050, for in to for in product.js
	[-] FO : Fix #PSCSX-5004, re enable minus button after quantity increase in cart when minimal quantity
	[-] FO : Fix bug #PSCSX-4918, could not translate add to cart in productscategory
	[-] FO : follow up https://github.com/PrestaShop/PrestaShop/commit/fc3efea1a6723b2ba5bbd01a3e2fa5dafb114277
	[-] FO : Fix bug #PSCSX-4739, contact select with deleted contacts
	[-] FO : Fix css bug #PSCSX-4757, display nav on small screns
	[-] FO : Fix bug #PSCSX-4796, customers orders in multishop on contact.tpl
	[-] FO : Fix bug #PSCSX-4807 again, small screen
	[-] FO : Fix bug #PSCSX-4807, display bug when switching between grid and list display
	[-] FO : Fixed typo in css.
	[-] FO : re-open customer thread from history page
	[-] FO : Fix bug #PSCSX-4853, position and price sort + typo in tpl
	[-] FO : Remove js from favoritesproducts, follow up https://github.com/PrestaShop/favoriteproducts/commit/8303ac1b4e61c88d8c10dc0bcaafb18293dec97f
	[-] FO : Too much calls of findCombination + Bad selection for selects and radios in checkurl with uniform
	[-] FO : undefined vars on old core, thanks @atchworks
	[-] FO : Fix bug #PSCSX-4804, form closed in order-detail.tpl
	[-] FO : Fix bug #PNM-2760, bad delete link
	[-] FO : Fixed bug allowing large original store picture to be used in the store-list, instead of the medium thumbnail one
	[-] FO : Fix bug #PSCSX-4628, commas in Adress formats // first part
	[-] FO : Fix bug #PSCSX-4628, commas in Adress formats // last part
	[-] FO : Fix #PSCSX-4450 correct getItemTable
	[-] FO : Fix #PSCSX-4570 multi-shipping tpl
	[-] FO : #PSCSX-4568, opti
	[-] FO : Fix bug #PSCSX-4606, controller_type changed
	[-] FO : Follow up https://github.com/PrestaShop/PrestaShop/pull/2466
	[-] FO : Follow up https://github.com/PrestaShop/PrestaShop/pull/2458
	[-] FO : blockcms-> change year
	[-] FO : productcomments -> 5 stars by default
	[-] FO : Fix bug #PSCSX-4467, Exception in guest checkout
	[-] FO : Fix #PSCSX-4535 Partial use correction
	[-] FO : Fix bug #PSCSX-4354, bad default order by best sales controller
	[-] FO : Fix bug #PSCSX-4424, could not index products in multishop
	[-] FO : Fix bug #PSCSX-4539, unactive cms category still displayed
	[-] FO : Try to fix bug #PSCSX-4488, bad image for combination
	[-] FO : Fix discount Percentage rouding for shopping cart
	[-] FO : Fix discount Percentage rouding for product page
	[-] FO : Fix bug #PNM-2169 again, #PNM-3228, favorites products when ssl not on all pages
	[-] FO : Fix bug #PSCSX-4427, clear color list cache when removing combination
	[-] FO : #PSCSX-4337, move to getProducts
	[-] FO : #PSCSX-4337, product total
	[-] FO : Fix bug #PSCSX-4337, bad unit price display and update
	[-] FO : Fix PSCSX-4144 : Logo on invoice can be too big.
	[-] FO : Fix bug #PSCSX-4186, bad cart unit refresh in OPC
	[-] FO : Fix bug #PSCSX-4318, could not configure column on pagenotfound
	[-] FO : Fix bug #PSCSX-4309, bad delivery time in multicarrier
	[-] FO : Fix bug #PSCSX-4222, add id_attribute in attributes anchor
	[-] FO : fixed cart rules cache id #PSCFV-11123 #PSCFV-11175
	[-] FO : Trim before truncate
	[-] FO : Fix bug #PSCFV-11098 MO images under media servers
	[-] FO : Fix bug #PSCFV-11098 logo under media servers
	[-] FO : Fix bug #PSCFV-11267, bad cache on carrier choice in normal checkout
	[-] FO : Fix bug #PSCFV-11361, inner join on category_product
	[-] FO : Fix bug #PSCFV-11356 bad query on product sales

	[-] INSTALLER : Fix syntax error in SQL file
	[-] INSTALLER : Fix 1.6.0.12 sql upgrade On multilingual shops, when the table cms_category_shop is added, a duplicate entry is triggered. INSERT IGNORE is now used to avoid the problem.
	[-] INSTALLER : Remove missing's keys drop And add one missing
	[-] INSTALLER : Fix #PSCSX-4951 Do less request and don't download same file multiple time
	[-] INSTALLER : cashondelivery -> translation
	[-] INSTALLER : Try to get the error message instead of an undefined error

	[-] INSTALL : Fix customisation field upgrade crash (For 1.6.0.12)
	[-] INSTALL : Fix some DROP KEY problems
	[-] INSTALL : Fix upgrade crash from executeS
	[-] INSTALL : Fix install script for the media servers

	[-] CLASS : CMSCategory / Use correct var name (CMS instead of Product)
	[-] CLASS : Customization / Use correct field [thx @JeanMarcMORIN1]
	[-] CLASS : AdminController / Remove assigns wich will be done after
	[-] CLASS : Helper List / Change delete to default
	[-] CLASS : FrontController / Take the ID directly bypassing Currency::getCurrencyInstance()
	[-] CLASS : DbMySQLi / Remove $this in static method
	[-] CLASS : AdminController / Set bootstrap as true
	[-] CLASS : Tag / Use delete() method
	[-] CLASS : Theme / No need to use _DB_PREFIX_
	[-] CLASS : Theme / Coding Standard
	[-] CLASS : Upgrader / Remove empty row
	[-] CLASS : Zone / Use delete() & update() methods
	[-] CLASS : WebserviceKey / Remove unused query and use delete() method instead of a SQL Query
	[-] CLASS : Tools / getBrightness: hack to have a readable color if background is transparent
	[-] CLASS : CartRule / If no currency set, use the default one.

	[-] IN : fix #PSCSX-5676 Small css fix
	[-] IN : Try to fix Warning: is_dir(): open_basedir restriction in effect.
	[-] IN : Fix bug #PSCSX-4665, invoice_number length
	[-] IN : Bad check on column in p15012_add_missing_columns.php
	[-] IN :  bad reset on vars in migrate_orders

	[-] MO : Update price on voucher delete in blockcart
	[-] MO : #NM-406 Fix title
	[-] MO : Bug fix blockwishlist #NM-377 Images not displayed for bought products
	[-] MO : blockcms / Use dynamic year
	[-] MO : AdminPerformanceController -> missing translations
	[-] MO : AdminPerformanceController -> missing translations
	[-] MO : Uploader -> missing translations
	[-] MO : crossseling -> missing translation
	[-] MO : Fix blocklayered select filter event
	[-] MO : blocklayered some fixes and improvements
	[-] MO : Could not have translations on install from addons
	[-] MO : Blockcart, correct short product name with HTML entities
	[-] MO : fixed bug #PSCFV-9642 - Slider does not scroll when define language from right to left
	[-] MO : Fix add truncate tag

	[-] PROJECT : #PSCSX-5686 Fix wrong product count in getSuppliers function.
	[-] PROJECT : FixBug #PSCSX-5022 - Wrong rounding price display
	[-] PROJECT : Fix syntax errors in js/retro-compat.js.php
	[-] PROJECT : $sql can be a string

	[-] PROJET : Cleaning cache of method getCartRules() must also clean the cache of getOrderedCartRulesIds()

	[-] PDF : Update supply-order-footer.tpl

	[-] TEST : Fix bug with various environments

	[-] HELPER : KPIRow / Remove whitespace in template

	[-] SECURITY : Fix PSCSX-4566 : Allow user to set a html value for configuration, safely.

	[-] WS : Bug fix - invalid method signature for getWsCurrentState in Order.php. Issue PSCSX-4423 on Forge
	[-] WS : adding a new order history must call OrderHistory::addWs()

	[-] TR : Fix bug #PSCSX-4330, could not transalate moudle string with quote


	Deprecated methods:

	[~] DEPRECATED : Product::$base_price

	[~] MO : MailAlerts : alert deletion from account When on "my account > my alerts", the "delete" link was not working because of the missing $id_shop parameter in MailalertsActionsModuleFrontController::processRemove()


	Improved/changed features:

	[*] PDF : Update invoice.total-tab.tpl
	[*] PDF : wording
	[*] PDF : (#PSCSX-5964) Rebranding of "Order-return" and "Supply-order" like invoice PDF
	[*] PDF : Rebranding of Credit-slip and Delivery-slip PDF (#PSCSX-5964) to match Invoice PDF style
	[*] PDF : Invoice - remove total products after discounts
	[*] PDF : Fix ecotax in product lines
	[*] PDF : Fix display of 'No taxes' label
	[*] PDF : Display price_before_discount for percentage discount
	[*] PDF : Update delivery-slip.tpl
	[*] PDF : supply-order-footer.tpl is now translatable
	[*] PDF : Invoice - Add Country in shop address
	[*] PDF : Use helvetica for English language
	[*] PDF : Split invoice into multiple sub templates
	[*] PDF : Refacto tax breakdowns template
	[*] PDF : tel and fax translation

	[*] LO : updated installer translation (DE, TR)
	[*] LO : updated translation files
	[*] LO : updated wording, ES install.php
	[*] LO : Updated French VAT rates for 2014

	[*] CORE : Avoid returned password on failed login
	[*] CORE : Smarty syntax formatting
	[*] CORE : Update DB adapter accordingly to Db::escape update for backquotes
	[*] CORE : Db::escape now handle properly backquotes
	[*] CORE : Better way to handle DB prefixes
	[*] CORE : Better behavior for new payment option api
	[*] CORE : Added CSS for new payment options api
	[*] CORE : Renamed all interfaces and updated Core consequently
	[*] CORE : Changed FileSystem::listEntriesRecursively behavior
	[*] CORE : Added IoC exceptions
	[*] CORE : Added FileSystem exceptions
	[*] CORE : Added database exceptions
	[*] CORE : Better Exception display
	[*] CORE : Added missing cast / escape
	[*] CORE : renamed Email classes to be new core compliant
	[*] CORE : Remove obsolete class from new core
	[*] CORE : advancedPayment better hook name
	[*] CORE : Fix #PSCSX-5128, set tax correctly with specific price
	[*] CORE : CMSRoleRepository minor fix
	[*] CORE : EntityRepository now handle better dynamic field names in methods calls
	[*] CORE : PHPDoc for controller methods
	[*] CORE : Added QueryBuilder as helper for EntityRepository
	[*] CORE : CMS Removed useless comments
	[*] CORE : CMSRole added type hinting whenever its possible, thanks to @djfm !
	[*] CORE : added findAll to EntityRepository
	[*] CORE : Remove the order_changed email and replace it by a hook.
	[*] CORE : Refactor Language::getLanguages calls
	[*] CORE : Module::displayError() now handles arrays passed as parameter
	[*] CORE : Normalize bool variable type PHPDoc comments
	[*] CORE : Normalize int variable type PHPDoc comments
	[*] CORE : error_log to Tools::error_log
	[*] CORE : Module are now instanciated with brand new Service Locator
	[*] CORE : Removed BaseObject
	[*] CORE : Added constants to OrderController to handle checkout steps instead of raw integer
	[*] CORE : Added new configurations values for #PSCSX-4957
	[*] CORE : PS_DISALLOW_HISTORY_REORDERING changed to a more global value -> PS_REORDERING
	[*] CORE : Added missing dependency injection check
	[*] CORE : Small change on CMS* entities and repositories
	[*] CORE : slightly changed architecture
	[*] CORE : Improvements on Repository classes
	[*] CORE : Added PHPDoc
	[*] CORE : Autoloader now take into account Core folder (legacy issue otherwise)
	[*] CORE : Introducing Core folder
	[*] CORE : New method Tools::fileAttachment variable
	[*] CORE : Handle constants in overrides as constants
	[*] CORE : Throw exception on overrides failing
	[*] CORE : Remove else because of preceding throw
	[*] CORE : Refactor Category::getProducts methods
	[*] CORE : Use bool keyword for casting into boolean
	[*] CORE : Add Random charlist to passwdGen
	[*] CORE : Small DbQuery refactorings
	[*] CORE : PHPDoc for DbQuery
	[*] CORE : Fix undefined PHP variables
	[*] CORE : PHPDoc for ObjectModel + code formatting
	[*] CORE : Fix unreachable return statements
	[*] CORE : PHPDoc - replace @return $this for better compatibility
	[*] CORE : PHPDocs for inline class variables
	[*] CORE : PHPDocs for object property in admin controller classes
	[*] CORE : PHPDoc: inline docs for variables in controller files
	[*] CORE : PHPDoc: inline docs for local variables in class files
	[*] CORE : PHPDoc: update inline variable type PHPDoc scopes
	[*] CORE : PHPDoc: fix typos
	[*] CORE : PHPDoc types for local scope class variables: Controller classes
	[*] CORE : PHPDoc types for local scope class variables
	[*] CORE : PHPDoc: remove redundant static tags
	[*] CORE : Fix undefined variable types - PHPDoc
	[*] CORE : Shop Base URL now can use secure mode
	[*] CORE : PHPDoc types for class members that are classes
	[*] CORE : Declare class members In Tree and IdentityController + PHPDoc types
	[*] CORE : Normalized parameter name in CategoryController::canonicalRedirection
	[*] CORE : Code formatting + variable norms for CategoryController
	[*] CORE : PHPDoc comments for CategoryController
	[*] CORE : Declare internal variables used in CategoryController
	[*] CORE : Bug in Configuration::updateValue()
	[*] CORE : Add PHPDoc comments for Context class
	[*] CORE : Add missing PHPDoc deprecated tags
	[*] CORE : Add PHPDoc for Db classes
	[*] CORE : Remove empty sitemap.xml
	[*] CORE : refacto profiling
	[*] CORE : add optional module profiling
	[*] CORE : Add ObjectModel::disableCache() - useful in case of loading a lot of objects
	[*] CORE : Removed hardcoded API urls
	[*] CORE : Compatibility with PrestaShop Validator
	[*] CORE : Use named constante for GeoLiteCity.dat

	[*] PERFORMANCE : Make sure the execution plan is optimal during tag search

	[*] PERFORMANCES : add missing changes in controllers
	[*] PERFORMANCES : PHP 5.2 compat
	[*] PERFORMANCES : entity init should occur in every cases
	[*] PERFORMANCES : fix exists test on memcache
	[*] PERFORMANCES : avoid to use cache for temp tables
	[*] PERFORMANCES : fix a strange issue with php 5.4 where false is not empty
	[*] PERFORMANCES : fix context hash
	[*] PERFORMANCES : add a local cache for address init
	[*] PERFORMANCES : cleanup
	[*] PERFORMANCES : cleanup
	[*] PERFORMANCES : typo fix
	[*] PERFORMANCES : optimize getRandomSpecial
	[*] PERFORMANCES : try to fix travis failures
	[*] PERFORMANCES : improve specificPrice cache
	[*] PERFORMANCES : reduce the number of array_key_exists calls during ObjectModelCore construction
	[*] PERFORMANCES : add a few more optimisations
	[*] PERFORMANCES : Try to improve cart performances (PSCSX-5943)
	[*] PERFORMANCES : disable cache during import
	[*] PERFORMANCES : remove SQL_NO_CACHE from specificPrice : the queries can be cached during 1 minutes
	[*] PERFORMANCES : improve search reindex performance with cache enabled
	[*] PERFORMANCES : flush cache to avoid storing too big arrays.
	[*] PERFORMANCES : Lazy cache should use the local cache, when possible.

	[*] FO : Fix undefined in the page order
	[*] FO : Add title for Recyclable Packaging
	[*] FO : Better header for payment step with advanced payment
	[*] FO : AuthentificationController - Avoid infinite redirect loop
	[*] FO : Added support for advanced payment api and hook displayAfterShoppingCartBlock
	[*] FO : Removed redundant wording #NM-437
	[*] FO : Advanced payment options better display
	[*] FO : blockwishlist - wording
	[*] FO : less call to Context::getContext()
	[*] FO : Fix PSCSX-5495 Remove input title online 318 because of input type
	[*] FO : Correct company field JS validation function
	[*] FO : Use email input type
	[*] FO : Optimize cart rules by filtering out directly from the query the unneeded rows
	[*] FO : blocknewproducts - Added hook displayBlockPrice to template
	[*] FO : Keep existing "general" SKU in metadata visible with groups
	[*] FO : Follow schema.org "price" usage guidelines
	[*] FO : Fixing missing data-title attribute and translation
	[*] FO : Add addresses.js
	[*] FO : Base price for groups is now transparent, not showed like a discount.
	[*] FO : Typo

	[*] INSTALLER : Rewording the Refunded and COD statuses.
	[*] INSTALLER : Do not steal the administrator email without permission
	[*] INSTALLER : Safely remove indexes' key via script

	[*] BO : Missing "disabled" attribute in form.tpl for "select" input type (Helpform)
	[*] BO : Fix #PSCSX-5599, read more on recommended modules
	[*] BO : Fix #PSCSX-5812, wording
	[*] BO : Fix #PSCSX-5811 Wording
	[*] BO : Fix #PSCSX-5814, order partner modules
	[*] BO : Change demo button position
	[*] BO : #PSCSX-2149 Add the possibility to re-send the order emails
	[*] BO : images.tpl - wording norm
	[*] BO : images.tpl - wording
	[*] BO : Maintenance mode information added.
	[*] BO : New tooltips color and padding
	[*] BO : Bootstrap's class 'text-nowrap' added.
	[*] BO : Hooks added
	[*] BO : header.tpl - wording
	[*] BO : modules_positions - improved wording
	[*] BO : images.tpl - typo
	[*] BO : Remove PSD from jPlayer file manager
	[*] BO : Optimize searchByName performances
	[*] BO : Optimize Theme::getByDirectory method query
	[*] BO : AdminOutstandingController - wording
	[*] BO : Improved adding to Quick Access
	[*] BO : AdminTaxRulesGroupController - dissociation (All)
	[*] BO : Fix supply order PDF generation
	[*] BO : more detailed error message on themes export
	[*] BO : Invoice controller - wording
	[*] BO : Fix #PSCSX-5029, default DateMonth selection in dashboard graph
	[*] BO : Move PDF options for invoice and credit splips Options for images in PDF moved from Preferences > orders to Orders > Invoices and Orders > credit slips
	[*] BO : Wrong back to product button link
	[*] BO : Change return types of hasInvoice and hasDelivery Order methods to bool
	[*] BO : wording harmonization - front office
	[*] BO : Optimize import speed
	[*] BO : Move js call in AdminAttributeGeneratorController
	[*] BO : Do not load anymore the full category tree if it's not needed (PSCSX-4591)
	[*] BO : Remove backslashes in the subject mail helpblocks
	[*] BO : Optimize cart rules loading (AJAX)
	[*] BO : Optimize cart rules loading (AJAX)
	[*] BO : Partly fixes #PSCSX-1738, supplier data copied over to new product during duplication.
	[*] BO : Display tax with 3 decimal in Tax Rule Groups
	[*] BO : Allow to display additional informations after theme installation
	[*] BO : Carriers and Products package sizes have now the same order.
	[*] BO : Modules to export checked by default
	[*] BO : PrestaShop RSS analytics update
	[*] BO : Imrove rewrite of german umlauts in category url
	[*] BO : #PSCSX-4281 Automaticaly sync the IMAP on refresh if it was configured.
	[*] BO : Fix PSCSX-4073, check specific price input
	[*] BO : Allow complex GROUP BY in SQL Manager

	[*] MO : #NM-453 Wording change
	[*] MO : Add short description into crossselling module
	[*] MO : Add short description into crossselling module
	[*] MO : Remove blocklayered start/end tags to prevent spam
	[*] MO : homeslider, Added CDN to img link
	[*] MO : blockreinsurance, Add image size (Fix PSCFV-5764) and Add CDN to img link

	[*] TESTS : Added test for shipping with PS_ATCP_SHIPWRAP
	[*] TESTS : Updated Cart Test with PS_ATCP_SHIPWRAP
	[*] TESTS : Added test cases for all 3 round types in Cart::getOrderTotal
	[*] TESTS : Removed hidden cache
	[*] TESTS : DatabaseDump should accept other host than localhost
	[*] TESTS : loadSlaves() now uses dynamic constants
	[*] TESTS : Cleaner separation between Unit and Integration tests by executing Integration specific setup only for Integration tests
	[*] TESTS : removed local cache, Db::getInstance() is cheap enough
	[*] TESTS : Stop re-caching already cached Db instance

	[*] ARCHITECTURE : ContainerBuilder belongs to Business!
	[*] ARCHITECTURE : Moved legacy entity save logic back into ObjectModel
	[*] ARCHITECTURE : Started to separate Db logic from ObjectModel
	[*] ARCHITECTURE : Share the container bootstraping code with the installer
	[*] ARCHITECTURE : Extract EntityMapper responsibility from ObjectModel
	[*] ARCHITECTURE : Broke dependency to Address::initialize

	[*] PROJECT : Multistore option rebranding
	[*] PROJECT : RTL Rebranding
	[*] PROJECT : Rebranding
	[*] PROJECT : Font Awesome updated to 4.3.0
	[*] PROJECT : Added Travis build status img in README.md
	[*] PROJECT : Fix undefined PHPDoc parameter types
	[*] PROJECT : Remove internal use of deprecated globals in FrontController
	[*] PROJECT : PHPDoc comments for FrontController + code formatting
	[*] PROJECT : PHPDoc comments for module controller classes
	[*] PROJECT : PHPDoc comments for Controller class methods and variables + minor refactoring
	[*] PROJECT : Full PHPDoc comments for AdminController and all inherited classes

	[*] PHPDOC : Added doc to Module::displayError()

	[*] TEST : Added test new autoload location
	[*] TEST : renamed xxxExamples() functions to xxxDataProvider()

	[*] FRONT : blockspecials - Added hook displayBlockPrice to template
	[*] FRONT : Added displayBlockPrice hook on bestsellers template

	[*] THEME : icons.sass to scss
	[*] THEME : btn gradient simplification (SASS)
	[*] THEME : button-medium gradient simplification

	[*] CONTROLLER : Cart / hook "actionAfterDeleteProductInCart"

	[*] CLASS : Mail / hook "actionGetExtraMailTemplateVars"

	[*] INVOICE : Display shipping and wrapping breakdown by rate in case of summed taxes

	[*] UT : Add unit test for classes and controller override


	Added Features:

	[+] FO : Added new dynamic hooks for AdvancedEuCompliance
	[+] FO : Added template for Carrier selection in OPC/AdvancedPayment api
	[+] FO : Added new dynamic hook to blocknewsletter tpl
	[+] FO : Added new template for OPC && Advanced payment API
	[+] FO : Added hooks in product-list.tpl
	[+] FO : Update CSS compilations
	[+] FO : Add Powered-By PrestaShop header

	[+] CORE : Added hook to blockcart tpl
	[+] CORE : Added handler for checkbox revocation form on virtual product with advanced payment api
	[+] CORE : Use precision constant for reduction amount
	[+] CORE : Added delete() method to entityManager
	[+] CORE : Added Database Exception
	[+] CORE : Excpetion thrown if service container is empty
	[+] CORE : Added bases for new Execption class
	[+] CORE : Utility to list files and join paths cleanly
	[+] CORE : The German Way of computing Shipping & Wrapping Tax
	[+] CORE : Added OPC compliancy to Advanced Payment API
	[+] CORE : CMSRepository added i10nFindOneById()
	[+] CORE : Added CMS/CMSRole Repositories
	[+] CORE : Added new method to CMS ObjectModel to be new Core ready
	[+] CORE : Added support for new mails hooks
	[+] CORE : Email added new method getCleanedMailsNames()
	[+] CORE : Added new override TOS hook to Carrier checkout page
	[+] CORE : Handle new TOS hook on checkout
	[+] CORE : CMS Entity new method to get a CMS object from its id and lang_id
	[+] CORE : Added new method to CMSRole Repository
	[+] CORE : Added new Advanced Payment API
	[+] CORE : Added new Foundations and Businesses
	[+] CORE : Added BaseObject with minimal magic getter/setter
	[+] CORE : Added PaymentOption object
	[+] CORE : Added Tool::getAllValues() to get aal $_POST/$_GET in one call
	[+] CORE : Module class now handles dependency injection on main module classes
	[+] CORE : Added 2 new tables (cms_role / cms_role_lang)
	[+] CORE : Added Repository Management + Dependency Injector for modules
	[+] CORE : New method Language::getIDs
	[+] CORE : Debug tools for printing into PHP error logs

	[+] PDF : Add order_invoice to smarty invoice template
	[+] PDF : Keep invoice and delivery address for invoicing
	[+] PDF : Add sprintf capability to {l} for PDF
	[+] PDF : Introduce displayInvoiceLegalFreeText hook
	[+] PDF : Keep company address for invoicing
	[+] PDF : Introduce new legal free text for invoice
	[+] PDF : Introduce new invoice template (WIP)

	[+] INSTALLER : Added Bulgarian, Croatian, Lithuanian, Slovene and Swedish
	[+] INSTALLER : Add warning when php version is less than 5.4
	[+] INSTALLER : Handle PS_DISALLOW_HISTORY_REORDERING rename when upgrade

	[+] SMARTY : Add new cleanHtml modifier

	[+] TESTS : Add the test for the method getPossibleHooksList.
	[+] TESTS : Test the database escape method
	[+] TESTS : Add test for PackJSinHTML
	[+] TESTS : Add test for PackJSinHTML
	[+] TESTS : Added tests on Module::displayError()
	[+] TESTS : First Real Unit Test for Cart::getOrderTotal

	[+] ENTITYREPOSITORY : Magic findBy and findOneBy

	[+] ARCHITECTURE : Introducing generic EntityRepositories
	[+] ARCHITECTURE : Mechanism to break dependencies on global variables
	[+] ARCHITECTURE : Added ServiceLocator for legacy code
	[+] ARCHITECTURE : Added a Dependency Injection Container

	[+] BO : Add status page indicator
	[+] BO : Allow AdminLoginController setMedia hook
	[+] BO : New hooks for robots.txt creation
	[+] BO : add preview link in product controller
	[+] BO : Allow to search cart rules name
	[+] BO : Allow to search cart rules name
	[+] BO : Add Warehouse Location to order view
	[+] BO : Warning added if openssl is not loaded
	[+] BO : PSCSX-3488 Add version under user menu.

	[+] DOC : Explanations for the architecture changes

	[+] MO : Use positions with HelperList

	[+] TEST : PrestaShop Security (prestafraud) test
	[+] TEST : Added basic Cart::getOrderTotal test
	[+] TEST : Add some tests for Validate class

	[+] LO : Added Canadian French Installer

	[+] IN : Adding sql file

	[+] DBQUERY : improve to use SELECT or DELETE syntax.






####################################
#   v1.6.0.14 - (2015-03-06)  #
####################################

	Fixed bugs:

	[-] CORE : revert @cb11f9c8e8b666cfc801288fba7c87c9ef249937 Modules names should be lowercase


####################################
#   v1.6.0.13 - (2015-02-24)
####################################

	Fixed bugs:

	[-] FO : Fix duplicate pack item
	[-] BO : Fix unable to save in multishop on firefox


####################################
#   v1.6.0.12 - (2015-02-23)
####################################

	Fixed bugs:

	[-] INSTALLER : Fix #PSCSX-2894
	[-] INSTALLER : Install default data on all languages installed if available && allow to install all available languages with CLI installer

	[-] SECURITY : Fix PSCSX-4566 : Allow user to set a html value for configuration, safely.

	[-] FO : Fix bug #PNM-2760, bad delete link
	[-] FO : Fixed bug allowing large original store picture to be used in the store-list, instead of the medium thumbnail one
	[-] FO : Fix bug #PSCSX-4628, commas in Adress formats // last part
	[-] FO : Fix bug #PSCSX-4628, commas in Adress formats // first part
	[-] FO : Fix #PSCSX-4450 correct getItemTable
	[-] FO : Fix #PSCSX-4570 multi-shipping tpl
	[-] FO : Follow up https://github.com/PrestaShop/PrestaShop/pull/2466
	[-] FO : Fix bug #PSCSX-4467, Exception in guest checkout
	[-] FO : Warning #PSCSX-4555
	[-] FO : Fix discount Percentage rouding for product page
	[-] FO : Fix bug #PSCSX-4354, bad default order by best sales controller
	[-] FO : Fix bug #PSCSX-4424, could not index products in multishop
	[-] FO : Fix bug #PNM-2169 again, #PNM-3228, favorites products when ssl not on all pages
	[-] FO : Fix bug #PSCSX-4399, lost css from https://github.com/PrestaShop/blocksearch/commit/eb132270cc6819c65a0712f66cc3ee9b277eac99
	[-] FO : Fix bug #PSCSX-4318, could not configure column on pagenotfound
	[-] FO : Fix bug #PSCSX-4309, bad delivery time in multicarrier
	[-] FO : Fix bug #PSCSX-4222, add id_attribute in attributes anchor
	[-] FO : Fix bug #PSCSX-4198, bad group by on getAttributesColorList
	[-] FO : Fix bug #PSCSX-4229, could not see contacts when cusomer reply
	[-] FO : Fix bug #PSCSX-4225, could no load order on order slips in my accoutnt
	[-] FO : Fix css bug #PSCSX-4246
	[-] FO : Fix #PSCSX-4253 : "List view" bug in official theme.
	[-] FO : Fix bug #PSCSX-4246, avaibility status when no stock management
	[-] FO : BlockSearch JS: fix keyup event binding
	[-] FO : Fix #PSCSX-2075, last part update block cart in OPC
	[-] FO : Fix bug #PSCSX-4211 wrong invoice by country.
	[-] FO : Fix #PSCSX-4187 product in pack
	[-] FO : Fix #PSCSX-4188 bad assign
	[-] FO : Fix bug #PSCSX-4159, bad base price display when specific price
	[-] FO : Fix bug #PSCSX-4167, avoid 2 free shipping cart rules
	[-] FO : Fix bug #PSCSX-4158, could not display left column on guest tracking
	[-] FO : Fix bug #PSCSX-4156 Incomplete microdata with schema.org on product-list
	[-] FO : Fix bug #PSCSX-4153, trim # in order reference
	[-] FO : Fix bug #PSCFV-12391, rouding for productPriceWithoutReduction
	[-] FO : Fix bug #PSCSX-1975 RTL for accessories / crossseling / productscategory
	[-] FO : Fix bug #PSCSX-4020, could not have /tools/ in link_rewrite
	[-] FO : Fix css bug #PSCSX-2511 last part
	[-] FO : Fix css #PSCSX-2511, first part
	[-] FO : Fix css #PSCSX-2724
	[-] FO : Fix css #PSCSX-2143
	[-] FO : Fix #PSCSX-4090
	[-] FO : Css fix #PSCSX-2415
	[-] FO : Fix #PSCSX-4044 manutention
	[-] FO : Could not see availability_statut when no available later value
	[-] FO : Fix bug #PSCSX-2963, collapse blockcart in accordion + norms
	[-] FO : Fix bug #PSCSX-4012, missing product in order_customer_comment
	[-] FO : Fix bug #PSCSX-3986, could not use manufacturer selects
	[-] FO : Fix bug #SCSX-3986, could not use blockmanufacturer select on index
	[-] FO : Fix #PSCSX-1292 white spaces in prices
	[-] FO : Fix bug #PSCSX-3601, invoice post code validation, thanks @Edwin
	[-] FO : Fix default region in google maps call
	[-] FO : Fix #PSCSX-3875 carrier max weight
	[-] FO : Fix bug #PSCSX-3939, no catalog mode when group is not enabled and using groups show_prices
	[-] FO : Fix #PSCSX-3902 quantity by carrier for advanced product
	[-] FO : Fix #PSCSX-3943 css issue
	[-] FO : Fix #PSCSX-281 delayed shipping for a single product
	[-] FO : Fix multiple "Add to cart" event when block layered is used This issue was first discovered on IE, but we also noticed that the event is also fired on Firefox/Chrome but does fire add to cart process. By adding off() to theses events, we prevent this behaviour to happen when using ajaxCart.overrideButtonsInThePage() method. This is a simple inherit from the previous ajaxCart version (PS 1.5) that is using unbind() to prevent this behaviour.
	[-] FO : Follow up https://github.com/PrestaShop/PrestaShop/pull/2109
	[-] FO : fix the search when the order_by is configured as date_add
	[-] FO : Fix css bug #PSCSX-3842 payment divs classes
	[-] FO : Fix css bug PSCSX-3759
	[-] FO : Set the tax calculation method on PaymentModule::validateOrder() after loading the customer #PNM-2710
	[-] FO : Fix #2965 little css issue
	[-] FO : Correct bad ajax cart behavior on mobile #PSCSX-3772
	[-] FO : https detection using HTTP_X_FORWARDED_PROTO (use by cloudflare)
	[-] FO : Correct topmenu scrolling issue on touch devices #PNM-2943
	[-] FO : Product::getNewProducts() perfs improvements
	[-] FO : Subcategory name double truncate
	[-] FO : Fix PSCSX-3357 second part isCached bad call
	[-] FO : Fix PSCSX-3357 part fix add media

	[-] BO : FixBig #PSCSX-4690, #PSCSX-4676 - Fixing Credit slip - Part 2
	[-] BO : FixBig #PSCSX-4690, #PSCSX-4676 - Fixing Credit slip - Part 1
	[-] BO : FixBug #PSCSX-4667 - Do not refund if no quantity selected
	[-] BO : Hide field for totally refunded product line
	[-] BO : Show free shipping vouchers in manual order
	[-] BO : avoid duplicates on modules image thumbnail
	[-] BO : Notices + bad merge
	[-] BO : Fix #PSCSX-4496 send if add tax or not to voucher
	[-] BO : missing double quote breaking addons modal title and link
	[-] BO : Fix Bug #PNM-3248 - Missing module name in warning
	[-] BO : Fix #PSCSX-4479 correct media server if settings was badly update
	[-] BO : Fix #PSCSX-4320 typo error
	[-] BO : Fix #PSCSX-4453 check float instead of int
	[-] BO : Fix #PSCSX-4452 correct sync for product in pack
	[-] BO : Fix bug #PSCSX-4504, could not delete order retunr states
	[-] BO : Fix bug #PSCSX-4504, bulk delete on order statues
	[-] BO : Fix #PSCSX-4504, bad display for two last default order states
	[-] BO : Empty legend after image upload
	[-] BO : #PSCSX-3031 - Set KPI for product out of stock
	[-] BO : #PSCSX-4221 Fix the wrong preview of the products rewrited URLs.
	[-] BO : Fix bug #PSCSX-4200, bad toolbar after attribute generator
	[-] BO : #PSCSX-4223 Fix wrong category for imported products.
	[-] BO : Update help link with employee language
	[-] BO : Update for fix the titles of #PSCSX-4219.
	[-] BO : Fix bug wrong Context mode name
	[-] BO : Fix bug #PSCSX-4219 wrong controller title.
	[-] BO : Fix bug #PSCSX-4068 renew cache for favicon
	[-] BO : Login / no loading of QuickAccess
	[-] BO : Fix #PSCSX-4049 autocomplete off
	[-] BO : Fix #PSCSX-4131 credit slip pdf
	[-] BO : Fix bad attachments delete link
	[-] BO : Fix undefined feature value when importing products with inactive lang
	[-] BO : Fix #PSCFV-12332 gift product on product add
	[-] BO : Fix display bug when enbling url rewrite
	[-] BO : Fix bug #PSCSX-3351, bad cache option display
	[-] BO : Fix category tree on category addition / breadcrumb
	[-] BO : Fix #PSCSX-4078 css issue
	[-] BO : use correct controller
	[-] BO : Fix #PSCSX-3829, store hours to text type
	[-] BO : Fix #PSCSX-3119 cart_rule in bo order
	[-] BO : Fix bug #PSCSX-4052, check htaccess is writable before generation in AdminPerf
	[-] BO : Fix bug #PSCSX-2860, cross domain policy on AdminAdress + vatnumber module
	[-] BO : Fix bug #PSCSX-4007, bad error display on customers import
	[-] BO : Fix bug #PSCSX-3654, do not force id_catgeory_default on product import, thanks @MrBukowski
	[-] BO : Fix #PSCSX-3989 synchronise if received completely
	[-] BO : Fix #PSCSX-3332, new address on order addresses modification
	[-] BO : Fix #PSCSX-533 first supply order real quantity pending receipt
	[-] BO : Fix #PSCFV-11417 delete product in line advanced stock
	[-] BO : Fix bug #PSCSX-3932 tab module name to uppercase + norms
	[-] BO : Fix #PSCSX-1217 supply order
	[-] BO : Delete and duplicate images using WATERMARK_HASH
	[-] BO : Fix #PSCSX-3039 wording at duplicate
	[-] BO : Fix bug #PSCSX-3893, Prev/ next buttons on order page does not check current Shop selection
	[-] BO : Fix #PSCSX-3899 can't create order if no shipping available
	[-] BO : Fix bug #PSCFV-12272, can not translate theme overriden mails
	[-] BO : Fix bug #PSCSX-3888, No "size limit" for the icon on Firefox
	[-] BO : Fix bug #PSCSX-3869, error on max virtual file size
	[-] BO : Fix bug #PSCSX-3856, bad controller names
	[-] BO : Fix #PSCSX-1829 sort by xml order
	[-] BO : Fix bug #PSCSX-3818, update logos
	[-] BO : Fix #PSCSX-3849 bad redirection after change enable/disable
	[-] BO : Follow up https://github.com/PrestaShop/PrestaShop/pull/2257 conOtant undefined
	[-] BO : Fix bug #PSCSX-3805, invalid token on cancel
	[-] BO : Fix bug #PSCSX-3787, parent tab
	[-] BO : Wrong tabs variable name during export
	[-] BO : HelperList / Fix "No records found" style
	[-] BO : fixed bug while use filter with enter key

	[-] CORE : Fix bug #PSCSX-1907 // follow up https://github.com/zapalm/PrestaShop/commit/2768cf4c6afc11e1d97be3f9bb906881248eb9ad
	[-] CORE : backward compatibility with "tab" parameter
	[-] CORE : Fix bug #PSCSX-4654, could not install module override
	[-] CORE : Module names should be lowercase
	[-] CORE : Fix #PSCSX-4496 all in ti
	[-] CORE : Fix bug #PSCSX-4477, exception on adding profile
	[-] CORE : Fix #PSCFV-12694, set default value in base for available_date
	[-] CORE : fix cache name in State.php
	[-] CORE : #PSCSX-4331, double payment when invoices disabled
	[-] CORE : Fix bug #PSCSX-4330, additional quotes in TR
	[-] CORE : Fix bug #PSCSX-4326, bad specific price conversion
	[-] CORE : fix bug #PSCSX-4280, cross policy for fonts
	[-] CORE : Fix bug #replaceByAbsoluteURL, cross policy for fonts
	[-] CORE : Fix bug #PSCSX-4176, no available_date if combinations
	[-] CORE : Fix #PSCSX-4270, do not write empty translations
	[-] CORE : #PSCSX-4249 - mysqli_result::fetch_all available with mysqlnd
	[-] CORE : #PSCSX-4249 - mysqli_result::fetch_all missing before PHP 5.2
	[-] CORE : Fix multishop issue #PSCSX-4197
	[-] CORE : Fix multishop kpi issue #PSCSX-3724
	[-] CORE : Fix #PSCSX-4191 clean code
	[-] CORE : Fix #PSCSX-4162 shipping cost badly calculate
	[-] CORE : Fix bug #PSCSX-4089, wrong base uri in Mail::send
	[-] CORE : #PSCSX-4063 Fatal on changeIdOrderState
	[-] CORE : Fix bug #PSCSX-4046, renew CCC CSS and JS cahce when enabling option
	[-] CORE : Fix #PSCFV-12072 follow up #1780
	[-] CORE : Fix #PSCSX-4033 recept accept namespace
	[-] CORE : Fix bug #PSCSX-2916 bad canonical redirection with unicode
	[-] CORE : Fix #PSCFV-12405 fix stock available create multishop product
	[-] CORE : Fix bug #PSCSX-4008, replace accents in aliases
	[-] CORE : Fix #PSCSX-3141 Add symbols to url when accented cars
	[-] CORE : Fix #PSCSX-3919 decrease stock LIFO
	[-] CORE : Follow up https://github.com/PrestaShop/PrestaShop/pull/2018
	[-] CORE : Fix #PSCSX-3836 id_employee stck mvt
	[-] CORE : Fix #PSCFV-6197 Add new state for cod module
	[-] CORE : actionUpdateQuantity should be called after cache is cleared
	[-] CORE : fixing an error with non-multilang ObjectModel instance

	[-] WS : Notice #PSCSX-4687

	[-] PDF : Missing translation in PDF

	[-] LO : Fix PSCSX-4657 - metric system for El Salvador
	[-] LO : Update default Lithuanian currency

	Improved/changed features:

	[*] FO : Better currency display in blockcurrencies
	[*] FO : BlockSearch JS: small fix
	[*] FO : Refractor input variables and code
	[*] FO : Fix #PSCSX-2075, hide shipping cost until delivery first part
	[*] FO : Fix #PSCSX-2895, change stock labels colors
	[*] FO : #1530 Enhance products check access in order process
	[*] FO : #PSCFV-9398 nb_products count foreach manufacturer and supplier
	[*] FO : Fix #PSCSX-3797, ebable optin && newsletter registration

	[*] BO : PrestaShop RSS analytics update
	[*] BO : Fix #PSCSX-4073, check specific price input
	[*] BO : Prevent delete logs on page refresh
	[*] BO : Do not display non-isntalled theme if they cant be installed
	[*] BO : Fix max size upload value for HelperUpload
	[*] BO : Better currency display in admin payment
	[*] BO : Fix URL when JS toggles #module_install
	[*] BO : Add 'add new module' button for host mode
	[*] BO : Fix #PSCSX-4040, duplicate product link
	[*] BO : add font files gzip management in .htaccess generated by Apache Optimization setting
	[*] BO : Fix #PSCSX-2478, sort attributes in initFormAttributes
	[*] BO : Fix #PSCSX-4031, fix upload theme by URL
	[*] BO : Fix multiple install for addons theme, follow up bdec19ea174a07325927007cc43aeee4e239cb06
	[*] BO : Fix #PSCSX-3441, match product ref when importing attributes
	[*] BO : Fix #PSCSX-1237, Fix gross margin calculation for KPI
	[*] BO : moved display*ListAfter inside form
	[*] BO : Bcc in Mail::Send was not check for vaild e-mail
	[*] BO : fix background color issue in RTL BO
	[*] BO : Firstname before Lastname in customerlist
	[*] BO : Allow price on Attribute Generator to be negative, to set it to impact decrease

	[*] CORE : Add ObjectModel::disableCache() - useful in case of loading a lot of objects
	[*] CORE : Use named constante for GeoLiteCity.dat
	[*] CORE : Fix #PSCFV-12676, enable search strict ending
	[*] CORE : Fix bug #PSCFV-10939, thanks @sfroment42
	[*] CORE : Add new hook actionBeforeCartUpdateQty Follow up previous commit Removed 'id_product' from array We can't remove $id_product_attribute, data come from Tools::getValue('ipa') or the default product attribute if undefined
	[*] CORE : Add new hook actionBeforeCartUpdateQty Follow up previous commit, add some line feeds
	[*] CORE : Add new hook actionBeforeCartUpdateQty In order to block some cart actions, we must have an input before Cart::updateQty() is processed. It's way better than doing the job after actionCartSave hook so the cart is only updated (or not) one time.
	[*] CORE : Introduce brand new .gitignore
	[*] CORE : Add an option to use a relative protocol link in the class Link #PSCSX-3306

	Added Features:

	[+] FO : Add Powered-By PrestaShop header
	[+] FO : Add classes for facilitate integration
	[+] FO : Indicate paginated content

	[+] BO : can override an helper theme for only a controller of an ModuleAdminController, not just the entire controllers of this one
	[+] BO : Fix #PSCSX-4127, Add new details for theme install in hostmode
	[+] BO : Add button to create new theme
	[+] BO : Only regenerate watermark for product image type selected
	[+] BO : Allow user to install theme from unzipped folder
	[+] BO : Set for each order status if invoice / delivery-slip should be added to email as pdf

	[+] CORE : Add Mode to Context
	[+] CORE : Fix #PSCSX-3658 fix comment not remove in override module
	[+] CORE : Adding disabled option on switch field
	[+] CORE : File size check option on Uploader class
	[+] CORE : add Controller::ajaxDie() and two hooks into it - useful to not override an entire method

	[+] MO : Watermark : Show nonwatermarked image for logged in customers

	[+] PDF : Added product images

	[+] LO : Added Canadian French Installer


####################################
#   v1.6.0.11 - (2015-01-07)
####################################

	Fixed bugs:

	[-] INSTALLER : Install default data on all languages installed if available && allow to install all available languages with CLI installer
	[-] INSTALLER : Translate the 2 recently added order states to Hebrew
	[-] INSTALLER : don't launch sessions on smarty compilation to avoid race conditions

	[-] FO : Fix bug #PSCSX-4211 wrong invoice by country.
	[-] FO : Could not see availability_statut when no available later value
	[-] FO : Fix bug #SCSX-3986, could not use blockmanufacturer select on index
	[-] FO : Fix bug #PSCSX-3601, invoice post code validation, thanks @Edwin
	[-] FO : fix the search when the order_by is configured as date_add
	[-] FO : Fix css bug #PSCSX-3842 payment divs classes
	[-] FO : Set the tax calculation method on PaymentModule::validateOrder() after loading the customer #PNM-2710
	[-] FO : Fix css bug PSCSX-3759
	[-] FO : Correct bad ajax cart behavior on mobile #PSCSX-3772
	[-] FO : Fix bug #PSCSX-3751, enable ssl on add to cart link in product link
	[-] FO : Fix bug #PSCSX-3771, bad update of summary on step 3
	[-] FO : Fix conversion rate to 1 if this is the default currency
	[-] FO : Don't write cookie when redirecting to an another protocol
	[-] FO : https detection using HTTP_X_FORWARDED_PROTO (use by cloudflare)
	[-] FO : Correct topmenu scrolling issue on touch devices #PNM-2943
	[-] FO : Fix bug #PSCSX-3162, no condition on virtual products
	[-] FO : Fix bug #PSCSX-3684 Bad prefix
	[-] FO : Stores : warning thrown if hours is empty
	[-] FO : FixBug #PSCSX-3652 - Wrong summary cart percent
	[-] FO : Product::getNewProducts() perfs improvements
	[-] FO : Fix wrapping fees tax excluded
	[-] FO : Fix bug #PSCSX-3549, bad back url when coming from fancybox
	[-] FO : Fix #PSCSX-3542, Convert currency in volume discount table (product.js)
	[-] FO : Fix bug #PSCSX-3500, bad post management for guest cehckout invoice
	[-] FO : Fix bug #PSCSX-3500, dni in guest + 5 steps
	[-] FO : Could not set lang by url
	[-] FO : Fix PSCFV-11878 fix update loyalty
	[-] FO : Fatal error on payment
	[-] FO : Fix bug #PSCFV-12537, bad minimal quantity for combinations
	[-] FO : fix bug #PSCSX-3418, bad colors list ordering in category
	[-] FO : Unicode support in minify regular expression
	[-] FO : Fix bug #PSCSX-3385, pagination translation in blocklayered
	[-] FO : Fix bug #PSCSX-2542, adding product to compare
	[-] FO : Fix bug #PSCSX-3201, could not sort DESC
	[-] FO : Fix bug #PSCSX-3304, keep customistion form url when ipa in url
	[-] FO : Fix bug #PSCSX-3304, jqzoom bad image on loading when ipa in url
	[-] FO : Fix PSCSX-3357 second part isCached bad call
	[-] FO : Fix PSCSX-3357 part fix add media
	[-] FO : Fix discount display issues #PSCSX-3308
	[-] FO : Fix bug #PSCSX-3304, could not retrieve ipa after saving customizations
	[-] FO : Fix bug #PSCSX-3281, display "doesntExist" warning even without stock management
	[-] FO : Fix #PSCSX-3211 no more duplicate product when reorder with cart_rule
	[-] FO : Fix bug #PSCSX-3243, blockcart hidden in colums on small screen
	[-] FO : Fix bug #PSCFV-12462, bad legend group by
	[-] FO : Fix PSCSX-3137 display thumbnail better
	[-] FO : Fix bug #PSCFV-12465, AuthController $back param
	[-] FO : Fix bug #PSCSX-3135, bad post cache on authentication.js
	[-] FO : Fix PSCSX-3090 fix custom product with minimum quantity
	[-] FO : Fix uniform mobile issue #PSCSX-1632
	[-] FO : Fix PSCSX-3062 display carrier when virtual + physical product in the same cart
	[-] FO : Fix the value of the wholesale price with combinations on order_detail table #PSCFV-8506
	[-] FO : Fix PSCSX-623 width in function of nb column diplayed
	[-] FO : FixBug #PSCSX-2893 - Wrong rowspan in shopping cart summary
	[-] FO : Fix bug #PSCSX-2991, 404 on cat image
	[-] FO : Fix PSCSX-2836 good redirect if multishipping
	[-] FO : Fix PSCSX-255 carrier not avaible if too heavy
	[-] FO : Fix bug #PSCSX-2972, basePriceDisplay.toFixed is not a function
	[-] FO : Fix PSCSX-2535 add asterisks for required fields
	[-] FO : Fix bug #PSCSX-2947, qty input when allowBuyWhenOutOfStock
	[-] FO : Fix PSCSX-2885 fix css width in blocklayered
	[-] FO : Fix css bug #PSCSX-2935, reduction on same line
	[-] FO : search combination upc, ean13 too
	[-] FO : added month names in identity.tpl so that they appear in the translations
	[-] FO : Fix PSCSX-2564 default set when deleting attributes default
	[-] FO : Fix PSCSX-2877 bad entity encoding in tinyMCE
	[-] FO : Fix bug #PSCSX-2651, debug smarty
	[-] FO : Correct responsive issue on category images #PSCSX-2843
	[-] FO : Fix #PSCSX-2484, Add style for .available-dif class
	[-] FO : extend mobile reponsive behavior to tablet #PSCSX-2842
	[-] FO : Correct left column responsive issue #PSCSX-1862
	[-] FO : Fix PSCSX-2820 add PSCSX-2820 add * for optin and newsletter field if required
	[-] FO : Bug #PSCSX-2519, Display thumbnail slider
	[-] FO : fixed bug #PSCSX-2626 - No message when an user with a disabled account try to connect
	[-] FO : Fix bug #PSCSX-2695, base uri in adminshop
	[-] FO : Fix bug #PSCSX-2685, no selectected country in Address and Auth
	[-] FO : fixed css compression base64 issue #PSCSX-2772
	[-] FO : FixBug #PSCSX-2291
	[-] FO : Fix #PSCSX-2405 change when shipping need multi-shipper
	[-] FO : Fix #PSCSX-2735 - product.js, fix price calculation with 6 decimals
	[-] FO : Fix bug #PSCSX-1140 Product thumbnails on resize

	[-] BO : Fix #PSCSX-4131 credit slip pdf
	[-] BO : Fix #PSCSX-4049 autocomplete off
	[-] BO : Fix category tree on category addition / breadcrumb
	[-] BO : Fix #PSCSX-4078 css issue
	[-] BO : Fix bug #PSCSX-3654, do not force id_catgeory_default on product import, thanks @MrBukowski
	[-] BO : Fix bug #PSCSX-3893, Prev/ next buttons on order page does not check current Shop selection
	[-] BO : Fix bug #PSCFV-12272, can not translate theme overriden mails
	[-] BO : Fix bug #PSCSX-3818, update logos
	[-] BO : Follow up https://github.com/PrestaShop/PrestaShop/pull/2257 conOtant undefined
	[-] BO : Fix #PSCSX-3767, countries order in BO
	[-] BO : Fix bug #PSCSX-3703, invalid date_add after category import
	[-] BO : Fix bug #PSCFV-11809 import of attributes bad ean13
	[-] BO : Fix #PSCFV-10424 deletion of attire with stock advanced
	[-] BO : Fix bug #PSCSX-2878, follow up https://github.com/PrestaShop/PrestaShop/commit/5183e725212610e53167df449a9d355cfbe573af
	[-] BO : Fix bug #PSCSX-3690, could not set combinations quantity in multishop
	[-] BO : Fix bug #PSCSX-1798, could not import several images for combinations
	[-] BO : Fix bug #PSCSX-3441, Import - available date for combinations
	[-] BO : Fix bug #PSCSX-3013, product url-rewrite gets overwritten
	[-] BO : FixBug #PSCSX-2580 - Allow pdf files in CMS
	[-] BO : Fix #, Unit price and unit price impact can now use 6 decimal places
	[-] BO : FixBug #PSCSX-3570 - Fix tax calculation with free shipping
	[-] BO : FixBug #PSCSX-3570 - Fix wrong tax calculation with free shipping
	[-] BO : Fix #PSCFV-11428 choose to refund voucher
	[-] BO : FixBug #PSCSX-3552 - Wrong shop address in PDF
	[-] BO : Fix bug #PSCSX-3671, products on scenes
	[-] BO : Fix #PSCSX-3639 don't delete file in multishop
	[-] BO : Admin TPL to Fixed bug to update image legend on AdminProduct
	[-] BO : Fixed bug to update image legend on AdminProduct
	[-] BO : add space before "Create theme" label
	[-] BO : Fix bug #PSCFV-11557, coule no set out_of_stock choice value
	[-] BO : Fixed specifier for sprintf with integer values
	[-] BO : Use const instead of string
	[-] BO : Fix #PSCFV-12024, could not delete override files
	[-] BO : Fix #PSCSX-531 details button
	[-] BO : avoid always regenerating ntree when updating categories #PSCSX-3513
	[-] BO : fix wrong sitemap url in robots.txt
	[-] BO : Fix #PSCSX-3499 turn off vat management in Adrresses
	[-] BO : Fix PSCFV-12577 better performance on one method
	[-] BO : fix bug with utf8 symbols in image urls during import
	[-] BO : Fix bug #PSCSX-3341, #PSCSX-3460, group pagination and filter
	[-] BO : optimized product search in BO #PSCFV-11883
	[-] BO : fix parameters missing between AdminController and HelperList 2
	[-] BO : fix parameters missing between AdminController and HelperList
	[-] BO : Fix PSCSX-3232 correct export csv
	[-] BO : Fix PSCSX-3368 change td when no attribute anymore
	[-] BO : Fix PSCSX-3296 on contact reuired postcode or not
	[-] BO : Fix PSCSX-3368 hide tr quantity when delete attribute
	[-] BO : Fix PSCSX-3375 duplicate cms
	[-] BO : Fix PSCSX-3421 bulk delete attributes
	[-] BO : Fix bug #PSCSX-3356, bad default combination when importing, thanks @thomasbo
	[-] BO : Fix PSCSX-3368 stock available correct if no combination and add one
	[-] BO : Exception on 301 wihtout id_product_redirected
	[-] BO : FixBug #PSCSX-2878 - Wording and Warning
	[-] BO : Fix bug #PSCSX-3372, undefined
	[-] BO : Fix PSCSX-3347 id_shop not well set
	[-] BO : Fix bug #PSCSX-3371, bad cache when mod_expires ExpiresDefault is set
	[-] BO : Fix bug #PSCSX-3360, bad email template on renew password
	[-] BO : Fix bug #PSCSX-3345, trick translation for May in month and short month
	[-] BO : FixBug #PSCFV-12359 - Fix product tab loading for mod_security and mod_evasive
	[-] BO : Fix css bug #PSCSX-3327, countries restriction arrows in cart rules
	[-] BO : Fix PSCSX-3284 asterisk add for phone if necessery
	[-] BO : Fix PSCFV-11851 Error with firefox cache when use reload
	[-] BO : Fix css bug #PSCSX-3305
	[-] BO : Fix PSCSX-3195 detect if callback return html
	[-] BO : carrier range validation when free shipping #PSCSX-3257
	[-] BO : fixed bug #PSCSX-799
	[-] BO : Fix PSCSX-3012 module empty string translation save
	[-] BO : Fix #PSCSX-2652, show confirmation for multiple update (see https://github.com/PrestaShop/PrestaShop/commit/f72c6d71a9ee6ce8a11758a78c891c6458c959d3 )
	[-] BO : Fix IOs stress on AdminModulesController
	[-] BO : Fix bug #PSCSX-3212, bad warning
	[-] BO : Fix #PSCSX-3195 don't export button pdf
	[-] BO : Fix PSCSX-3157 switch with wrong yes and no
	[-] BO : Fix PSCFV-12470 Bulk action admintabs
	[-] BO : Fix bug #PSCSX-3143, List ordering in module page redirects to modules list
	[-] BO : Fix PSCSX-3055 mb_string check
	[-] BO : Fix bug #PSCFV-12472 do not use PS_PRODUCT_PICTURE_MAX_SIZE for product image upload
	[-] BO : Fix PSCSX-3114 button add to cart allow out of stock
	[-] BO : Fix PSCFV-12042 get currency of the shop
	[-] BO : Fix bug #PSCSX-2701, parse error in AdminCustomerThreads
	[-] BO : Fix bug #PSCSX-266, import ecotax
	[-] BO : Fix bug #PSCSX-3092, no errors for test_files
	[-] BO : Fix bug #PSCFV-12193, live edit url with virtual url
	[-] BO : Fix PSCSX-3076 employee access to only one shop carrier create
	[-] BO : fixed login screen animation and gradient for IE10 - PSCSX-2331
	[-] BO : Fix PSCSX-2998 category tree with product import
	[-] BO : Fix PSCSX-2850 can't remove default order statuses
	[-] BO : Fix PSCSX-2907 hook action call twice
	[-] BO : Fix bug #PSCSX-3049, filters on AdminTaxRulesGroup
	[-] BO : Fix PSCSX-2953 reset combination
	[-] BO : HelperForm / swap: preventDefault
	[-] BO : HelperForm / Styling swap
	[-] BO : tax breakdown did not appear when there is only vat on the shipping
	[-] BO : Fix the mail sent by customer service tab with the right link to answer
	[-] BO : small fix product margin KPI + tooltip
	[-] BO : Fix PSCFV-12440 category tree if ROOT isn't id_cat = 1
	[-] BO : you can now erase a personal note on a customer #PSCSX-2723
	[-] BO : Fix bug #PSCSX-2987, #PSCFV-11624 datepicker
	[-] BO : Fix PSCSX-1360 root category where id_parent != 1
	[-] BO : Handle combinated taxes on AdminProducts
	[-] BO : shop main url update
	[-] BO : FixBug #PSCSX-2945 - Wrong total price in cart summary
	[-] BO : Fix PSCFV-12324 new order refund when refund since bo
	[-] BO : Correct Help window persistency
	[-] BO : Correct Help system for Safari private browsing
	[-] BO : fixed default controller when employee's default controller is not found
	[-] BO : Fix bug #PSCSX-2695, id_shop in url VS virtual urls
	[-] BO : Fixed miss placed hint for wholesale_price - PSCSX-2157
	[-] BO : Fixed multistore select icon - PSCSX-2568
	[-] BO : Fix PSCSX-2919 bad id_parent after display a field error
	[-] BO : Fix PSCSX-2899 change date_upd when change a product
	[-] BO : search combination upc and supplier_reference
	[-] BO : Fix bug #PSCSX-2934 &amp; in add links //w3c
	[-] BO : fixed total spent in customer list/list_header.tpl #PSCSX-2805 [+] BO : added a button to show the sql query in dev mode
	[-] BO : Fix PSCFV-12220 thumbnail in filemanager
	[-] BO : removed excess <hr> in combination generator
	[-] BO : Fix PSCSX-2879 can sort color attribute
	[-] BO : AdminSearch removed duplicate search
	[-] BO : Fix PSCSX-2883 can sort attribute
	[-] BO : forgot password - Fix PSCSX-2372
	[-] BO : Fix display of attribute list on adminspecificpricerules
	[-] BO : Fix PSCSX-2825 link don't work if theme configurator footer edit
	[-] BO : Fix PSCSX-2373 payment restriction when add a new order
	[-] BO : SMTP config is now multistore compatible (see #PSCFV-11651)
	[-] BO : Fix PSCSX-2816 change order for product custom
	[-] BO : #PSCSX-2827 Fatal error
	[-] BO : FixBug #PSCSX-1257 - Tabs not loaded correctly
	[-] BO : Fix bug #PSCFV-12359 first part
	[-] BO : Fix PSCSX-2819 add a information sentence
	[-] BO : Fix Bug #PSCSX-2660 Test for permission on bulk_delete
	[-] BO : Fixed Friendly URL switch + mod rewrite warning
	[-] BO : FixBug #PSCSX-2806
	[-] BO : Fix #PSCSX-2690, Set correct id_country for address format with error management
	[-] BO : Fix PSCSX-2620 breadcrumb if multiple root categories in monoshop
	[-] BO : Fix PSCSX-2620 when edit home category and save don't go back in root category
	[-] BO : Make online user to display in AdminCarts
	[-] BO : Fix PSCSX-2745 product description editable in multi shop context
	[-] BO : FixBug #PSCSX-1257 - Link rewrite error after save
	[-] BO : FixBug #PSCSX-2668, #PSCFV-12258, #PSCSX-2555 - Pack creation
	[-] BO : fixed bug : getNativeModule() always return $natives even if the list is empty
	[-] BO : Fix #PSCSX-2687 logo disapear with multishop
	[-] BO : Fix #PSCSX-2690, Set id_country correct in address_format
	[-] BO : fix #PSCSX-2752 add attributes to config html purifier
	[-] BO : fixing a JS error when removing all exclusion in module position
	[-] BO : FixBug #PSCSX-2698
	[-] BO : FixBug #PSCFV-11624 StockManagement Filter
	[-] BO : FixBug #PSCFV-11624
	[-] BO : Fix bug #PSCSX-2681 #PSCSX-2575 , dnd inactive
	[-] BO : Fix #PSCSX-2575
	[-] BO : FIX #PSCSX-2683 add class
	[-] BO : Fix bug #PSCSX-2427, could not enable files button in multishop
	[-] BO : Fix bug #PSCSX-2237, currency cron on multishop
	[-] BO : Fix bug #PSCSX-2658, combinations edition

	[-] CORE : Fix multishop issue #PSCSX-4197
	[-] CORE : Fix multishop kpi issue #PSCSX-3724
	[-] CORE : Follow up https://github.com/PrestaShop/PrestaShop/pull/2018
	[-] CORE : Fix #PSCSX-3624
	[-] CORE : Fixed robots.txt Disallow
	[-] CORE : Fix bug #PSCFV-11809, empty unvalid object field before insertin in order details
	[-] CORE : Fix #PSCSX-3729 value cart_rule when total cart rule > total order
	[-] CORE : Fix #PSCFV-11170 add .htaccess in upload dir
	[-] CORE : Fix #PSCSX-3643 Delivery slip without invoices
	[-] CORE : FixBug #PSCSX-3523 - Rotate image for correct orientation
	[-] CORE : FixBug #PSCSX-3482 - Save round mode with order
	[-] CORE : Fix #PSCSX-3374 handle vietnamese accent
	[-] CORE : static cache bugfix
	[-] CORE : Fix bug #PSCSX-3635, non utf-8 cars to 404
	[-] CORE : static cache bug
	[-] CORE : Fix bug #PSCSX-3631, adding param to updateIsVirtual
	[-] CORE : Fix #PSCSX-3561 different template email for multishop
	[-] CORE : Fix PSCSX-1240 and repair query
	[-] CORE : Fix PSCSX-3142 Validate order and cart rule
	[-] CORE : Fix #PSCSX-3409, Fix regex for isBool() method
	[-] CORE : Fix bug #PSCSX-3414, bad address formatting
	[-] CORE : Don't apply disabled tax rules group
	[-] CORE : Fix undefined $category into recurseCategory
	[-] CORE : Fix Tools::cleanNonUnicodeSupport() regexp
	[-] CORE : Fix #PSCSX-3199, implement search not begining with
	[-] CORE : Fix bug #PSCSX-3124, duplicates in conf table
	[-] CORE : Fix PSCSX-3120 print_r in tools.js can dump big object now
	[-] CORE : FixBug #PSCSX-3058 - simulate PHP 5.3 Half Round Mode
	[-] CORE : you need to cast to integer even after ip2long because it returns false for an IPv6
	[-] CORE : Fix group used by Price::getPriceStatic() when id_customer is provided
	[-] CORE : Fix bug #PSCSX-2922, could not generate class_index
	[-] CORE : Fix bug #PSCFV-12292, display precision in convertPriceFull
	[-] CORE : FixBug #PSCSX-1818
	[-] CORE : don't cache the file_exists in Module::getInstanceByName

	[-] MO : Fix PNM-2666 better wording referral program
	[-] MO : changed $this->l() that could not work to Tools::displayError() in ModuleCore
	[-] MO : homeslider - Fix css direction issue #PSCSX-2514
	[-] MO : Bank-wire - added proper breacrumb route
	[-] MO : Bank-wire module - removed useless dots

	[-] WS : Fix #PSCFV-11636 & #PSCSX-3274
	[-] WS : Fix warning
	[-] WS : Fix PSCSX-1564 execute hook updateProduct on product change
	[-] WS : Fix bad xlink in combination association image [-] WS : Fix duplicate id in images/products entity
	[-] WS : Fix #PSCFV-12454
	[-] WS : allow adding product to empty category
	[-] WS : Fix price field of product entity, now unaltered (use price parameter, see : http://doc.prestashop.com/display/PS15/Chapter+10+-+Price+management)
	[-] WS : Fix #PSCFV-9245
	[-] WS : Fix nodeType attribute, now singular [*] WS : Add "api" attribute, plural to name entity
	[-] WS : Fix #PSCFV-9389, #PSCSX-2227, #PSCFV-10418, #PSCFV-9761
	[-] WS : Fix Carrier xlink #PSCFV-10198

	[-] LO : Fix bug #PSCSX-2840, additionnal message in order_return_state

	Improved/changed features:

	[*] PROJECT : add a parameter allowing to determine the orientation f the pdf file
	[*] PROJECT : ->getAllParents() for a category

	[*] INSTALLER : Add new 'reduction_tax' field in specific_price table
	[*] INSTALLER : allow to install only some parts of the software with the cli installer
	[*] INSTALLER : add an option to specify the base_uri on the PHP CLI installer

	[*] FO : Cache result of FrontController::isInWhitelistForGeolocation() to reduce preg_match() calls
	[*] FO : Performance Mobile detection
	[*] FO : Fix #PSCSX-3236, apply specific fixed price for combinations only (product.js)
	[*] FO : Fix #PSCSX-3607, Display price correctly if specific price is set to 0
	[*] FO : Fix #PSCSX-3450, add product name to oos alert line
	[*] FO : FIx #PSCSX-3426, set default currency depending on country when PS_DETECT_COUNTRY
	[*] FO : Fix #PSCSX-3026, Handle specific price for only one currency (product.js)
	[*] FO : performance improvement on module exceptions
	[*] FO : product.js: apply ecotax even if there is no other tax
	[*] FO : setCookieLanguage & getCountry without HTTP_ACCEPT_LANGUAGE

	[*] BO : Fix #PSCSX-4031, fix upload theme by URL
	[*] BO : Fix multiple install for addons theme, follow up bdec19ea174a07325927007cc43aeee4e239cb06
	[*] BO : Fix #PSCSX-3441, match product ref when importing attributes
	[*] BO : Fix #PSCSX-3734, Do not display specific price if currency is not activated
	[*] BO : Replace theme in context if necessary
	[*] BO : Add an option to choose how many decimals to display
	[*] BO : Fix date range issue for Dashboard
	[*] BO : Fix Catalog rule for multishop
	[*] BO : Log the connections to the BackOffice
	[*] BO : Fix #PSCFV-11258 more precise error message when override fail
	[*] BO : #PSCSX-1597, Remove useless filter
	[*] BO : Fix #PSCSX-3519, handle error for invalid date range
	[*] BO : Search blacklist to textarea
	[*] BO : fix CS issues in AdminImport controller
	[*] BO : hide scenes column in images when the tab does not exists #PSCSX-2933
	[*] BO : Fix #PSCSX-2156, do not empty autocomplete field if no result found
	[*] BO : remove unnecessessary ternary operators
	[*] BO : Fix #PSCSX-3329, add timepicker to cart rules
	[*] BO : Fix #HOSTED-581, fixes for unstrusted modal (see: #PSCSX-3245)
	[*] BO : Introduce new untrusted modal window (see #PSCSX-3245)
	[*] BO : Fix PSCSX-3241 improve upgrade override class
	[*] BO : The link from the orders view to the customer threads automatically filter the messages related to the order
	[*] BO : PSCSX-3035 Warehouse carrier like product carrier select
	[*] BO : updated "disabled products" KPI
	[*] BO : modified 80/20 KPIs to a simpler (but efficient) one
	[*] BO : added shortcut to OOS products on OOS products KPI
	[*] BO : added tooltip to KPIs [-] BO : applied the "product out of stock" KPI to active products only
	[*] BO : added refresh option to KPIs
	[*] BO : Fix #PSCSX-3001, Automatically assign shop id if employee has access to only one shop
	[*] BO : Fix display of untrusted module window
	[*] BO : Fix #PSCSX-2978, Add slashes for Adresses (cf https://github.com/PrestaShop/PrestaShop/pull/2047)
	[*] BO : improved name for exports to sql manager
	[*] BO : fixed Typeahead search in product associations / tree - PSCSX-2153
	[*] BO : Fix checkboxes for product information in multishop (cf #PSCSX-2891)
	[*] BO : improved "new customer" label in order list #PSCSX-2596
	[*] BO : Fix #PSCSX-2652, show confirmation for multiple update
	[*] BO : improved rounding option labels
	[*] BO : Fixed tooltip for helper list - Fix PSCSX-1979
	[*] BO : Display themes even if they don't have any thumbnail
	[*] BO : Redirect to Order list if $order is not loaded
	[*] BO : Add TaxRulesGroup if multiple state selected
	[*] BO : Seller now can add any payment name
	[*] BO : Added the option to never clear smarty cache (may be useful if you want to bulk update something for example)
	[*] BO : Theme installator custom hooks problem

	[*] CORE : ObjectModel::__construct() perfs improvements
	[*] CORE : Use PDO::fetchAll() && mysqli_fetch_all() to avoid useless calls to Db::nextRow()
	[*] CORE : Fix #PSCSX-3480 media server handle multistore
	[*] CORE : profiling mode now catch redirection in order to analyze add/update in BO
	[*] CORE : profiling mode improved
	[*] CORE : Add an option to use a relative protocol link in the class Link #PSCSX-3306
	[*] CORE : Additional index added to ps_orders on "references" to improve performance
	[*] CORE : updated PHP Parser SQL (not backward compatible if you are using it directly)
	[*] CORE : Mobile_Detect upgrade to 2.8.3
	[*] CORE : force secure option on the cookies if SSL is forced #PSCFV-12409
	[*] CORE : switch a die to Exception in Dispatcher
	[*] CORE : Added option to put smarty cache in the database instead of the filesystem
	[*] CORE : Add options for taxes rounding

	[*] MO : Fix #PSCSX-2949, if $display_column_xx not found in DB, use module settings instead of theme default value
	[*] MO : added vimeo icon in blocksocial
	[*] MO : blockcart - Better css for added to cart action #PSCSX-717

	[*] WS : Add Customizations management (/api/product_customization_fields/, /api/customizations/, /api/images/customizations/) #PSCFV-9028 [-] WS : Fix attribute name, now normalized in lowerCamelCase (eg : not_filterable is now notFilterable) List: notFilterable, readOnly, virtualEntity, nodeType, shopName
	[*] WS : improved WS error display for auth issues
	[*] WS : Add product_customization_fields entity #PSCFV-12096

	[*] LO : Added Tax Rules Group to all EU localization packs with taxes for virtual products - new EU Law
	[*] LO : Updated Canadian Taxes and States

	Added Features:

	[+] INSTALLER : Added Hebrew Installer Files.

	[+] FO : Fix #PSCSX-3571, change quantity discounts table order to ASC
	[+] FO : Allow user to add products to different wishlist (cf #PNM-2581)
	[+] FO : Update Font-awesome to 4.1.0
	[+] FO : Fix #PSCSX-2460, Send wishlist by email
	[+] FO : missing style on maintenance page (cf https://github.com/PrestaShop/PrestaShop/pull/2003)
	[+] FO : Fix #PSCSX-2731, Display Unit Price according to combination impact if set

	[+] BO : Fix #PSCSX-4127, Add new details for theme install in hostmode
	[+] BO : Add button to create new theme
	[+] BO : Allow user to install theme from unzipped folder
	[+] BO : Allow catalog rules to be set tax excl. or tax incl. (see #PSCSX-3180 and 348433bbfd1dff9839d74fb87e571b4b525ab39e)
	[+] BO : Allow discounts (specific prices) to be set tax excl. or tax incl. (see #PSCSX-3180)
	[+] BO : Fix #PSCSX-3369, Add some space between form inputs on small screen
	[+] BO : Adding Js definition in Header
	[+] BO : added uninstall permission on modules #PSCSX-584
	[+] BO : Adding last employee connection date
	[+] BO : New icons for SQL debug on helper list (dev mode)
	[+] BO : export lists to SQL manager
	[+] BO : added email log to the customer page
	[+] BO : Emails can now be logged
	[+] BO : Override of list, form or view fields
	[+] BO : Responsive tables - WIP (@todo: sorting)
	[+] BO : Allow override of required_fields.tpl in Helper
	[+] BO : Now you can create order from BO when PS_CATALOG_MODE is on
	[+] BO : Added plugin Anchor to Tiny MCE

	[+] CORE : Add Mode to Context
	[+] CORE : Adding disabled option on switch field
	[+] CORE : Add new hook: displayCustomerIdentityForm
	[+] CORE : Fix #PSCFV-12289, Create Warehouse_Product_Location if you add stock to a new warehouse

	[+] MO : add default list option PNM-2581

	[+] LO : Added localization pack for Costa Rica


####################################
#   v1.6.0.9 - (2014-07-30)
####################################

	Fixed bugs:

	[-] INSTALLER : don't launch sessions on smarty compilation to avoid race conditions
	[-] INSTALLER : Fix bug #PSCSX-2573 updating Israel ZIP format
	[-] INSTALLER : correct field name into Theme XML

	[-] FO : extend mobile reponsive behavior to tablet #PSCSX-2842
	[-] FO : Correct responsive issue on category images #PSCSX-2843
	[-] FO : Fix #PSCSX-2484, Add style for .available-dif class
	[-] FO : Correct left column responsive issue #PSCSX-1862
	[-] FO : fixed cache id for tax calculation
	[-] FO : Bug #PSCSX-2519, Display thumbnail slider
	[-] FO : fixed css compression base64 issue #PSCSX-2772
	[-] FO : Fix #PSCSX-2735 - product.js, fix price calculation with 6 decimals
	[-] FO : Fix bug #PSCSX-2694, mail encoding
	[-] FO : Fix bug #PSCSX-2653, cols and rows in adresses
	[-] FO : Fix bug #PSCFV-12189, color picker is not working with accented characters
	[-] FO : changed the order between external/internal files in CCC #PSCFV-12286
	[-] FO : fixed maintenance mode on module pages #PSCSX-2447
	[-] FO : Fix bug #PSCSX-2425 Enlargement of link
	[-] FO : Fix bug #PSCFV-12219, could not contact with order ref when not logged
	[-] FO : Fix bug #PSCSX-2467, dni not hidden
	[-] FO : Fix bug #PSCSX-2424, no products in delivery slip
	[-] FO : Fix bug #PSCSX-2418, no thickbow when only one image
	[-] FO : Fix bug #PSCFV-12204, bad deletion of cart rule
	[-] FO : Fix bug #PSCSX-2388, fancybox on visible thumbs
	[-] FO : Fix bug #PSCSX-1730, could not translate customization upload inputs
	[-] FO : Improve performance of some SQL requests #PSCSX-2321
	[-] FO : Fix bug #PSCSX-2327, customization and quick view
	[-] FO : Fix bug #PSCSX-2308, email validation
	[-] FO : Fix bug #PSCSX-2318, submitGuestAccount onblur
	[-] FO : Fix undefined 'li_width' on scenes.js
	[-] FO : Fix bug #PSCSX-2182, outline on fancybox
	[-] FO : Fix display issue #PSCSX-2229 on homeslider
	[-] FO : Fix bug #PSCSX-2025, no texture in product-list
	[-] FO : Fix bug #PSCSX-2142, bad state selected

	[-] BO : catch useless warning (aborted request)
	[-] BO : #PSCSX-2827 Fatal error
	[-] BO : FixBug #PSCSX-1257 - Tabs not loaded correctly
	[-] BO : Fix bug #PSCFV-12359 first part
	[-] BO : Fix PSCSX-2620 breadcrumb if multiple root categories in monoshop
	[-] BO : Fix PSCSX-2620 when edit home category and save don't go back in root category
	[-] BO : Fix #PSCSX-2690, Set correct id_country for address format with error management
	[-] BO : fixed bug : getNativeModule() always return $natives even if the list is empty
	[-] BO : FixBug #PSCSX-1257 - Link rewrite error after save
	[-] BO : FixBug #PSCSX-2668, #PSCFV-12258, #PSCSX-2555 - Pack creation
	[-] BO : Fix #PSCSX-2690, Set id_country correct in address_format
	[-] BO : FixBug #PSCSX-2698
	[-] BO : FixBug #PSCFV-11624
	[-] BO : FixBug #PSCFV-11624 StockManagement Filter
	[-] BO : Fix bug #PSCSX-2430, virtual to normal product
	[-] BO : Fix bug #PSCSX-2684, bad icon on adminshops
	[-] BO : Fix bug #PSCSX-2681 #PSCSX-2575 , dnd inactive
	[-] BO : Fix bug #PSCSX-2659, tax rule form
	[-] BO : Fix #PSCSX-2575
	[-] BO : fixed bug #PSCSX-1832 - customer employee image in SAV
	[-] BO : Fix bug #PSCSX-2658, combinations edition
	[-] BO : Fix #PSCSX-2605 option tmpTableFilter work for renderList
	[-] BO : fixed crash when accessing a cart with paid gift wrapping and an address that does not exist
	[-] BO : added error message when a module cannot be removed
	[-] BO : Fix bug #PSCSX-2520 add cancel button
	[-] BO : fixed badly designed dynamic include in smarty block
	[-] BO : HTMLPurifier allow form elements and improve performance
	[-] BO : module list was empty on updating multiple modules
	[-] BO : fixed warning with controllers that does not exist
	[-] BO : fixed theme copy #PSCSX-2536
	[-] BO : Fixed module update loop
	[-] BO : Fix bug #PSCSX-2071, unity field in mutlishop
	[-] BO : Fix bug duplicate manufacturers, follow up https://github.com/PrestaShop/PrestaShop/pull/1892
	[-] BO : Fix bug #PSCSX-2419, could not force id
	[-] BO : Fix #PSCSX-2432, Display theme info from DB if no XML
	[-] BO : Fix Invalid date Exception on AdminCustomers
	[-] BO : Fix bug #PSCFV-12205, checked property for specific product selection
	[-] BO : Filemanager prevents null byte
	[-] BO : Fix export theme path check
	[-] BO : Fix error message on same variation
	[-] BO : Fix TinyMCE alignment buttons
	[-] BO : fileupload safari/pc fix #PSCSX-2279
	[-] BO : Fix bug #PSCSX-2152, collapse / expand categories tree
	[-] BO : contextual help toc fix
	[-] BO : Fix bug #PSCFV-12120, unit price ratio during import
	[-] BO : Fix bug #PSCSX-2219, could not chenge from texture to color in Attributes
	[-] BO : Fix bug #PSCFV-12030, false positive on extract return when pclzip
	[-] BO : Fix bug #PSCSX-2047, chmod on contact attachment
	[-] BO : Footer github link updated
	[-] BO : Footer github link is now redirected to prestashop to avoid HTTP_REFERER security issue

	[-] CORE : FixBug #PSCSX-1818
	[-] CORE : don't cache the file_exists in Module::getInstanceByName
	[-] CORE : Follow up #PSCSX-2500
	[-] CORE : Fix bug #PSCSX-2500, additionnal spaces for addOverride
	[-] CORE : Fix bug #PSCFV-12169, bad call to Product::cleanPositions
	[-] CORE : Fix bug #PSCSX-2307, again lang detect conflict
	[-] CORE : Fix bug #PSCSX-2307, lang detect conflict
	[-] CORE : fix mails copy for translation #PSCSX-2133
	[-] CORE : Fix bug #PSCSX-1677, ProductUpdate not called when saving product

	[-] MO : blocklayered - No more breadcrumb on Category banner
	[-] MO : blocklayered - Correct filtering issues #PSCSX-2030
	[-] MO : Product comments comparison

	[-] WS : Fix #PSCSX-1845
	[-] WS : #PSCFV-10283, #PSCFV-7498 Fix product images behavior [-] WS : #PSCFV-11895, #PSCFV-10748 Fix ampersand issue [-] WS : Fix node_type behavior for associations, now the node_type attribute is linked to plural entities name (eg: category is now categories) [*] WS : #PSCFV-12162 Webservices now work in conjunction with watermark module [*] WS : #PSCSX-1563 Webservices allow to set position_in_category of products entity [+] WS : Add JSON output, add "io_format=JSON" to your request
	[-] WS : Fix #PSCSX-2344 preg_match(): Compilation failed

	Improved/changed features:

	[*] INSTALLER : improved a string in the Romanian translation
	[*] INSTALLER : Romanian translation
	[*] INSTALLER : hover on print login information

	[*] FO : product.js: apply ecotax even if there is no other tax
	[*] FO : kick display sub categorie in theme configurator #PSCSX-943
	[*] FO : you can now choose the number of product display in the module blockbestsellers
	[*] FO : Follow up https://github.com/PrestaShop/PrestaShop/pull/1888
	[*] FO : better small screen quickview handling #PSCSX-2029
	[*] FO : Bug #PSCSX-2210, Spaced out gift message and career message
	[*] FO : Better schema.org support
	[*] FO :  Add more schema.org attributes
	[*] FO : Refresh page when removing product to compare

	[*] BO : Add TaxRulesGroup if multiple state selected
	[*] BO : ameloration of the description #PSCSX-2621
	[*] BO : added MySQL related information to the "Informations" tab
	[*] BO : updated github link on login page
	[*] BO : HelperFrom, improved html type behavior
	[*] BO : move validateImportation() JS function
	[*] BO : hide hooks without module

	[*] CORE : Smarty updated to 3.1.19 (mostly bugfixes including #PSCSX-2610)
	[*] CORE : Mobile_Detect upgrade to 2.8.2
	[*] CORE : added a bit of log and a debug mode in validate order (in order to save time when debugging is needed)
	[*] CORE : Follow up https://github.com/PrestaShop/PrestaShop/pull/1881

	[*] MO : open social links in new tabs in blocksocial #PSCSX-2538

	Added Features:

	[+] FO : missing style on maintenance page (cf https://github.com/PrestaShop/PrestaShop/pull/2003)

	[+] BO : added a shortcut to create a shortcurt to the current page :]
	[+] BO : contextual help
	[+] BO : Added hooks to extend / override Order and Shipping panels on order view

	[+] WS : New shop_urls entity as asked on #PSCFV-10416


####################################
#   v1.6.0.8 - (2014-06-20)  #
####################################

	Fixed bugs:

	[-] FO : Fix bug #PSCFV-12189, module can be disabled
	[-] FO : Fix bug #PSCSX-2025 again, group by empty color for textures
	[-] FO : Fix bug #PSCSX-2418, no thickbow when only one image
	[-] FO : Fix bug #PSCFV-12204, bad deletion of cart rule    Conflicts:    	themes/default-bootstrap/js/cart-summary.js

	[-] BO : Fix bug #PSCSX-2455, lang not valid
	[-] BO : Fix bug duplicate manufacturers, follow up https://github.com/PrestaShop/PrestaShop/pull/1892
	[-] BO : Fix bug #PSCSX-2382, could not chosse an accessory
	[-] BO : FixBug #PSCSX-2440
	[-] BO : Fix bug #PSCSX-2419, could not force id
	[-] BO : Fix bug #PSCSX-2431, bad admin_themes.js loading
	[-] BO : Fix #PSCSX-2432, Display theme info from DB if no XML
	[-] BO : Fix Invalid date Exception on AdminCustomers
	[-] BO : Fix bug #PSCFV-12205, checked property for specific product selection

	[-] CORE : #PSCSX-2438 undefined conts

	[-] WS: Fix #PSCSX-2344 preg_match(): Compilation failed

	Improved/changed features:

	[*] BO : fix strip switch
	[*] BO : strip label & checkbox for bootstrap/chrome


####################################
#   v1.6.0.7 - (2014-06-17)  #
####################################

	Fixed bugs:

	[-] Installer : Fix the name of the language    PT-BR is Portuguese of Brazil's, PT-PT is Portuguese of Portugal

	[-] FO : Fix bug #PSCSX-2388, fancybox on visible thumbs    Conflicts: themes/default-bootstrap/js/product.js
	[-] FO : product-list-colors bad cache id
	[-] FO : Fix bug #PSCFV-12176, var not sanitized in stores.js
	[-] FO : Fix bug #PSCSX-2236, bad check on addJs array
	[-] FO : Fix bug #PSCSX-1730, could not translate customization upload inputs
	[-] FO: Improve performance of some SQL requests #PSCSX-2321
	[-] FO : Fix display issue #PSCSX-2229 on homeslider
	[-] FO : Fix bug #PSCFV-12140, color status in front
	[-] FO : Fix bug #PSCFV-12140, could not see order status color
	[-] FO : Fix bug #PSCSX-2299, followup https://github.com/PrestaShop/PrestaShop/commit/14374814021310677909b17ea1ba52cace6d3756
	[-] FO : Css fix
	[-] FO : Fix bug #PSCSX-2216, uniform conflict with radio inputs
	[-] FO : Fix bug #PSCSX-2193, cms category description
	[-] FO : no View larger with default img
	[-] FO : Fix #PSCSX-2208, undefined
	[-] FO : Fix bug #PSCFV-12113, duplicate phone in stores address
	[-] FO : Fix bug #PSCSX-2184 when !PS_BLOCK_CART_AJAX
	[-] FO : Fix bug #PSCSX-2025, no texture in product-list
	[-] FO : Fix bug #PSCSX-2142, bad state selected
	[-] FO : Correct displaying issue #PSCSX-2091
	[-] FO : Fix #PSCFV-12006, erratic cart rules highlight
	[-] FO : product.js Fix amount discount and display prices without tax (customer group)
	[-] FO : Fix bug #PSCSX-2090, bad discount value when TI on shopping cart
	[-] FO: css and not js folder.
	[-] FO : Fix bug #PSCSX-2083, no oos message
	[-] FO : Fix bug #PSCFV-12066, Cart carrier not updated correctly when carrier selected before account create
	[-] FO : Fix bug #PSCSX-2066, nb of item per page badly set from cookie
	[-] FO : Css fix #PSCSX-2037
	[-] FO : Fix bug #PSCSX-2037, stock label when allow oosp
	[-] FO : Category image resize FF
	[-] FO : Fix bug #PSCFV-11922, bad carrier default selection
	[-] FO : Fix bug #PSCSX-2014, bad carrier in OPC
	[-] FO : fixed global sass file, charset is now taken in account on compilation
	[-] FO : Fix bug #PSCFV-12040, google map in https
	[-] FO : Meta priceCurrency fixed #PSCSX-1991
	[-] FO : Fix css bug #PSCSX-1929
	[-] FO : Fix bug #PSCSX-1956, USA adress format
	[-] FO : Fix bug #PSCSX-1935, notice when using header.php
	[-] FO : Wrong cache on active ul on index
	[-] FO : Fix bug #PSCSX-1930, could not delete banner in live edit
	[-] FO : Bug #PSCSX-1678, Concert price in Voucher table
	[-] FO : Fix bug #PSCFV-12003, robots.txt without unactive languages
	[-] FO : Fix bug #PSCFV-12001, previous category badly selected
	[-] FO : #PSCSX-1889 Css fix
	[-] FO : order-carrier.js "acceptCGV" method needs "msg_order_carrier" translation which shall depend on PS_CONDITIONS rather than PS_ORDER_PROCESS_TYPE
	[-] FO : Fix bug #PSCSX-1828, showall button
	[-] FO : Fix bug #PSCSX-1693, missing infos in stores
	[-] FO : FixBug #PSCSX-1857
	[-] FO : Corrected vouchers order details displaying issues #PSCSX-1583
	[-] FO : FixBug #PSCSX-1505
	[-] FO : Correcting touch based device issues #PSCSX-1621
	[-] FO : Category badly instantiated on product page
	[-] FO : Corrected #PSCSX-1621 ajax-cart touch screen issue
	[-] FO : Fix bug #PSCSX-1607 missing order message in OPC
	[-] FO : Fix bug #PSCSX-1717, active
	[-] FO : Contact form Exception with ip2long
	[-] FO : Fix css bug #PSCSX-1427
	[-] FO: Fix controller detection when url rewrite is on

	[-] BO : Fix bug #PSCSX-2410, bad date for bought products
	[-] BO : fixed undefined help variable for light display
	[-] BO : fixed radio/checkbox for AdminProduct
	[-] BO : Fix bug #PSCSX-2402, states for warehouses
	[-] BO : Could not create shop
	[-] BO : fixed links with accented characters in contextual help
	[-] BO : Fix bug #PSCSX-2380, bad domain trim
	[-] BO : $.scrollto not working
	[-] BO : Fix bug #PSCFV-12180 no scrollto + norms
	[-] BO : Fix export theme path check
	[-] BO : Filemanager prevents null byte
	[-] BO : fixed contextual help language
	[-] BO : Fix bug #PSCSX-2354, divider in option list
	[-] BO : Fix error message on same variation
	[-] BO : Fix bug #PSCSX-1821, shop url when themeconfugurator not enabled
	[-] BO : contextual help toc fix
	[-] BO : Fix bug #PSCSX-2038, bad cars in json in combinations loading
	[-] BO : Fix bug #PSCSX-2038, open base_dir restrict in AdminProductsController
	[-] BO : Fix bug #PSCFV-12120, unit price ratio during import
	[-] BO : Bad AdminFeatures orderby
	[-] BO : Could not associate image to shop
	[-] BO : Fix bug #PSCSX-2185, cms preview
	[-] BO : Fix #PSCSX-2087
	[-] BO : Fix bug #PSCSX-2174, addresses fixtures
	[-] BO : Fix bug #PSCSX-2120, admin features orderby
	[-] BO : Fix bug #PSCSX-2120, manufacturers orderby
	[-] BO : Fix bug #PSCSX-2120, suppliers order by
	[-] BO : Missing compagny in manufacturers
	[-] BO : Fix bug #PSCFV-12089, do not set name as default required field for import
	[-] BO : Fix bug #PSCFV-12030, false positive on extract return when pclzip
	[-] BO : Fix bug #PSCSX-2047, chmod on contact attachment
	[-] BO : Footer github link updated
	[-] BO : Bug #PSCSX-2101, Display error when modules aren't updated
	[-] BO : added error management when trying to install a theme without write permissions
	[-] BO : Fix bug #PSCFV-12091, default shop reset on employee pwd renewal
	[-] BO : Typo fixed: "sprinf" instead of "sprintf"    When saving email translations with an invalid module name, the error was displayed with *sprinf* function instead of *sprintf*, hence triggering a PHP Fatal Error
	[-] BO : Fix link to edit customer in group member list
	[-] BO : Fixed position updating issue #PSCSX-2026 PSCSX-1873    A change made on March 24th prevented to update the positions correctly in some tabs (like "Attributes/Values". The $position_group_identifier variable would be always populated with 1 or 0 instead of the $this->position_group_identifier value.    This will make the "id" HTML attribute wrong and methods such as ajaxProcessUpdateAttributesPositions() to fail. Fixed it by keeping the change made on March 24th and using getValue() instead of getIsset().
	[-] BO : Add module blacklist for host mode
	[-] BO : Fixed module action buttons issue #PSCSX-2015
	[-] BO : Fix feature #PSCFV-12041, choose products categories defaukt display
	[-] BO : Fix bug #PSCSX-2028, company for suppliers addresses
	[-] BO : Bug #PSCFV-11515, Supply order autocompletion is now sorted correctly
	[-] BO : Fix bug #PSCSX-1692, import success
	[-] BO : renderShopList, reselect disabled group
	[-] BO : Fix #PSCSX-2003, prevent shop url lik category image rwrite
	[-] BO: use addJquerylugin (autosize)    (And correct the filename, cause jquery.autosize.min.js doesn't exist !)
	[-] BO: use addJqueryPlugin (colorpicker)
	[-] BO : AdminTranslations could not copy in configuration_lang
	[-] BO : Performance    its not necessary to count Products per Manufacturer here. ( $get_nb_product passed to false )
	[-] BO : Fix bug #PSCFV-12034, modules removed from Files check
	[-] BO : Fix bug #PSCFV-11166, orderslips in multishop
	[-] BO : Install module button style changed #PSCSX-1959
	[-] BO : fix left and right column display    Hi,    The problem is :    For pages that doesn't exists in 'ps_theme_meta' tables ( like front controller in new module, or add in override/controllers ),    $colums['left_column'] and $colums['right_column'] value is null, so the columns aren't displayed even if $this->display_column_left or $this->display_column_right is set to true.    $column test resolve this problem.    Thanks
	[-] BO : Fix bug #PSCSX-1686, manufacturers address errors
	[-] BO : Fix bug #PSCSX-1908, index rewrite
	[-] BO : Correct abandonned carts issue #PSCSX-691
	[-] BO : Fix bug #PSCSX-1780, Unable to generate delivery slips without invoices
	[-] BO : Fix bug #PSCSX-1779, PS_INVOICE not taken into account
	[-] BO : Fix bug #PSCFV-9880, no overrides pdf TR in FO
	[-] BO : Fix bug #PSCFV-11989, address required fields for warehouses
	[-] BO : Images options not checked
	[-] BO : Bug #PSCSX-1859, AdminTabs - change default link of helperlist
	[-] BO : Fix bug #PSCSX-1850,bad  price display precision
	[-] BO : Fix bug #PSCSX-1831 customer_message readed
	[-] BO : FixBug #PSCSX-1706
	[-] BO : FixBug #PSCSX-1561 - Customer service order
	[-] BO : Fix bug #PSCSX-1671, return on confirm in AdminTaxes
	[-] BO : Fix bug #PSCSX-1682, could not filter with comma
	[-] BO : Fix bug #PSCSX-1687, html tags in description for AdminTracking
	[-] BO : #PSCFV-11918, possible bad carriers display IN BO
	[-] BO : Fix bug #PSCFV-11930, could not import state
	[-] BO : FixBug #PSCSX-1668
	[-] BO : Undefined offset
	[-] BO : Fix bug #PSCSX-1659, could not update conf key PS_GROUP_FEATURE_ACTIVE && PS_COMBINATION_FEATURE_ACTIVE
	[-] BO : FixBug #PSCSX-1471
	[-] BO : Bug #PSCFV-11936, Escape HTML char for Return Message
	[-] BO : FixBug #PSCSX-1741 - Wrong fields label
	[-] BO : FixBug #PSCSX-1762 - Add more test file
	[-] BO : FixBug #PSCFV-11946
	[-] BO : fix fatal when adding a theme without directory
	[-] BO : FixBug #PSCSX-1569
	[-] BO : Bug #PSCSX-1767, Display correct number of messages
	[-] BO : fix a display when updating a module with a file upgrade
	[-] BO : fix an issue when installing a theme directly from the disc

	[-] CORE : Fix bug #PSCSX-2307, bad language_code in ps_lang < 1.5.6.1
	[-] CORE : Fix bug #PSCSX-2361, bad closing tag in ajax requests
	[-] CORE : Fix bug #PSCFV-12169, bad call to Product::cleanPositions
	[-] CORE : Fix bug #PSCSX-2307, again lang detect conflict
	[-] CORE : fix mails copy for translation #PSCSX-2133
	[-] CORE : Fix bug #PSCFV-12147, bad sql join in getAttributesColorList
	[-] CORE : Fix #PSCSX-2256, add ui.spinner in media dependancies
	[-] CORE : Fix bug #PSCSX-2110, bad check on country active
	[-] CORE : external js badly called
	[-] CORE : Follow up #PSCSX-2039, parsing regex in admin TR
	[-] CORE : Fixed module install buttons display
	[-] CORE: Fix feature #PSCFV-10463, enable check for displaying best sellers page
	[-] CORE : Fix bug #PSCFV-11584 bad cache on setNoMultishipping
	[-] CORE : Fix bug #PSCFV-11298, context in single shop on module install
	[-] CORE : Fix bug #PSCFV-11157 part 2
	[-] CORE : Partial fix for #PSCFV-11157 Default cache attribute problems in multistore
	[-] CORE : Partial fix for #PSCFV-9955, products restriction
	[-] CORE : Fixed php issues Cart::duplicate
	[-] CORE : Fix bug #PSCSX-1961, Db::getInstance method can return server id > total servers
	[-] CORE : Fix bug #PSCFV-9517, check voucher validity before order validation
	[-] CORE : Fix bug #PSCSX-1899, short tags in overrides
	[-] CORE : Fix bug #PSCSX-1898 Missing trailing slash
	[-] Core: Fix cart rule discount price in db when total_products < total_shipping with free shipping #PSCFV-11702
	[-] CORE : could not disable overrides
	[-] CORE : FixBug #PSCSX-1834 - modified / deleted address used during order
	[-] CORE : FixBug #PSCSX-1485 - Wrong orders date information
	[-] CORE : Fix non recursive module install override
	[-] CORE: Fix bug #PSCSX-1676, bad id shop for PS_DELIVERY_NUMBER

	[-] MO : blocklayered - Correct filtering issues #PSCSX-2030
	[-] MO: Product comments comparison    Bug when delete a product from comparator when this have reviews
	[-] MO : Correct 'show all' issue #PSCSX-2030
	[-] MO: ratingValue fixed value    Fixed ratingValue

	[-] LO : Fix bug #PSCSX-2348, html in text mails
	[-] LO : #PSCSX-2009 fix taxRulesGroup in nl.xml

	Improved/changed features:

	[*] Installer : hover on print login information

	[*] FO : better small screen quickview handling #PSCSX-2029
	[*] FO : Better schema.org support
	[*] FO :  Add more schema.org attributes
	[*] FO : Typo    // double strip tag
	[*] FO : Fix #PSCSX-1703, enable configuration for defering scripts
	[*] FO : Duplicate line    Unnecessary line in CSS.
	[*] FO : better footer css #PSCSX-1985
	[*] FO : Fixed button-medium exclusive hovering - Fix PSCSX-1206
	[*] FO : Bug #PSCSX-1844, Display correct reduction amount and percentage

	[*] BO : updated bootstrap to latest version
	[*] BO : admin_theme js + admin themes controller js
	[*] BO : fixed UI themes
	[*] BO : Change KPI from Net Profit per Visitor to Net Profit per Visit
	[*] BO : fixed help.js home + nav
	[*] BO : fixed top-bar menu
	[*] BO : fix footer overflow + update schemes
	[*] BO : UI fixes for addon's login, payments, themes
	[*] BO : Fix _PS_CACHING_SYSTEM_ selection
	[*] BO : Prevent nyll bytes in upload name
	[*] BO : updated github link on login page
	[*] BO : viewport scale
	[*] BO : update fontAwesome 4.1 (sass src)
	[*] BO : help behavior + update fontAwesome 4.1
	[*] BO : help (fontAwesome)
	[*] BO : added admin.js to help popup.
	[*] BO : help
	[*] BO : fix hidden class for file upload safari/pc
	[*] BO : HelperFrom, improved html type behavior
	[*] BO : new help section and some wording for the Carriers page.
	[*] BO : #PSCSX-2087
	[*] BO : Add use of tabs in AdminPatters
	[*] BO : Introduce tabs feature in HelperForm
	[*] BO : New Theme Page is fully working
	[*] BO : Introduce tabs feature in HelperOption
	[*] BO : Fix #PSCFV-12070, bind filter on enter key only
	[*] BO: better wording for modal_not_trusted.tpl.
	[*] BO : display order summary without taxes if needed
	[*] BO : Better dashtrends kpi #PSCSX-1928
	[*] BO : Scroll to module upload - fix PSCSX-1932
	[*] BO : added a timeout to footer display - fix PSCSX-1806
	[*] BO: updating labels and descriptions, and made a string easier to translate, for AdminShopController.
	[*] BO : helper list - date filters are now localized - fix PSCSX-1874
	[*] BO : Difference between abandonned cart and non ordered is now available
	[*] BO : Fix feature #PSCSX-1890, enable country on loc. pack loading
	[*] BO : Add untrusted modal window on module install
	[*] BO : Improvement #PSCSX-1830
	[*] BO: Bug #PSCSX-1606, Add links on KPI
	[*] BO : Bug #PSCSX-1669, Add search form in AdminSearch page
	[*] BO : Product Pack Refacto - fixes/updates
	[*] BO : string updated in AdminStockManagementController.
	[*] BO : Product Pack refacto
	[*] BO : clearer labels for request_sql
	[*] BO : Bug #PSCSX-1763, Display bought label in module list
	[*] BO : better string for modules/configuration_bar.tpl
	[*] BO: updating labels and descriptions for Import form.tpl

	[*] CORE : Load all theme xml
	[*] CORE: Add new XML with all native modules (for all countries)
	[*] Core : Revamp profiling - fix PSCSX-1933    https://www.dropbox.com/s/hmp4ri5dqrea6e1/Capture%20d%27%C3%A9cran%202014-04-25%2017.24.06.png
	[*] Core: Bug #PSCSX-1891, Introduce Trusted and Untrusted xml files
	[*] Core : Add addons API call for isModuleTrusted()
	[*] CORE: Allow override of DisplayEnableLink in Module class and child class

	[*] MO : blocktopmenu - Better category slide up/down under mobile devices

	[*] PDF : #PSCSX-2023 Add custos to Delivery Slip

	Added Features:

	[+] BO : help update
	[+] BO : contextual help
	[+] BO : Added ID on nav/subnav - fix PSCSX-1836
	[+] BO : Improvement #PSCSX-1426
	[+] BO : Product Pack Refacto

	[+] LO : Added Hungarian installer
	[+] LO : Added Norwegian (Bokmål) installer


####################################
#   v1.6.0.6 - (2014-04-10)  #
####################################

	Fixed bugs:

	[-] Installer : BR was missing from the timezones in the installer

	[-] FO : Made ribbon NEW and SALE clickable on product page and quickview    Conflicts:    	themes/default-bootstrap/css/product.css
	[-] FO : Fix #PSCFV-11235, transitionIn is fancybox 2
	[-] FO: Bad redirection on add to cart in quick view without PS_BLOCK_CART_AJAX
	[-] FO : Fix bug #PSCFV-11457, missing available_ values in queries
	[-] FO : Fix bug #PSCFV-11178, tpl and ajax not truncating at same car
	[-] FO : Fix bug #PSCSX-1599, hide blocklayered in accordion
	[-] FO : Fix css bug #PSCSX-602
	[-] FO : Fixed display issues #PSCSX-1529
	[-] FO : FixBug #PSCSX-1550
	[-] FO : Fix bug #PSCSX-886, #PSCSX-812, bad availability display
	[-] FO : Fix css bug #PSCSX-757, #PSCSX-1100, #PSCSX-852
	[-] FO : FixBug #PSCSX-1473 - Category image problem
	[-] FO : css fix #PSCSX-1402
	[-] FO : Css fix #PSCSX-1406
	[-] FO : Fix #PSCSX-1434, remove OutOfStock itemprop
	[-] FO : Fix bug #PSCSX-1441, bad displayimage on color pick
	[-] FO: redirect to http when SSL is disabled
	[-] FO : fixed products properties for best sellers
	[-] FO : Fix css bug #PSCSX-1355
	[-] FO : Update discount table on combination change
	[-] FO : removed cart rule description from the name in the blockcart
	[-] FO : Fix bug #PSCSX-1285, carriage returns in description_short
	[-] FO : 1.5 theme on opc free order
	[-] FO : Bug #PSCSX-1228, hide cart step when loging in
	[-] FO : Fix bug #PSCSX-1233, bad column count on payment
	[-] FO : Bug #PSCSX-1216, Change z-index for promo
	[-] FO : Fix #PSCSX-1165, display correct Group reduction price
	[-] FO : fixed bug #PSCFV-8805 Store contact Postcode and city are displayed in wrong order
	[-] FO : Fix bug #PSCSX-1127, retro compat for writeBookmarkLink

	[-] BO : Fix bug #PSCFV-11505, bad tax display on finalPrice
	[-] BO : Fix bug #PSCFV-10539, memcache_connect
	[-] BO : Fix bug #PSCFV-11124, Feature cleanPositions order by position
	[-] BO : Fix bug #PSCFV-11124, bad feature position import
	[-] BO : Bug #PSCSX-1542, Fix range testing for carrier wizard
	[-] BO : fix a display issue on adminmodules
	[-] BO : Recommended Modules display fix
	[-] BO : change permissions when installing a module from zip
	[-] BO : Copy all mail files for every lang on first translation/modification
	[-] BO : FixBug #PSCSX-1431 - Missing configuration option for modules
	[-] BO : fixed bug #PSCSX-938 - SAV attachment display in thread
	[-] BO : Fix bug #PSCSX-1374, undefined
	[-] BO : #PSCSX-1436, Add text to addon login
	[-] BO : Translatable string in Configuration error
	[-] BO : Language iso code should be lowercase
	[-] BO : strip dots in KPI key name
	[-] BO : fixed bug #PSCSX-1199 - Admin Customer Threads are not showing customer messages
	[-] BO : catch potential error from modules called in ajax requests
	[-] BO : FixBug #PSCSX-1134 - No position for Cms pages
	[-] BO : FixBug #PSCSX-1009 - Force json content with json request header
	[-] BO : FixBug #PSCFV-11740 - Inactive language not duplicated for attributes
	[-] BO : fix an issue when updating carriers status
	[-] BO : FixBug #PSCSX-1136 - Product accesories autocomplete - thanks to @Tiago
	[-] BO : FixBug #PSCSX-1295 wrong orders currencies in orders list
	[-] BO : fixed bug #PSCSX-1299 - Cannot delete Carrier
	[-] BO : Update JS control for advanced stock management
	[-] BO : fixed #PSCSX-1236 - validate range bug fixed
	[-] BO : Bug #PSCSX-1201, Add column names in SQL
	[-] BO : Bug #PSCSX-1218, Fix Path in Tiny MCE
	[-] BO : fixed bad encoding #PSCSX-1207
	[-] BO : Fixbug #PSCSX-1152 - wrong google maps center
	[-] BO : AdminThemes : update product_per_page when updating current theme
	[-] BO : Change Handling label
	[-] BO : Fix bug #PSCFV-11828, open_base_dir
	[-] BO: HelperTreeCategory, Call setInputName in getInputName
	[-] BO : Fix bug #PSCFV-11825, double encoding
	[-] BO : Fix default color for Order return states
	[-] BO : Fix bug #PSCFV-11819, bad ajax query for customers

	[-] CORE : Fix bug #PSCSX-1241, replaceByAbsoluteURL should handle url starting with //
	[-] CORE : Fix bug #PSCFV-11124, bad features position cleaning
	[-] Core: Fix #PSCFV-9986, Moved stock assignement to Controller
	[-] Core: Fix #PSCFV-9986, Set out of stock behavior when coping product to another shop
	[-] CORE : FixBug #PSCSX-1493 - Double quoted class
	[-] CORE : Fix bug #PSCSX-1258, js stack repeated for 1.4 template
	[-] CORE : Use correct theme override directory
	[-] CORE : Fix template files directory for helper tree and uploader
	[-] CORE : Fix bug #PSCSX-847, one charset for cccCSS
	[-] CORE : fixed bug #PSCSX-1151 isUrl & isAbsoluteUrl now accept $
	[-] CORE : Fix bug #PSCSX-1167, missing index

	[-] MO : homeslider - resolve #PSCSX-1529 responsive issue
	[-] MO : BlockLayered - FixBug #PSCSX-1497 - Correct Change select value problem
	[-] MO : Fix bug #PSCSX-654, could not delete a wishlist
	[-] MO : fixed bug #PSCSX-1198 css path fixed
	[-] MO : Fix bug #PSCSX-1158, getProductsProperties for bestsellers on home

	[-] WS : Fix bug #PSCFI-5696, Price empty when = 0    It seems the fix never made it to the current version.

	Improved/changed features:

	[*] Project : Add if defined to _PS_OVERRIDE_DIR_ constant

	[*] FO : a string you can actually translate.
	[*] FO : Antialias Social Icons
	[*] FO : Fix feature #PSCFV-11822, assign default combination image depending on cover if matches
	[*] FO : blockcms : options added to display each links

	[*] BO : Module quickview price - fix PSCSX-1522
	[*] BO : Rewording of supply order status names in AdminStockConfiguration.
	[*] BO : Add some lists content to Patters
	[*] BO : Helper Switch fix
	[*] BO : AdminPatterns
	[*] BO : UI fixes - thx @devnet
	[*] BO : Hook displayBackOfficeHeader is now executed even if the module is disabled
	[*] BO : Order details - applied a badge on quantity when more than one product ordered
	[*] BO : Order details - fix repay shipping costs when returning products - PSCSX-1383
	[*] BO : Order detail UI fixes
	[*] BO : some UI fixes
	[*] BO : Modules - some UI fixes
	[*] BO : Changed 'state' for 'status' in many strings.
	[*] BO : Search input for top nav - fix PSCSX-1382
	[*] BO : Responsive table scroll
	[*] BO : Tooltip placement
	[*] BO : Attributes//Features - UI fixes
	[*] BO : List actions - delete moved bottom (added a divider)
	[*] BO : Stats - better breakpoints
	[*] BO : Helper List - Removed bulk action row when empty
	[*] BO : improved memory check for modules page
	[*] BO : Update nvd3
	[*] BO : Modules - remove hover on rating's star
	[*] BO : KPI - cache multi-language
	[*] BO : Various string updates.
	[*] BO : RTL - Switch themes/schemes
	[*] BO : RTL - WIP
	[*] BO : updating labels and descriptions for order document section.
	[*] BO : Init
	[*] BO : RTL
	[*] BO : missing name change to Default-bootstrap
	[*] BO : updating labels and descriptions for AdminAttributesGroups.
	[*] BO : fixed misspelled automatically
	[*] BO : Add index.php in MODULES/mails/ISO_CODE
	[*] BO : Login - fix cache problem
	[*] BO : Remove references to back-office screens in e-mails sent to the customer.
	[*] BO : Wording in translation_modules.tpl    Removed duplicate information and simplified strings in order to make life easier for translators.
	[*] BO : Wording in translation_mails.tpl    Removed duplicate information and simplified strings in order to make life easier for translators.
	[*] BO : Wording in translation_form.tpl    Removed duplicate information and simplified strings in order to make life easier for translators.
	[*] BO : better wording in AdminCarrierWizard.
	[*] BO : Update indications in default e-mails.
	[*] BO : Schemes + remove _multistore.sass

	[*] MO : Remove "toll free" from blockcontact strings.
	[*] MO : CMS block fix
	[*] MO : blockfacebook shows a preview
	[*] MO : CMS block refacto

	Added Features:

	[+] LO : Added Serbian localization pack
	[+] LO : Added Serbian installer! Want yours? Join us on Crowdin!


####################################
#   v1.6.0.5 - (2014-03-17)  #
####################################

	Fixed bugs:

	[-] Installer : fixed string
	[-] Installer : wrong module name caused wrong position

	[-] FO : Fix bug #PSCSX-1145, bindStateInputAndUpdate after email_create
	[-] FO : Fix bug #PSCSX-1135, bad cache id for homlefeatured
	[-] FO : no cache when live edit !
	[-] FO : Fix bug #PSCSX-920, bug on gift_div
	[-] FO : Fix bug #PSCSX-1117, bad assignement
	[-] Fo : Fix bug #PSCSX-1111
	[-] FO : Fix bug #PSCSX-1081 Bad cache on home modules when qty update
	[-] FO : Fix bug #PSCSX-1075, pagination for module
	[-] FO : Fix bug #PSCSX-1056, could not seize DNI
	[-] FO : Fix bug #PSCSX-1038, wrong cast in products.js
	[-] FO : Fix bug #PSCSX-1032, click on #bigpic in fancybox
	[-] FO : Fix display for #PSCSX-750
	[-] FO : Fix bug #PSCFV-11781, bad display of resetImages

	[-] BO : Always test bulk enable/disable in initProcess
	[-] BO : Fix carrier wizzard validation
	[-] BO : FixBug #PSCSX-1124 - Wrong order by for addresses export
	[-] BO : fixed upgrade with dashgoals module
	[-] BO : HelperTreeCategory, set name attr for inputs and remove useless override
	[-] BO : FixBug #PSCSX-1105 - Wrong image path
	[-] BO : fixed bad parenthesis in adminimages #PSCFV-11811
	[-] BO : fixed language installation with multilanguage modules #PSCSX-778 #PSCFV-11786
	[-] BO : Fix bug #PSCSX-1091, setAdvancedStockManagement called without validateFields
	[-] BO : Fix bug #PSCSX-1087, parserror on category tree
	[-] BO : fixed a few configuration issue with 1.6 upgrade #PSCSX-1010
	[-] BO : fixed KPI #PSCSX-924
	[-] BO : fix an issue when a module does not have a valid name
	[-] BO : Fix bug #PSCSX-1042, live config lang in FO url
	[-] BO : FixBug #PSCSX-989 - Bulk change order state
	[-] Bo : Fix bug #PSCSX-1012, duplicates in order currencies
	[-] BO : Fix bug #PNM-1783, bad display of group shop active
	[-] BO : FixBug #PSCSX-1026 Missing date time input
	[-] BO : Fix #PSCSX-864, display correct multishop checkbox for translatable fields
	[-] BO : FixBug #PSCSX-998 - Missing translations
	[-] BO : FixBug #PSCSX-991 - Wrong theme font color
	[-] BO : FixBug #PSCSX-987 Missing translated string
	[-] BO : FixBug #PSCSX-985 - Missing Save and add a new value in Features

	[-] CORE : Fix bug #PSCSX-1097, typo in cache_control
	[-] CORE : Fix bug #PSCSX-1079, PS_VIRTUAL_PROD_FEATURE_ACTIVE undefined
	[-] CORE: Fix bug #PSCSX-1005 Remove warning
	[-] CORE : Fix blacklist cache

	[-] MO : Fix bug #PSCSX-1135, home bad cache id
	[-] MO : fixed #PSCSX-1137
	[-] MO : Blocksearch #PSCSX-1088, ac_results to blocksearch width
	[-] MO : BlockLayered - FixBug #PSCSX-1085 - Wrong meta in products list breadcrumb
	[-] MO : Refresh modules list cache on check and update
	[-] MO : CarrierCompare, Update override for v2.0
	[-] MO : Fixed blocklayered's CSS include
	[-] MO : fixed gapi request #PSCSX-1036
	[-] MO : Blockcart, fix bug #PSCSX-609 last part
	[-] MO : Blockbestsellers clear cache on home
	[-] MO : Fix #PNM-2140, Display correct referal amount for any currency
	[-] MO : Blocklayered - adding cache
	[-] MO : Blockcart Fix bug #PSCSX-609 second part
	[-] MO : homeslider fix configuration issue

	Improved/changed features:

	[*] INSTALLER : Switch doc URLs to 1.6.

	[*] FO : one less frontend query
	[*] FO : optimize condition for a faster frontend
	[*] FO : button_order_cart hover

	[*] BO : UI Translations
	[*] BO : refacto homeslider
	[*] BO : HelperTreeCategory, remove selected class on search, only with radio inputs
	[*] BO : Orders current state color - fix PSCSX-1120
	[*] BO : UI Firefox - fix PSCSX-1121 - fix PSCSX-1122
	[*] BO : Chosen style PSCSX-1102
	[*] BO : stats optimization
	[*] BO : Multistore select
	[*] BO : Bug #PSCSX-1110, Fix menu active for CarrierWizard
	[*] BO : Carrier Wizard  - Status/Enabled switch
	[*] BO : Schemes update
	[*] BO : UI fixes
	[*] BO : Order details - responsive tables
	[*] BO : Change fonts in themes
	[*] BO : Javascript for anchor link
	[*] BO : Module Theme Configurator
	[*] BO: updating hints and errors in AdminThemesController.
	[*] BO : Module - clean icons
	[*] BO : Product - Specific Price - table responsive
	[*] BO : Module - delete uninstalled module
	[*] BO : Dashboard - Prevent scroll to anchor for tabs
	[*] BO : Helper - Image Upload - Safari
	[*] BO : Product - Image Upload - Safari - Fix PSCSX-1065
	[*] BO :  Added process-icon-envelope fix PSCSX-1049
	[*] BO : fixed PSCSX-1048 - Adjust position for anchor elements
	[*] BO : Fix #PSCSX-1037, Remove monthly expenses in Dashboard
	[*] BO : Moved bulk actions 'enable' and 'disable'
	[*] BO : min width
	[*] BO : Fix module list for AdminPayment
	[*] BO : Display Marketing modules list like the main module list
	[*] BO : switch global.sass to .scss
	[*] BO : vendor update (bootstrap+fontawesome)
	[*] BO : navigation
	[*] BO: rewording in AdminDashboard.
	[*] BO : navigation + toolbar
	[*] BO : navigation - fix PSCSX-988
	[*] BO: updating labels and descriptions for combinations.tpl.
	[*] BO : close button for alerts
	[*] BO : Improvement #PSCSX-983 - Live configurator
	[*] BO : list-toolbar-btn icons for modules
	[*] BO : Miss override form action    Hi,    In form.tpl, form action can be overrided by $submit_action var.    $submit_action is assigned in HelperForm.php, but in AdminController.php, the variable and the assignment of the variable HelperForm->submit_action is missing.    This is usefull for generate Form with different action that add-Table-.    Thanks
	[*] BO : tiny mce - fixs PSCSX-896

	[*] MO : Redirect after configuration is saved
	[*] MO: Blocklink, better wording for translations
	[*] MO: in referralprogram, no need to differentiate localized variables: it's the same value.

	[*] LO: fix localization for Persian

	Added Features:

	[+] Installer: Add Persian lang and sample data to installer
	[+] Installer: Add RTL Support with override css file

	[+] LO : Added Catalan installer. Want yours? Join us on Crowdin!
	[+] LO : Added Turkish installer - want yours? Join us on Crowdin!
	[+] LO : Added Czech installer - want yours? Join us on Crowdin!
	[+] LO : Added Farsi installer and Installer RTL support


####################################
#   v1.6.0.4 - (2014-03-06)  #
####################################

	Fixed bugs:

	[-] Project: use correct phpdoc return type PrestaShopCollection

	[-] Installer: fix install without demo products
	[-] Installer : fixtures : French product
	[-] Installer : fixtures : French feature_value
	[-] Installer : fixtures : French feature
	[-] Installer : fixtures : French category
	[-] Installer : fixtures : French carrier
	[-] Installer : fixtures : French attribute_group
	[-] Installer : fixtures : French attribute

	[-] FO : Fix bug #PSCSX-974, bloctopmenu under jqzoom
	[-] FO : Fix #PSCSX-932, add animation when products are deleted from comparison table
	[-] FO : tinymce : fixed an issue with wrong image url on multi language
	[-] FO : Fix bug #PSCSX-887, position of cart layer
	[-] FO : Fixed identity form, DOB is now saved
	[-] FO : Fixbug #PSCSX-734 FancyboxI18n
	[-] FO : show discount table when discount on all combination
	[-] FO : Fix bug #PSCSX-620, could not tweak colums on products-comparison
	[-] FO : Fix customer privacy checkbox style
	[-] FO : Fix bug #PSCSX-828, could not delete on safari
	[-] FO : Fix bug #PSCSX-632, do not display availibility if PS_STOCK_MANAGEMENT disabled
	[-] FO : Fix bug #PSCSX-831, additional escaping
	[-] FO : Fix bug #PSCSX-838 empty dicounts table
	[-] FO : warning when adding a product without filling required customisations fields
	[-] FO: fixed some css bugs = bad z-index on category page and add margin on wishlist link
	[-] FO: fixed bug #PSCSX-99
	[-] FO: fixed bug #PSCSX-615
	[-] FO : Fix bug #PSCSX-826, bad z-index on labels
	[-] FO : Fix bug #PSCSX-787, hide quantity in catolog mode
	[-] FO : fix bug #PSCSX-801, uniform on states etc
	[-] FO : Fix bug #PSCSX-760, bad product select display in contact
	[-] FO: fixed bug #PSCSX-749
	[-] FO: fixed bug #PSCSX-543 + change charset in CSS
	[-] FO : bad price convert of volume discounts on product page when the reduction does not have a price specified
	[-] FO: Fix bug #PSCSX-724, Fix green order button
	[-] FO : Fix bug #PSCSX-722, bad Combination for cart layer
	[-] FO : Fix bug #PSCSX-702, could not have jquery in tpl inline script
	[-] FO: Fix quantity reset on combination change #PSCSX-720
	[-] FO : FixBug #PSCSX-706 price class responsive problem
	[-] FO : Fix bug #PSCSX-699, add_to_cart button is now hidden in Catalog mode
	[-] FO : Fix for #PSCSX-627
	[-] FO : FixBug #PSCFV-11653 - Use SimpleXMLElement instead of DOMDocument
	[-] FO : Fixed Quantity column in order payment table
	[-] FO : use $left_column_size for left_column
	[-] FO: Fix Themeconfigurator's HTML field    The field of Themeconfigurator's hook items labeled "HTML" was not stored    as HTML in the backend, as also it was not rendered as HTML
	[-] FO : Fix bug #PSCSX-656, could not translate form fields
	[-] FO : Fix bug #PSCSX-665 could not delete customization
	[-] FO : Fix big on invalid gift message    Bug not found in forge :    While submitting an invalide gift message (including per example "<" character), processCarrier function attempts to include footer.php (which does not exist anymore ?) and then exits script, instead of letting the classic validate system running and showing an error.
	[-] FO : FixBug #PSCSX-593 intval on specific price
	[-] FO : Fix bug #PSCSX-578, w3c  validation + safari bug on homeslider
	[-] FO : Fix bug #PSCSX-572, undefined company on OPC
	[-] FO : Fix bug #PSCSX-570, specific price with 0 reduction

	[-] BO : fixed bug #PSCSX-963 - carrier wizard validation finish step
	[-] BO : FixBug #PSCSX-618 - Set active preselected date range
	[-] BO : when installing a theme, if a module can not be installed, the error will be displayed
	[-] BO : fix colorpicker
	[-] BO : FixBug #PSCSX-952
	[-] BO : Fix #PSCSX-928, change default color for colorpicker
	[-] BO : Fix bug #PSCSX-950, bad dashboard stats_date_from
	[-] BO : FixBug #PSCSX-948 - Fix new supply orders template bug
	[-] BO : FixBug #PSCSX-946 - typo
	[-] BO : AdminMeta : fixed an issue when updating metas
	[-] BO : FixBug #PSCSX-926 - Fix bulk update order status cancel action
	[-] BO : Fix bug #PSCSX-923, token warning on duplicate
	[-] BO : FixBug #PSCSX-889 - fix Supplier order status bug
	[-] BO : Bug #PSCFV-11705, Add checkbox in admin products page (quantity tab)
	[-] BO : Fix bug #PSCFV-11738, could not enable a module on a shop
	[-] BO : Convert voucher's minimum amount to correct currency. See #PSCFV-11220 and #PSCSX-385
	[-] BO : Clear smarty and media cache on url shop change
	[-] BO : Display CountryAddressFormat errors and improved regex (see #PSCFV-9995)
	[-] BO : FixBug #PSCSX-848 - Customization product style
	[-] BO : FixBug #PSCSX-842 - Resize autosize textarea
	[-] BO : FixBug #PSCSX-832 Add id attribute group to value restriction
	[-] BO : FixBug #PSCSX-827 - missing clearfix
	[-] BO : FixBug #PSCSX-545 - Better password validation message
	[-] BO : FixBug #PSCFV-11717 - Do not update product after deletion
	[-] BO : Correct case in function call
	[-] BO : FixBug #PSCSX-795 Employee form problems
	[-] BO : Fixbug #PSCSX-797 wrong modules name sort
	[-] BO : filemanager : like config.php
	[-] BO :  upon theme deletion, if the folder is used by another theme, the folder will not be deleted
	[-] BO : fixed a bug in getCartProducts()    Now getCartProducts() really return similar outputs of Cart::getProducts
	[-] BO : classe AttributGroup : size => 128    BD => 128
	[-] BO : classe attribut : size => 128    DB size => 128
	[-] BO : Fix SQL security issue from PR merge
	[-] BO: Add double check on the password when changing employee password
	[-] BO : Fix bug #PSCSX-771, remove ampersands
	[-] BO : FixBug #PSCSX-772 double check
	[-] BO : Add new line at EOL in CSV export
	[-] BO : Fix bug #PSCSX-758, do not index inactive products
	[-] BO: Fix feature values listing - custom could be null in database
	[-] BO : FixBug #PSCSX-742 can't filter by active option on join table
	[-] BO : AdminShop : add l s='' for translation
	[-] BO : AdminOrders : add l s='' for translation
	[-] BO: Add return for _clearCache()
	[-] BO : tinymce textcolor plugin was not loaded.
	[-] BO: Fix bug #PSCFV-11633, Fix email issue for customized product
	[-] BO : AdminCms : Save and stay
	[-] BO : FixBug #PSCSX-663 remember checked list checkbox
	[-] Bo : Fix bug #PSCSX-613, could not return errors on rights on updating pack
	[-] BO : FixBug #PSCSX-685 Missing order customer message
	[-] BO : Fix bug #PSCSX-630, display total with or without tax according to customer group
	[-] BO : FixBug #PSCSX-660, toggle quick access new window property
	[-] BO : Display price and taxes according to settings in order display
	[-] BO : Fix bug #PSCSX-684, Fix alignment in customer theads
	[-] BO : Fixed SQL request if there isn't any impact (product duplicate)
	[-] BO : Fix bug #PSCSX-647, could not register country without states
	[-] BO : FixBug #PSCSX-682 Copying themes has htmlentities select options
	[-] BO : FixBug #PSCFV-11370 Remove product selection when no action is selected
	[-] BO : AdminCarrierWizard : missing translation
	[-] BO : FixBug #PSCSX-644 - Missing States/Countries list bulk actions confirmation
	[-] BO : FixBug #PSCSX-642 - Selected carriers not added
	[-] BO : FixBug #PSCFV-11448 Attributes Impact not duplicated
	[-] BO : FixBug #PSCSX-638 - Correct product form flow
	[-] BO : Linked order id should not have lead 0's
	[-] BO : FixBug #PSCSX-639 - Setting default virtual product file name
	[-] BO : FixBug #PSCFV-11536 Fix PDF margin bottom problem
	[-] BO : FixBug #PSCSX-608 SocialSharing button margin
	[-] BO : Missing trackingfront module check on Referrers controller
	[-] BO : Remove Shop checkbox for product customization
	[-] BO : FixBug #PSCSX-595 Missing helper translations
	[-] BO : AdminTranslations : save and stay fixed
	[-] BO : FixBug #PSCSX-587 Incorrect date format
	[-] BO : FixBug #PSCSX-573 Fix carrier refresh
	[-] BO : FixBug #PSCSX-579 Missing remaining customized product quantity
	[-] BO : FixBug #PSCSX-580 Customized products return not displayed
	[-] BO : Fixed incorrect icon class on..    ... supply orders status
	[-] BO : Fixed incorrect icon class on..    .. supply order status
	[-] BO : Correct text for status color...    ... on supply orders

	[-] CORE : Fix bug #PSCSX-939, cookie currency can be deleted
	[-] CORE : Fix bug #PSCFV-11755 ModuleCore squeeze ps_versions_compliancy
	[-] Core: fix call to Order::getDocuments() more than one time
	[-] Core: Group reduction must not change the regular price
	[-] CORE : Fix bug #PSCSX-813, dynamic hooks may be live editable
	[-] CORE : Remove product supplier attribute entry when delete attribute
	[-] CORE : Validate - Set password length to constante
	[-] CORE : Add parent category restriction to nestedCategories
	[-] CORE : FixBug ignored language getting category link
	[-] CORE : FixBug #PSCFV-11660 - Wrong tree selected childs count
	[-] CORE : FixBug #PSCSX-744 - tinyMce filemanger thumb directory problems
	[-] CORE : FixBug #PSCFV-11680 multibyte truncate problem
	[-] CORE : FixBug #PSCFV-11677 Prevent count list result cache
	[-] CORE : FixBug #PSCFV-11669 Encoding header problem with attachment
	[-] CORE : Fix module overload path
	[-] CORE : Fixed typo in OrderState model definition
	[-] CORE : FixBug #PSCSX-581 Adding text delimiter and removing newline feed

	[-] MO : Blockcart , Fix bug #PSCSX-609 first part
	[-] MO : FixBug #PSCSX-601 - Blocklayered - Fix responsive design
	[-] MO : FixBug #PSCSX-922 - Fix blockhover delegate
	[-] MO : FixBug #PSCSX-901 - Blocklayered admin header design
	[-] MO : Greece could not be VAT applicable    Il y a une recherche sur les valeurs du tableau de la fonction getPrefixIntracomVAT mais je pense qu'il faudrait rechercher sur les clés donc remplacer le "in_array" par "array_key_exists".
	[-] MO : blockcategories : fixed an issue where the block was not shown when not on a controller affected by a category
	[-] MO : bug fix on check configuration bankwire    banwire module was checking in __construct if configuration values was setted via isset, but values was retrieved by Configuration::getMultiple(), so the key was always setted but could be empty. The fix uses !empty instead of isset
	[-] MO : Fix bug #PSCSX-789, blocmsinfos, enable em on tinymce
	[-] MO : Blockbestsellers - Fix display
	[-] MO : Blocktopmenu - Improve queries number in categories display
	[-] MO : BlockLayered - Fix wrong combination display price
	[-] MO : SocialSharing, urlencode parameters
	[-] MO : blocksupplier : no links if the suppliers are disabled
	[-] MO : Fix bug #PSCSX-704, SocialSharing, share URL with parameters
	[-] MO : themeconfigurator : demo images are no more deleted when uninstalling the module.
	[-] MO: Social Sharing - Clear cache for comparison tpl
	[-] MO : productpaymentlogos : missing translation
	[-] MO : sendtoafriend : send before cancel
	[-] MO : productcomments  : 'write a review' button's appearance for a guest fixed
	[-] MO : Prevent js error in blocksearch
	[-] MO : blockadvertising : wrong image link on the configuration page fixed
	[-] MO : mail alerts : bad display when removing alerts fixed
	[-] MO : blocksharefb : add author PrestaShop
	[-] MO : blockreinsurance : add author PrestaShop
	[-] MO : blocksocial : add author PrestaShop
	[-] MO : blockfacebook : add author PrestaShop
	[-] MO : blockcmsinfo : add author PrestaShop
	[-] MO : Fix bug #PSCSX-674, add Author in blockcontact and blockcontactinfos
	[-] MO : blockcontactinfos : add author PrestaShop
	[-] MO : blockcontact : add author PrestaShop
	[-] MO : fixed dashtrends conversion rate comparison #PSCSX-583
	[-] MO : FixBug #PSCSX-611 Blockfacebook reduced size overflow display
	[-] MO : blockcms : Incorrect copyright year
	[-] MO: Blockbanner Fix #PSCSX-578, little css bug on safari

	[-] WS: fix webservices when some hook are called and they instanciate a product #PSCFV-8077

	Improved/changed features:

	[*] Installer : add field for translation

	[*] FO: error500.html is supposed to be in English.
	[*] FO : B2B info can now be set in myaccount
	[*] FO : Fix #PSCSX-814, display phone numbers in the right order
	[*] FO : Improving CSS CCC    When using an absolute URL for import( or url( in CSS, it was creating bugs, so if the url is already an absolute URL, it won't change.    For exemple in case of fonts : @import url(http://fonts.googleapis.com/...);
	[*] FO : inline/align review stars
	[*] FO : inline review stars
	[*] FO : Move wrong ids to classes on product page
	[*] FO: Missing jquery.ui.accordion dependencies    To make $this->addJqueryUI('accordion') make work properly and include all    dependencies as expected
	[*] FO : Fix  #PSCSX-715, fancybox size on productscomments
	[*] FO : Use real list tags.

	[*] BO : ui fixs
	[*] BO : quick access
	[*] BO :  AdminThemes : when installing a theme, all the images types are now updated + added a link to AdminImages
	[*] BO : dashboard small fix
	[*] BO : employee avatar fix PSCSX-875
	[*] BO: string improvements in AdminDashboard.
	[*] BO : employee password fixs
	[*] BO : supply orders fixs
	[*] BO : ordesr fixs
	[*] BO: wording in multistore mode when editing an option.
	[*] BO: typo in multistore mode when editing a product.
	[*] BO : Use American English for "behavior".
	[*] BO : specific price fix - PSCSX-837
	[*] BO : wording consistency for "Zip/postal code".
	[*] BO : position fix PSCSX-933
	[*] BO : dashboard fixs
	[*] BO: typos in AdminImportController.
	[*] BO: better wording for products/informations.tpl
	[*] BO: HTML tags in i18n'd string in AdminShopGroup.
	[*] BO: typos in AdminStatuses.
	[*] BO: typos in AdminCustomerThreads.
	[*] BO : ui improvements
	[*] BO : AdminModules : the user is now prompted when reseting a module that contain a reset function
	[*] BO: typo in AdminReturnController.
	[*] BO : upload + tinymce
	[*] BO : move quick access + fix nav
	[*] BO : Bug #PSCFV-11422, Returns are now mulishop
	[*] BO : rating + tiny
	[*] BO : Fix #PSCFV-10144, Display return slip in BO
	[*] BO : notification avoid flicking
	[*] BO : Improvement #PSCSX-830 - Add module Quick view information
	[*] BO : rating + multishop WIP
	[*] BO : nav
	[*] BO: updating labels and descriptions for AdminCustomers.
	[*] BO : removed 0 and O from the code generations in order to avoid confusion
	[*] BO : typos and example.com.
	[*] BO : Modules category added (Dashboard)
	[*] BO : Fix #PSCFV-11705, save availability date when adding new combination
	[*] BO :  Fix  module toolbar
	[*] BO :  Fix dashboard + nav
	[*] BO :  Working on Nav
	[*] BO :  Orders - fix PSCSX-780
	[*] BO :  Set localization for jquery validate
	[*] BO :  Chosen input fix - PSCSX-667
	[*] BO : import Bootstrap progress bar
	[*] BO : AdminStockManagement : bad display - fix PSCSX-754
	[*] BO : Introduce Moment.js
	[*] BO : fix PSCSX-697
	[*] BO : colorpicker
	[*] BO : Improved employee profile/preferences
	[*] BO : list bool ajax + style
	[*] BO : fixs css
	[*] BO : tinycme
	[*] BO : remove useless word in AdminCountries.
	[*] BO : typographic changes.
	[*] BO : typo in AdminThemes.
	[*] BO : typo in seo.tpl.
	[*] BO : New employees only get notifications from orders/customer_messages/customer created after registration
	[*] BO : TinyMce, Multishop
	[*] BO: updating labels and descriptions for Cart rules product_rule_group.tpl.
	[*] BO: useless dot in Cart Rules generator.
	[*] BO : Fixed regex typo    Noticed a regex typo when reviewing the code. I'm guessing the regex should map (anything)(.)(tpl or php), not (anything)(anything)(tpl or php)
	[*] BO : some changes into design - part3
	[*] BO : some changes into design - part2
	[*] BO : some changes into design
	[*] BO : String consistency.
	[*] BO : Better consistency and some typos in the Product tabs.
	[*] BO : better wording for AdminCustomersController.
	[*] BO : typo in AdminCurrenciesController.
	[*] BO: better wording for module configuration template.
	[*] BO : design fixs (switch, form, options, ...)
	[*] BO : More coherent labels (and some typos) in admin controllers.
	[*] BO : update bootstrap + lot of UI fixs
	[*] BO: updating labels and descriptions for Localization admin pages.
	[*] BO : better wording for Dashproducts.
	[*] BO : various design fixs
	[*] BO : fix sidebar nav
	[*] BO : fix KPI customer
	[*] BO : fixs + update icons
	[*] BO : fixs KPI
	[*] BO : typos in dashboard modules.

	[*] Core: Upgrade Mobile Detect to 2.7.8
	[*] Core: Missing attributes field for templates

	[*] MO : Corrected comma placement and added words in a Dashproducts string.
	[*] MO : label improvement in blockcategories_admin.tpl
	[*] MO : better wording for vatnumber module.
	[*] MO : typos in statspersonalinfos module.
	[*] MO : cheque : controllers informations added
	[*] MO: remove semicolon in Dashactivity module.
	[*] MO : carriercompare, fix state list display bug
	[*] MO : Rewording a few module names
	[*] MO : Blocklayered, add js def and remove page reload
	[*] MO : Typo in previous blocklayered commit.
	[*] MO : blockcategories : new option to choose if the blockcategories shows all the categories or only the children categories of the current category/product.
	[*] MO : typos in themeconfigurator module.
	[*] MO : improve wording for Theme Configurator.

	Added Features:

	[+] BO : badge non ordered on shopping cart
	[+] BO : badge validate on list orders
	[+] BO : badge quantity 0 in product list
	[+] BO : chosen on iso_localization_pack
	[+] BO : password generate
	[+] BO : Now you can filter orders and customers by company in B2B mode
	[+] BO : Code improvement for tiny mce colorpicker
	[+] BO : AdminThemes : import uninstalled themes automatically on page load
	[+] BO : Add warning to selected product on cart rule
	[+] BO : Orders - Add focus on product search when adding a new product
	[+] BO : Add mod_security warning for translations
	[+] BO : improvements on side navbar +  new color schemes
	[+] BO : preserve sidebar submenu when you want it to be preserved

	[+] CORE : Tools - Add function to get admin url
	[+] CORE : Add cache and groups filter for nested categories

	[+] MO : a module can register controllers (e.g. bankwire). This allow the user to enable/disable the left/right column of a theme on those controllers

	Deprecated methods:

	[~] BO : Fix search conf indexation amount (PSCSX-758)    Fixes http://forge.prestashop.com/browse/PSCSX-758    The indexation values (amount / total) are wrong because the SQL query doesn't filter by product_shop "visibility" and "active" state (but the Search::indexation method does)
	[~] BO : AdminScenesController : generate images    Generate images in all formats when scenes are saved (when images are uploaded).


####################################
#   v1.6.0.3 - (2014-02-03)  #
####################################

	Fixed bugs:

	[-] installer : the theme default-bootstrap is now installed during an upgrade
	[-] Installer : query added to hydrate the table PREFIX_theme_meta
	[-] Installer : configuration : homeslider missing var
	[-] Installer : fixed offline installation

	[-] FO : Fix bug #PSCSX-534 customusization to zero as string
	[-] FO : Removed translatable #    Is it a mistake, or is there a special reason this is translatable?
	[-] FO: fixed bug #PSCSX-560  & #PSCSX-558
	[-] FO : Fix bug #PSCSX-547 no more resizeAddressesBox
	[-] FO : Fix bug #PSCSX-25 again, do not display voucher for free shipping from cart rule
	[-] FO : Fix bug #PSCSX-497, double escaping in search query
	[-] FO : #PSCSX-521 first ul
	[-] FO : Fixed reduction display on product page for products with attributes
	[-] FO : quick view : add l s='' for translation
	[-] FO : reinsurance : bad display
	[-] FO : block list : wrong display with >    BO > Smart cache for CSS on    FO > ?
	[-] FO : Bad protocol on medias  again sorry about this
	[-] FO : Bad protocol on medias
	[-] FO : Fix bug #PSCSX-255 cart rule free carrier should affect display of carriers prices
	[-] FO : Fix bug #PSCSX-257 remove from cart returning false value, follow up 002ed831dba6fd6f96eee9137e5ea13e27adcfd4
	[-] FO : Fix bug #PSCSX-254 technical error on order-address
	[-] FO : Fix bug #PSCSX-447 bad value for textearea
	[-] FO : FixBug #PSCSX-477 table design
	[-] FO : FixBug #PSCSX-471 - Delivery address with virtual products
	[-] FO : block list : wrong display with >    if BO > Smart cache for CSS on
	[-] FO : FixBug #PSCSX-472 newsletter input size
	[-] FO : FixBug #PSCSX-467 Address block design
	[-] FO : fixed layout for blockcategories footer in the sitemap page
	[-] FO: fixed bug PSCSX-444
	[-] FO : Fix bug #PSCSX-253 could not add to cart custom product cause of tabs in data
	[-] FO : #PSCSX-313 move X before product name
	[-] FO : Fix bug #PSCFV-11267, bad cache on carrier choice in normal checkout
	[-] FO : Fix bug #PSCSX-350 SKU empty
	[-] FO: Fix bug #PSCSX-394
	[-] FO: improve responsive display on tablets/smartphones/small screens
	[-] FO: Color selector when not color attribute    If you define a attribute as a color and define some attributes with colors, if you change the attribute type the color selector stills appears.
	[-] Fo : Fix bug #PSCSX-356 bad colspan on order-payment.tpl
	[-] FO : Fix bug #PSCSX-319 bad priceReductionPercent
	[-] FO : Fix bug #PSCSX-327 truncate on custo
	[-] FO : Fix bug #PSCSX-332 wrong cart total
	[-] FO : Fix bug #PSCSX-330 smarty exception
	[-] FO : Follow up #PSCFV-11098
	[-] FO : Fix bug #PSCSX-141, bad escaping on msg
	[-] FO : Fix bug #PSCFV-11098 logo under media servers
	[-] FO : FixBug #PSCSX-102 - email input too small
	[-] FO : FixBug #PSCSX-246 - Default active tab
	[-] FO : FixBug #PSCSX-171 - Missing data validate
	[-] FO : fixed typo in template variable name
	[-] FO : Exception on tag search
	[-] FO : Fix bug #PSCSX-98, missing product condition
	[-] FO : Fix bug #PSCFV-11361, inner join on category_product
	[-] FO : OrderOpcController Fix wrong hook
	[-] FO : OrderConfirmationController is not kept on https when the platform is set up to handle the order checkout process on https. Now, also the order confirmation page is on https if needed.

	[-] BO : FixBug #PSCSX-569 wrong switch display
	[-] BO : fixed bug #PSCSX-565 - carrier breadcrumbs fix
	[-] BO : Fix bug #PSCSX-396 duplicate import matches
	[-] BO :  Blockbanner : Typo fix
	[-] BO : FixBug #PSCSX-564 Warning on carriers selection
	[-] BO : FixBug #PSCSX-534 supply order pdf template
	[-] BO : FixBug #PSCSX-552 Fix price impact
	[-] BO : FixBug #PSCSX-557 wrong description
	[-] BO : FixBug #PSCSX-539 Hide texture with color attribute
	[-] BO : FixBug #PSCSX-524 Missing save and stay button
	[-] BO : FixBug #PSCSX-538 Missing filter button
	[-] BO : FixBug #PSCSX-532 Fix remove button bug
	[-] BO : FixBug #PSCSX-530 Missing save and stay button
	[-] BO : Fix bug #PSCFV-11158 updateDefaultAttribute on product import
	[-] BO : FixBug #PSCSX-526 Product combination design
	[-] BO : modules : missing fields for translation
	[-] BO : FixBug #PSCSX-525 Wrong url encode
	[-] BO : blocklayered - Add max_input_vars check
	[-] BO : fixed bug #PSCFV-11530 - Shipping to a new Zone not working correctly
	[-] BO : FixBug #PSCSX-523 Check login page in ajax
	[-] BO : FixBug #PSCSX-519 always active currency on install
	[-] BO : FixBug #PSCSX-516 toggle button not working
	[-] BO : FixBug #PSCSX-514 - Changing tags help hint
	[-] BO : FixBug #PSCSX-515 Missing ajax control
	[-] BO : FixBug #PSCSX-510 Fix image size
	[-] BO : FixBug #PSCSX-509 Missing pointer icon
	[-] BO : Toolbar New Product - removed preview button
	[-] BO : Toolbar - removed save button
	[-] BO : Admin Access - removed confusing error for missing modules.
	[-] BO : fixed bug #PSCSX-492 - range overlapping small fix
	[-] BO : fixed old parse error in bulk delete of backups
	[-] BO : fixed bug #PSCSX-247 - carrier range are overlapping
	[-] BO : AdminThemes : theme installation on existing directory without a relation with theme fixed
	[-] BO : FixBug #PSCSX-485 - theme_mobile_dir
	[-] BO : FixBug #PSCSX-446 Grow message error on save button click
	[-] BO : FixBug #PSCSX-425 Products tab buttons
	[-] BO : fixed double entities for configuration values in HelperOptions #PSCFV-11532
	[-] BO : FixBug #PSCFV-11311 - Remove browser autocomplete for customers
	[-] BO : FixBug #PSCSX-358 - Clear smarty cache after add/edit/delete specific price rule
	[-] BO : orders missing icon for products
	[-] BO : FixBug #PSCFV-8755 - Total shipping amount include in second voucher
	[-] BO : FixBug #PSCSX-385 Cart rule does get minimum amount with correct curreny
	[-] BO : import : products_import.csv doesn't match fields
	[-] BO : FixBug #PSCFV-11458 Can't update an attachment file without upload again
	[-] BO : TaxRulesGroupController > Create > créer
	[-] BO : blocktopmenu : btn btn-primary > btn btn-default
	[-] BO : blockcart missing mod for translation
	[-] BO : FixBug #PSCSX-258 - New backoffice store tree
	[-] BO : fixed partial import of localization pack #PSCSX-421
	[-] BO : AdminThemes : theme auto install fixed
	[-] BO : FixBug #PSCSX-423 product move postiion call on click
	[-] BO : FixBug #PSCSX-427 Wrong save button position
	[-] BO : FixBug #PSCSX-424 Missing SEO & URLS button
	[-] BO : FixBug #PSCSX-161 htaccess regenerated with prev domain
	[-] BO : FixBug #PSCSX-419 - Error in copyright date
	[-] BO : FixBug #PSCSX-375 Error when deleting virtual product with no files
	[-] BO : FixBug #PSCSX-403 Missing TinyMCE textarea class
	[-] BO : FixBug #PSCSX-414 Fix smarty exception in module favorite list
	[-] BO : fixed page addition in SEO & URLs
	[-] BO : AdminThemes : fix multi shop theme install
	[-] BO : FixBug #PSCSX-410 Unremoved failed uploaded files
	[-] BO : AdminThemes : fix disable unspecified native module upon new theme install
	[-] BO : adminthemes : fix export with no module to export
	[-] BO : FixBug #PSCSX-392 virtual product
	[-] BO : adminthemes : default value for left_column and right column set to true
	[-] BO : FixBug #PSCSX-325 - module list style
	[-] BO : FixBug #PSCSX-278 duplicate attribute value
	[-] BO : Fixbug #PSCSX-282 module uninstall confirmation alert
	[-] BO : FixBug #PSCSX-315 - removing js code
	[-] BO : FixBug #PSCSX-317 unremoved function call in CSV import
	[-] BO : fixed link to parent tab in breadcrumb
	[-] BO : FixBug #PSCSX-345 - Remove duplicated buttons
	[-] BO : Wrong help icon
	[-] BO : Remove percentage char from frendly url
	[-] BO : Control legend length on add product image
	[-] BO : fixed bug #PSCFV-11266 - Customer service Forward this discussion email link
	[-] BO : fixed BO filter with empty() values
	[-] BO : Fix bug #PSCFV-11407 delete packs on products truncates
	[-] BO: Clear CCC cache after media servers update
	[-] BO : fixed error handling (and fixed a warning)
	[-] BO : FixBug #PSCSX-248 - Wrong order refund quantity display size
	[-] BO : FixBug #PSCSX-242 - Change module display icons
	[-] BO : fixed cache on thumbnails
	[-] BO : Remove save from generic page header toolbar
	[-] BO : Fix bug #PSCSX-67, could not return to form
	[-] BO : fixed bug #PSCSX-225 - display warning when mod_ssl is not installed
	[-] BO : FixBug #PSCSX-224 Duplicate save button
	[-] BO : fixed order map (country was missing)
	[-] BO : FixBug #PSCSX-168 - Non persistent filters
	[-] BO : Display image resizing error for product image upload
	[-] BO : FixBug #PSCFV-11345 - Different address format
	[-] BO : Bad error message on module execptions
	[-] BO : FixBug #PSCSX-83 - Wrong redirection after status update.
	[-] BO : FixBug #PSCSX-204 - Missing bulk action button
	[-] BO : Add page header toolbar title for import and export theme
	[-] BO : switch clicable on adminthemes
	[-] BO : Add responsive process to controller

	[-] CORE : Wrong id_delivery in cart_product after id_delivery update in cart
	[-] Core: fix price validator
	[-] CORE : FixBug #PSCSX-518 Wrong class name
	[-] CORE : FixBug #PSCFV-11546 break on back button to prevent others
	[-] CORE : FixBug #PSCFV-11547 Wrong function parameters
	[-] CORE : FixBug #PSCSX-490 - Product visibility in search result by tag
	[-] CORE : FixBug #PSCFV-11534 - Cache improvement
	[-] Core : Missing backquotes added in getProducts
	[-] Core : remove duplicate `id_product` in select    The getProducts() select had the `id_product` column twice.
	[-] Core: Fix Product::getPriceStatic() quantity discounts cache
	[-] CORE : Use context if set in ObjectModel displayFieldName
	[-] CORE : FixBug #PSCFV-11426 - Missig maxlength option with callback
	[-] CORE : Fix bug #PSCSX-130 isBirthDate validator on futur dates
	[-] CORE : fixed bug #PSCFV-8652 - Order::generateReference() collision
	[-] CORE : Fix options footer buttons
	[-] CORE : Could not update an employee after updating
	[-] CORE : Fix bug #PSCFV-11325, wrong match when deleting languages

	[-] MO : Themeconfigurator - fix target blank
	[-] MO : ThemeConfigurator FixBug #PSCSX-554 remove reinsurance block
	[-] MO : ThemeConfigurator FixBug #PSCSX-555 Fix error in live configurator
	[-] MO : products : js=1
	[-] MO : socialsharing : the cache was not refreshed when updating the settings    // norm
	[-] MO : Blocklayered - Fix meta titles and heading
	[-] MO : blockwishlist FixBug #PSCSX-507 Missing traductions
	[-] MO : blockbestsellers : the prices were shown on the column even if the user is not allowed to see the product prices
	[-] MO : blocklink : fix add/update links
	[-] MO : homeslider : multishop fix    //norm
	[-] MO : blocktopmenu FixBug #PSCSX-466 input field problems
	[-] MO : blockcms : add options to hide the 'our stores' link in the footer
	[-] MO : referralprogram : wrong display of  the discount
	[-] MO : productcomments : send review friendly url fixed
	[-] MO : productcomments : add comment title
	[-] MO : Fix bug #PSCSX-445 Blockcart + clean up tpl
	[-] MO : homeslider : ver 1.2.3 > 1.2.4 > like homeslider.php
	[-] MO : blocktopmenu : mod "blocktopmenu" > mod 'blocktopmenu'
	[-] MO : themeconfigurator : button btn btn-primary > right
	[-] MO : Themeconfigurator FixBug #PSCSX-441 - wrong css style
	[-] MO : Blockstore FixBug #PSCSX-431 wrong image variable
	[-] MO : themeconfigurator FixBug #PSCSX-422 language select
	[-] MO : FixBug #PSCSX-429 Themeconfigurator css missplaced
	[-] MO : producttooltip : use growl instead of jgrowl + growl moved to his own directory
	[-] MO : blockbanner : fix img link when file doesn't exists
	[-] MO : blockmanufacturer : 'use a drop-down list' set to no by default
	[-] MO : dashgoal FixBug #PSCSX-294 legends
	[-] MO : blockcms : fix add button missing
	[-] MO : blockbestsellers : fix hook on left and right column
	[-] MO : blocklayered FixBug #PNM-1521 - Wrong quantity when allow order out of stock
	[-] MO : blocklayered FixBug #PNM-702 - Meta title
	[-] MO : blocklayered FixBug #PNM-809 - nofollow rel
	[-] MO : fixed bug #PNM-1986 - Dashactivity has 30 hard-written in its template
	[-] MO : blocklayered FixBug #PNM-1740 - memory_get_peak_usage()
	[-] MO : blocklayered FixBug #PNM-313 id_product_attribute = 0 (Thanks to Evert-Jan van der Valk)
	[-] MO : blocklayered - FixBug #PSCSX-310 bootstrap style
	[-] MO : blocklayered FixBug #PNM-1105 translate price and weight slider filter url name
	[-] MO : blocknewproducts use now two distinct template for home and column block
	[-] MO : blocknewproducts : fix configuration & display
	[-] MO : blocklayered FixBug #PNM-1981 categories tree render error
	[-] MO : blocktopmenu FixBug #PSCSX-321 List item improvement
	[-] MO : homeslider : height parameter removed     // since the new slider don't use a height parameter
	[-] MO : homeslider : fix bad configuration display
	[-] MO : productpaymentlogos now clear cache upon title save
	[-] MO : be sure to use sales price in stats
	[-] MO : changed addsharethis for socialsharing in themeconfigurator #PSCSX-250
	[-] MO : productcomments : fix bad display when a comment has been sent
	[-] MO : FixBug #PSCSX-240 - ThemeConfigurator - Error updating image
	[-] MO : FixBug #PSCSX-231 - wrong product count display on blocklayered module
	[-] MO : fix statslive empty result when using maintenance ips ending with a comma
	[-] MO : Blockcategories Fix bug #PSCSX-157 assign cookie in footer
	[-] MO : fixed call to the 404 image that was only used as a placeholder in blockcart
	[-] MO : blocknewsletter fix bad display when a wrong address is sent

	[-] WS: add a modifier system for the attributes of the entities
	[-] WS: delete image on database even if it not exists on the disk #PSCFV-5799
	[-] WS: adding a new order history must call OrderHistory::addWs()

	[-] PDF : PNG files take up to 1 second to be processed by TCPDF - Replaced the default PNG logo by a jpg for PDF.
	[-] PDF : fixed TCPDF issue: sometimes the disk cache for images is deleted but the image is still present in $imagekeys, thus TCPDF looks all over the web for an inexisting image

	Improved/changed features:

	[*] Project: rename class Collection to PrestaShopCollection

	[*] Installer : Less confusing French e-mail.
	[*] Installer : you can now share your experience with your friends!
	[*] Installer : added safe, automatic detection of rewrite
	[*] Installer: add an option to create the database on the console installer

	[*] FO : Better 404 alt text
	[*] FO : generate product and category images in the right format on the fly when 404
	[*] FO : added onblur for fields validation
	[*] FO : Added file size to the attachments    // Quickfixed CCC (need review)
	[*] FO : Move css header modules to css/modules folder
	[*] FO : Update Minify HTML    // Changed tab order #PSCSX-236
	[*] FO : movde header id to classes

	[*] BO: updating labels and descriptions for AdminThemes view.tpl.
	[*] BO: updating labels and descriptions for AdminThemes.
	[*] BO : Improvement #PSCSX-541 Add bulk actions to Warehouses list
	[*] BO : Improvement #PSCSX-221 Show update items button
	[*] BO: typos ("cant") in AdminThemes.
	[*] BO : FixBug Missing filter by category translation, thanks to @indesign47
	[*] BO : Nav + Theme fixs
	[*] BO : modules can now use ajax action on their HelperList    // javascript that manage the ajax on helperlist is show only if one field use ajax
	[*] BO : css is now changing live in your account preferences
	[*] BO : Improvement #PSCSX-294 - Dashgoals
	[*] BO : fix dropdown
	[*] BO : fixed PSCSX-463 - tree actions search
	[*] BO : add scheme choice for BO employees
	[*] BO : Improvement #PSCSX-443 Maintenance alert when changing default currency
	[*] BO : required fields on customization
	[*] BO : updated config.xml management for module (one file by language)
	[*] BO : Clear XML cache
	[*] BO : login fix
	[*] BO : refacto sass structure (part 2)
	[*] BO : refacto sass structure
	[*] BO: updating labels and descriptions for AdminFeatures.
	[*] BO: updating labels and descriptions for AdminCurrencies.
	[*] BO: updating labels and descriptions for AdminCountries.
	[*] BO: updating labels and descriptions for AdminCarriers.
	[*] BO: updating labels and descriptions for AdminBackup.
	[*] BO: updating labels and descriptions for AdminOrder.
	[*] BO: updating labels and descriptions for AdminStatuses.
	[*] BO: updating labels and descriptions for AdminSlip.
	[*] BO: updating labels and descriptions for AdminDelivery.
	[*] BO: updating labels and descriptions for AdminReturn.
	[*] BO: updating labels and descriptions for AdminInvoices.
	[*] BO: updating labels and descriptions for orders/form.tpl.
	[*] BO : Update Addons modules and templates live display
	[*] BO : fixed google map in orders
	[*] BO: updating labels and descriptions for AdminOrders.
	[*] BO: updating labels and descriptions for AdminCustomers.
	[*] BO: updating labels and descriptions for AdminGroups.
	[*] BO: updating labels and descriptions for AdminContacts.
	[*] BO: updating labels and descriptions for AdminGenders.
	[*] BO: updating labels and descriptions for modules_positions/form.tpl.
	[*] BO: updating labels and descriptions for modules_positions/list_modules.tpl.
	[*] BO: removed French text from form_ranges.tpl.
	[*] BO: updating labels and descriptions for AdminCarrierWizard.
	[*] BO: updating labels and descriptions for AdminShipping.
	[*] BO: updating labels and descriptions for AdminRequestSql.
	[*] BO: updating labels and descriptions for AdminTabs.
	[*] BO: updating labels and descriptions for AdminProfiles.
	[*] BO: updating labels and descriptions for AdminQuickAccesses.
	[*] BO : Categories improvement #PSCSX-340 return to list after category creation
	[*] BO : Recommended modules & badges
	[*] BO: updating labels and descriptions for AdminTaxRulesGroup.
	[*] BO : fix icon check + product image  (fix PSCSX-378)
	[*] BO: updating labels and descriptions for AdminTaxesController.
	[*] BO: updating labels and descriptions for AdminTranslations (translation_modules.tpl).
	[*] BO: updating labels and descriptions for AdminTranslations (translation_mails.tpl).
	[*] BO: updating labels and descriptions for AdminTranslations (translation_form.tpl)(2).
	[*] BO: updating labels and descriptions for AdminTranslations (translation_form.tpl).
	[*] BO: updating labels and descriptions for AdminTranslations (translation_errors.tpl).
	[*] BO : fix growl notification
	[*] BO: updating labels and descriptions for AdminTranslations.
	[*] BO: updating labels and descriptions for AdminPreferences.
	[*] BO : fixed some css issues + recommended modules modal
	[*] BO : adminthemes : warning added in order to suggest to regenerate thumbnail
	[*] BO : Switched to official bootstrap sass repository => https://github.com/twbs/bootstrap-sass    + fix modal overlay
	[*] BO : Tweak css (menu, modal, footer)
	[*] BO: updating labels and descriptions for AdminCustomerThreads (2).
	[*] BO: updating labels and descriptions for AdminCustomerThreads.
	[*] BO : fixed bug #PSCSX-359 - added delete confirmation for carrier logo
	[*] BO: updating labels for AdminModulesPositions.
	[*] BO: updating labels for AdminDashboard.
	[*] BO: updating description for AdminModules.
	[*] BO : Improvement #PSCSX-293 Remove icon for menu entry
	[*] BO : Improvement #PSCSX-272 remove optimisation tips switch
	[*] BO : Improvement #PSCSX-223 - Check and update modules
	[*] BO : Improvement #PSCSX-235 - Remove multishipping option
	[*] BO : Improvement #PSCSX-28 - Update all modules button
	[*] BO : updated contextual help (part #1)
	[*] BO : Wording improvement #PSCSX-275
	[*] BO : improve breadcrumb with custom names
	[*] BO : new breadcrumb management
	[*] BO: clarifying discount option hint (2). Fixes PSCSX-289.
	[*] BO: updating option labels et descriptions for AdminShopGroup (2).
	[*] BO: updating option labels et descriptions for AdminShopGroup.
	[*] BO: clarifying discount option hint. Fixes PSCSX-289.
	[*] BO: updating option labels et descriptions for AdminSupplyOrders.
	[*] BO: updating option labels et descriptions for AdminStockCover.
	[*] BO: updating option labels et descriptions for AdminStockManagement.
	[*] BO : module page optimization
	[*] BO: updating option labels et descriptions for AdminWarehouses.
	[*] BO: updating option descriptions for AdminReferrers.
	[*] BO: updating option labels et descriptions for AdminEmployees.
	[*] BO: updating option labels et descriptions for AdminAdminPreferences.
	[*] BO: updating option labels et descriptions for AdminWebservice.
	[*] BO: updating option labels et descriptions for AdminEmails.
	[*] BO: updating option labels et descriptions for AdminPerformance.
	[*] BO : tab name can now be up to 64 chars
	[*] BO: updating option labels et descriptions for AdminInformationController.
	[*] BO: updating option labels et descriptions for AdminSearchConf.
	[*] BO: updating option labels et descriptions for AdminStores.
	[*] BO: updating option labels et descriptions for AdminImages.
	[*] BO: updating option labels et descriptions for AdminCms (2).
	[*] BO: updating option labels et descriptions for AdminCms.
	[*] BO: updating option labels et descriptions for AdminMeta.
	[*] BO : Remove undefined images formats when deleteOldImages
	[*] BO : Copying a price rule on a cart now also duplicates product/category filters
	[*] BO : added legend colors in dashactivity
	[*] BO : added callback in /js/admin-dashboard.js: toggleDashConfig()
	[*] BO : AdminThemes : the themes can now specify the number of products per page in their config.xml
	[*] BO: updating option labels et descriptions for AdminThemesController.
	[*] BO: updating option labels et descriptions for AdminCustomerPreferences.
	[*] BO: updating option labels et descriptions for AdminPPreferences (2).
	[*] BO: updating option labels et descriptions for AdminPPreferences.
	[*] BO : improvement of multiple sql queries using order current states

	[*] CORE : css and js versionning
	[*] CORE : Improvement #PSCSX-506 FancyBox message size
	[*] Core : added the possibility to choose between 301, 302 and no redirection to the canonical URL
	[*] Core : MAJ Archive_Tar
	[*] CORE : Remove zero size css file from stack
	[*] CORE: add removeCSS & removeJS
	[*] Core: allow to call hooks with a different shop - usefull in the BO - #PSCFV-10530
	[*] Core : let's switch to jQuery 1.10 !

	[*] MO : Themeconfigurator - Improvement #PSCSX-512 redirect to shop after save theme options
	[*] MO : statsdata updated
	[*] MO: updating labels and descriptions for vatnumber module.
	[*] MO: updating labels and descriptions for trackingfront module.
	[*] MO: updating labels and descriptions for statsvisits module.
	[*] MO: updating labels and descriptions for statsstock module.
	[*] MO: updating labels and descriptions for statssearch module.
	[*] MO: updating labels and descriptions for statssales module.
	[*] MO: updating labels and descriptions for statsregistrations module.
	[*] MO: updating labels and descriptions for statsproduct module.
	[*] MO: updating labels and descriptions for statspersonalinfos module.
	[*] MO: updating labels and descriptions for statsorigin module.
	[*] MO: updating labels and descriptions for statsnewsletter module.
	[*] MO: updating labels and descriptions for statslive module.
	[*] MO: updating labels and descriptions for statsforecast module.
	[*] MO: updating labels and descriptions for statsequipment module.
	[*] MO: updating labels and descriptions for statsdata module.
	[*] MO: updating labels and descriptions for statscheckup module.
	[*] MO: updating labels and descriptions for statscatalog module.
	[*] MO: updating labels and descriptions for statscarrier module.
	[*] MO: updating labels and descriptions for statsbestvouchers module.
	[*] MO: updating labels and descriptions for statsbestsuppliers module.
	[*] MO: updating labels and descriptions for statsbestmanufacturers module.
	[*] MO: updating labels and descriptions for statsbestcustomers module (2).
	[*] MO: updating labels and descriptions for statsbestcategories module (2).
	[*] MO: updating labels and descriptions for statsbestproducts module.
	[*] MO: updating labels and descriptions for statsbestcustomers module.
	[*] MO: updating descriptions for socialsharing module.
	[*] MO: updating labels and descriptions for sekeywords module.
	[*] MO: updating labels and descriptions for producttooltip module.
	[*] MO: updating labels and descriptions for productscategory module.
	[*] MO: updating labels and descriptions for productpaymentlogos module.
	[*] MO: updating labels and descriptions for pagesnotfound module.
	[*] MO: updating labels and descriptions for homeslider module.
	[*] MO: updating labels and descriptions for homefeatured module.
	[*] MO: updating labels and descriptions for gridhtml module.
	[*] MO: updating labels and descriptions for dashproducts module.
	[*] MO: updating labels and descriptions for crossselling module.
	[*] MO: updating labels and descriptions for cheque module.
	[*] MO: updating labels and descriptions for blockviewed.
	[*] MO: updating labels and descriptions for blocktopmenu.
	[*] MO: updating labels and descriptions for blocktags.
	[*] MO: updating labels and descriptions for blocksupplier.
	[*] MO: updating labels and descriptions for blockstore.
	[*] MO: updating labels and descriptions for blockspecials.
	[*] MO: updating labels and descriptions for blocksocial.
	[*] MO: updating labels and descriptions for blocksharefb.
	[*] MO: updating labels and descriptions for blockrss.
	[*] MO: updating labels and descriptions for blockreinsurance.
	[*] MO: updating labels and descriptions for blockpermanentlinks.
	[*] MO: updating labels and descriptions for blockpaymentlogo.
	[*] MO: updating labels and descriptions for blocknewsletter.
	[*] MO: updating labels and descriptions for blocknewproducts.
	[*] MO: updating labels and descriptions for blockmanufacturer.
	[*] MO: updating labels and descriptions for blocklink.
	[*] MO: updating labels and descriptions for blocklanguages.
	[*] MO: updating labels and descriptions for blockcustomerprivacy.
	[*] MO: updating labels and descriptions for blockcmsinfo.
	[*] MO: updating labels and descriptions for blockcms.
	[*] MO: updating labels and descriptions for blockcategories.
	[*] MO: updating labels and descriptions for blockcart.
	[*] MO: updating labels and descriptions for blockbestsellers.
	[*] MO: updating labels and descriptions for blockbanner.
	[*] MO: updating labels and descriptions for blockadvertising.
	[*] MO: updating labels and descriptions for bankwire.
	[*] MO: updating labels and descriptions for blockfacebook.
	[*] MO: updating labels for dashproducts.
	[*] MO: updating option labels et descriptions for Dashactivity module.
	[*] MO : fixed module installs according to the availability of left and right columns
	[*] MO : blocknewsletter - refactored (un)subscribe process
	[*] MO : replaced addsharethis module by custom module and links
	[*] MO : use media servers for themeconfigurator images
	[*] MO : cleaned blockbanner and used media server for the image

	[*] WS: add reference/ean13/upc fields in the orders_row of the order

	[*] TR: Improved behaviour of translation functions when using double quoted strings

	[*] LO: Updated French VAT rates for 2014

	Added Features:

	[+] FO : js and css files in the autoload directory in the theme are now loaded (via CCC) automatically

	[+] BO : Inline Help + theme - Fix PSCSX-491
	[+] BO : Backward compatibility
	[+] BO : Themes
	[+] BO : Color Schemes Variations
	[+] BO : AdminThemes : change layout of the theme installation    // added psVersion to the addons call
	[+] BO : AdminThemes : theme meta upon theme update layout changed
	[+] BO : AdminThemes : workflow to add a theme without import changed
	[+] BO : added authors in modules list view
	[+] BO : AdminModules : module warning now link to the module's configuration
	[+] BO : added third arg to addJqueryPlugin to specified the inclusion of the css
	[+] BO : form_group_class can be specified to add a class to the  form-group wrapping the input
	[+] BO : added toolbar condition for iframe
	[+] BO : adminthemes : upon theme install, unspecified native module are disable
	[+] BO : Added bulk change order status

	[+] CORE : Add footer toolbar to forms
	[+] CORE : ImageManager - Add error handling for resize function
	[+] CORE : Generic redirection handle after object status update
	[+] CORE : Add preTable block to list header helper template
	[+] CORE : Add force bulk action to show variable when list count <= 1
	[+] CORE : HelperTreeCategories - Add input name variable

	[+] LO : Added Macedonian Installer
	[+] LO : Added Simplified Chinese Installer


####################################
#   v1.6.0.2 - (2013-12-19)  #
####################################

	Improved/changed features:

	[*] Installer: install fixtures before modules

	[*] FO : Dynamization of the number of items per page
	[*] FO : Added posibilty to display new price instead of quantity discount
	[*] Fo : Report of https://github.com/PrestaShop/PrestaShop/commit/f2d70076bd1cb7e4953978cca6d147ced72f4fa2
	[*] FO : Move header modules to new hook, last part 2/2
	[*] FO : Fixed issue with custom statues does not have any color, and text was not visible
	[*] FO : Move header modules to new hook, first part 1/2
	[*] FO: now you can download files >1G without running into max execution limitation    Added @ to suppress warning i safe mode.
	[*] FO: now you can download files >1G without running into max execution limitation    when reading large files ( >1G ), you often get max execution timeout error, this fix will prevent this.
	[*] FO : Move both sliders module on new hook
	[*] FO : Merge of https://github.com/PrestaShop/PrestaShop/pull/48
	[*] FO : Code cleaning, optimizations, new callstack available in the profiling tools
	[*] FO : Merge of https://github.com/PrestaShop/PrestaShop/pull/854 again
	[*] FO : Merge of https://github.com/PrestaShop/PrestaShop/pull/854
	[*] FO : Merge of https://github.com/PrestaShop/PrestaShop/pull/766
	[*] FO : Merge of https://github.com/PrestaShop/PrestaShop/pull/820 + https://github.com/PrestaShop/PrestaShop/commit/5e407db21e3e30a1a5fa94b9558314ffa21af407
	[*] FO : Added getCategory getter in ProductController #PSCFV-8408
	[*] FO : Added the possibility to deactivate customer groups management (for performances) [part 2]
	[*] FO : Added the possibility to deactivate customer groups management (for performances) [part 1]

	[*] BO : switch added on adminthemes
	[*] BO : informations about the default left and right column added in the theme config file
	[*] BO : performance improvement on AdminInvoices loading time
	[*] BO : AdminThemes add form to update the theme_meta
	[*] BO : MVC for myErrorHandler
	[*] BO : AdminModules do not submit form on key Enter
	[*] BO : delete theme_meta on theme delete
	[*] BO : informations about the number of column by page added
	[*] BO : Limit new error handler in BO
	[*] BO : import a theme from a zip placed in the 'themes' folder in AdminThemes
	[*] BO : changed dashgoals system
	[*] BO : Merge of https://github.com/PrestaShop/PrestaShop/pull/636
	[*] Bo : removed empty filters from the cookie (thus limiting its size)
	[*] BO : Added option to always rewrite friendly url of product
	[*] BO : Fixes issue with not beeing able to edit weight beacuse string is longer then max length
	[*] BO : AdminImport, check choosen csv exists
	[*] BO : AdminImport, check choosen scv exists
	[*] BO : Merge of https://github.com/PrestaShop/PrestaShop/pull/852
	[*] BO : replaced age by total spent in the customer list
	[*] BO : Added countries to order list (idea from PhpMadman https://github.com/PrestaShop/PrestaShop/pull/909)
	[*] BO : Added combination ean13 in the backend search #PSCFV-10436

	[*] CORE : Set PHP error handler
	[*] CORE: original search_query assign to .tpl    Avoid problems with special characters for eg. in polish language like ąźćłó etc.
	[*] CORE : Merge of https://github.com/PrestaShop/PrestaShop/pull/582
	[*] CORE : Throw Exception when no theme selected only in front office
	[*] CORE : Throw Exception when no theme selected
	[*] CORE : Merge of https://github.com/PrestaShop/PrestaShop/pull/729

	[*] MO : blockviewed added title tag to image
	[*] MO: blockcontact Adds title tag on link
	[*] MO : Blockrss added title tag to links
	[*] MO : Merge of https://github.com/PrestaShop/PrestaShop/pull/721

	[*] PDF : Merge of https://github.com/PrestaShop/PrestaShop/pull/873

	[*] LO : Corrected units for weight/volume/distance    UK uses Metric for weight, volume and short distances but uses Imperial  for long distances (i.e. Miles). Yes, it's a silly system here in the UK!    // I will add counties (states) with correct ISO codes when I get chance.

	Fixed bugs:

	[-] FO : Fix real time item compare count on bottom button
	[-] FO : Fix bug #PSCSX-182, could not be redirected to addresses controller
	[-] FO: fixed bug #PSCSX-88
	[-] FO : Fix bug #PSCSX-107 qty input on virtual
	[-] FO : Report of https://github.com/PrestaShop/PrestaShop/commit/7e841c4448ae70d762d33787da120b6695077f86
	[-] FO : Report of https://github.com/PrestaShop/PrestaShop/commit/1140b5e8b5f7d10c8b34fc255269f80a34254901
	[-] FO : Report of https://github.com/PrestaShop/PrestaShop/commit/50eee795ed9a2e592e25a8adf52f45a6eec84d11
	[-] Fo : Report of https://github.com/PrestaShop/PrestaShop/commit/26d1ad0668bdcf573d84f2ff267951239c462c19
	[-] FO : Report of https://github.com/PrestaShop/PrestaShop/commit/c8dfe1c17442b2d9d5f40520a4e633181a1ed9dc
	[-] FO : Report of https://github.com/PrestaShop/PrestaShop/commit/f0f630fb5070d0401fec07815aba21ce5e159b4e
	[-] Fo : Report of https://github.com/PrestaShop/PrestaShop/commit/6ef7f258eac40bf45a98ef6ba5dc4f2c5e3ea312
	[-] FO : Report of https://github.com/PrestaShop/PrestaShop/commit/c7323c2bfeb019074a408a68e0b58f30cb36de01
	[-] FO : Report of https://github.com/PrestaShop/PrestaShop/commit/7c1623c7fab3bbb6a92be2395ee81f9175775f96
	[-] FO : Report of https://github.com/PrestaShop/PrestaShop/commit/2ffc2962790e8ca0c8b2c4688fdd82dec3c76382
	[-] FO : Report of https://github.com/PrestaShop/PrestaShop/commit/81945cef71fe56ad15b2719e3143ae490a97290f
	[-] FO : Report of https://github.com/PrestaShop/PrestaShop/commit/6d3640e895924a48480ff9f52e56658e0a8621f9
	[-] FO : Report of https://github.com/PrestaShop/PrestaShop/commit/ad4ecefcf97d356308f7ebbb99a3755e4ee7793a
	[-] FO : Fix versatile jQuery selector    `:hidden` selects form elements with `type="hidden"` but also : elements with `display:none`, elements with their width/height equal to zero and which the ancestor element is hidden.    `input[type=hidden]` is more appropriate for those reasons.
	[-] FO : Remove bad links on home tabs
	[-] FO : fixed product comparator when there are no products anymore
	[-] FO : Added condition to display the phone number only if it is set up in the admin
	[-] FO : Fix bug #PSCFV-11190 double escaping on customization
	[-] FO : fixed cart rules cache id #PSCFV-11123 #PSCFV-11175
	[-] FO : fixed potential error when you delete a best seller #PSCFV-11167
	[-] FO : CCC do not withdraw \t+ and \s+
	[-] FO : Merge of https://github.com/PrestaShop/PrestaShop/pull/718
	[-] FO : trailing \t in minified html
	[-] FO : Merge of https://github.com/ldecoker/PrestaShop/commit/d3bf4d233005511e08554a7c283e0b992815e01a
	[-] FO : Merge of https://github.com/PrestaShop/PrestaShop/pull/696
	[-] FO : exclude external css from CCC #PSCFV-10839
	[-] FO : header add translation for fields
	[-] FO : Contact-form add translation for fields
	[-] FO : Fixed bug #PSCFV-11076
	[-] FO : fixed tax rules cache
	[-] FO : Fixed meta title entities #PSCFV-10312
	[-] FO : Fix bug #PSCFV-11052 no carrier fess whne tax display to false
	[-] FO : Fix #PSCFV-11069 remove unused file

	[-] BO : fix theme config file format for meta
	[-] BO : fix check column existence
	[-] BO : duplicate function
	[-] BO : fix associated table theme_meta
	[-] BO : FixBug #PSCSX-190 button ducplicated
	[-] BO : Fix duplicate button on dashboard configuration
	[-] BO : Fixbug #PSCSX-140 - Module anchor after search
	[-] BO : Update correcte date value on dashboard
	[-] BO: Fix language fields validator
	[-] BO : improved simulation mode in the dashboard
	[-] BO : Report of https://github.com/PrestaShop/PrestaShop/commit/8d3c78f6b2dc2aeb2e48dc6e99c2914f3fb4d32d
	[-] BO : FixBug uploading product image with empty legend.
	[-] BO : FixBug #PSCSX-133 - Error in validation process
	[-] BO : fix bug in adminthemes
	[-] BO : fix bug in adminthemes while updating the mobile theme parameter
	[-] BO : FixBug #PSCSX-160 Missing button
	[-] BO : FixBug #PSCSX-84 Fix image mapping position
	[-] BO : FixBug #PSCSX-122 Live module favorite
	[-] BO : FixBug #PSCSX-115 Friendly URL generated
	[-] BO : FixBug #PSCSX-116 Wrong friendly url hint description
	[-] BO : Set correct table alias name in updatePosition
	[-] BO : FixBug #PSCSX-37 - Double upload in carrier wizard
	[-] BO: call actionProductUpdate hook on status change
	[-] BO : FixBug #PSCSX-86 Missing color selector
	[-] BO : FixBug #PSCSX-91 Wrong texture display in products attributes colors
	[-] BO : FixBug #PSCSX-100 wrong checkbox integration
	[-] BO : carrier wizard no fees display
	[-] BO : Fixes for Advanced Stock Management Import    [*] BO : Combinations import supports Advanced Stock Management    [*] BO : Advanced Stock Management import now supports stock increase    [*] BO : Advanced Stock Management stock unit price uses wholesale_price (Product Cost) or 0.00001 if not set    [*] BO : Added Advanced Stock Management to csv import docs
	[-] BO : fixed bug #PSCSX-76 - carrier wizard fees not display after reload carrier
	[-] BO : fixed top right link with the "open in a new tab" button
	[-] BO : Better maxlength on shippinh input fields
	[-] BO : Fix timeout handling on product images regeneration
	[-] BO : carrier wizard range tab now overflow scroll
	[-] BO : carrier wizard fixed when select zone and set no shipping fees
	[-] BO : carrier wizard, remove fees when desabled zone
	[-] BO : Fix bug #PSCFV-11162 AdminImport, Exception on ProductSupplier
	[-] BO : better error display for forgotten password #PSCSX-58
	[-] BO: Add some useful hooks to modify the listings/options/forms
	[-] BO : Adminimport reset selected csv if not exists
	[-] BO : Category code cleaning, fixing, moving and multistore-ing
	[-] BO : Merge of https://github.com/PrestaShop/PrestaShop/pull/819
	[-] BO : Merge of https://github.com/smilesrg/PrestaShop/commit/b7b79ff4614e5be7891f8702acdc46c8303a2fdd
	[-] BO : Undefined on image upload, revert of https://github.com/PrestaShop/PrestaShop/commit/48b7a49b1aea34a2def355ffec1d4c08dfdbdfd6
	[-] BO : Double separator in function createTemplate()    smarty->getTemplateDir() returns a result ending with a separator,    so no need to add DIRECTORY_SEPARATOR ?
	[-] BO : FixBug #PSCSX-40 categories unchanged after select a new home category
	[-] BO : AdminImport new supplier csv
	[-] BO : AdminImport products add missing fields    Add to file header : Width, Height, Depth, Minimal quantity, Visibility, Additional shipping cost, Unity, Unit price ratio
	[-] BO : AdminImport add image suppliers
	[-] BO : AdminImport add image manufacturers
	[-] BO : Cart rules optimization / Attempt to fix #PSCFV-8895 (need to be double-checked)
	[-] BO : AdminImages manufacturers/suppliers/stores image    • Missing logo Fashion_Manufacturer.jpg (small/medium/large)    install-dev/fixtures/fashion/img/m    • Missing logo Fashion_Supplier.jpg (small/medium/large)    install-dev/fixtures/fashion/img/su
	[-] BO : getCartsRuleByCode should be retrocompatible
	[-] BO : Fixed potential errors with untranslated admin tabs #PSCFV-8104
	[-] BO : Remove warning with open_basdir on module list
	[-] BO : fixed bug #PSCSX-25 - carrier wizard summary design and missing infos
	[-] BO : fixed bug #PSCSX-32 class-danger on mail send error
	[-] BO : FixBug #PSCSX-33 Misplaced save button

	[-] Core: remove module overrides if installation failed
	[-] CORE : Fix missing php self
	[-] CORE : FixBug duplicate hook in getHookModuleExecList
	[-] CORE: Fix Pagination problem
	[-] CORE : FixBug #PSCSX-132 - file drag & drop
	[-] CORE : After adding cart rule redirect improvements    This allows us display success message after adding CartRule or create other actions
	[-] CORE : FixBug #PSCSX-89 - Up configuration name size to 255
	[-] CORE : Ensure correct parent category for home categories
	[-] Core: Fix #PSCFV-11165 numerical configuration values should not be overridden if the value is the same between shop and global context
	[-] Core : integrated modified pull request https://github.com/ExploZe/PrestaShop/commit/40abb0aa72607ddfe912b364d8fc7d65733d2bd8
	[-] CORE : Remove notices on ob clean
	[-] CORE : Merge of https://github.com/PrestaShop/PrestaShop/pull/816
	[-] CORE : Merge of https://github.com/PrestaShop/PrestaShop/pull/813
	[-] CORE : Merge of https://github.com/PrestaShop/PrestaShop/pull/814
	[-] CORE : No Exception when CONTENT_LENGTH is no set
	[-] Core : fixed smarty escape htmlall > html

	[-] MO : homeslider - FixBug #PSCSX-213 missing pointer on description zone
	[-] MO : homeslider - add on description click event
	[-] MO : homeslider - fix wrong text position
	[-] MO : Blockbanner - FixBug #PSCSX-155
	[-] MO : homeslider - FixBug #PSCSX-158
	[-] MO : themeconfigurator - Fix live configurator posistion
	[-] MO : Themeconfigurator - FixBug #PSCSX-135
	[-] MO : Blockcart #PSCSX-176 - Fix Scroll top
	[-] MO : homeslider -  FixBug #PSCSX-178 - missing php_self variable declaration
	[-] MO : blocktopmenu FixBug #PSCSX-151 - Move Buttons
	[-] MO : fixed warning in addsharethis
	[-] MO : cheque - FixBug #PSCSX-164 - typo
	[-] MO : Blocktopmenu - Fix missing categories and cms categories options
	[-] MO : BlockLayered - FixBug #PNM-1331 Categories now filtered by groups
	[-] MO : BlockLayered - FixBug #PNM-468 Correct sprintf format
	[-] MO : BlockLayered - FixBug #PNM-468 Wrong filter unit
	[-] MO : blockcms - Clean cache when "display on footer" parameter is updated
	[-] MO : Newsletter - FixBug #PSCSX-113 - Missing id in field desc
	[-] MO : BlockLayered - Fix missing attribute anchor separator
	[-] MO : display_column_left not assigned to smarty in modules initContent() + ssl on loyalty front controller
	[-] MO : Dateofdelivery Fix bug #PNM-1773 when a product has an available date
	[-] MO : Bug fix - Blockwishlist, Product image link in BO
	[-] MO : cheque add translation for fields
	[-] MO : bankwire add translation for fields

	[-] WS : Fix bug #PSCFV-11328 : Don't insert attribute image(s) id if no id to insert    There was an issue with the webservice where inserting an empty <images node_type="image"></images> tag would result in an error 500 when it was not needed.
	[-] WS: update product default combination after updating a new add or modify a combination

	Added Features:

	[+] FO : Missing old default templates

	[+] BO : Add error control to modules uploading
	[+] BO : Merge of https://github.com/PrestaShop/PrestaShop/pull/570
	[+] BO : AdminSearchConf add import alias
	[+] BO : AdminAttributes add import combinations
	[+] BO : AdminProducts add import products

	[+] Core: Allow to disable modules on each devices && Mobile Detect library update
	[+] CORE : Merg of https://github.com/PrestaShop/PrestaShop/pull/775

	[+] MO : Add name value when hover color in blocklayered.tpl - Thanks @codeurWeb


####################################
#   v1.5.6.1 - (2013-11-18)  #
####################################

	Fixed bugs:

	[-] Project : missing ui.menu in jquery_ui_dependencies.

	[-] FO : Fix bug #PSCFV-11043, bad cache id from module template
	[-] FO : Missing sup for DNI field
	[-] FO : Fix bug #PSCFV-10911, doubles in cart rules highlight
	[-] FO : Bad value for back when controller name is sent
	[-] FO : FixBug #PSCFV-9291 - Ecotax increment display price in product combination
	[-] FO : fix contact-form id_order input when customer is not logged
	[-] Fo : Call  Gmaps on https if required
	[-] FO : Wordwrap on prices in history
	[-] FO : Fixed errors when calculating most selled products from footer link
	[-] FO : #PSCFV-10978 firstname displayed instead of lastname in invoice address
	[-] FO : Customized meesage with carriage return follow up #962
	[-] FO : getTaxCalculator bad cache key again // sorry about that
	[-] FO : getTaxCalculator bad cache key
	[-] FO : Prevents warning in safePostVars when $_POST has been unset
	[-] FO : in multistore payment module restrictions by customer group was not applied to specific shop
	[-] FO : Fix bug #PSCFV-10892, getCMSPages by id_shop thnaks @jd440
	[-] FO : FixBug Categories description
	[-] FO : Fix bug #PSCFV-10889 wrong color when oos product
	[-] FO : CustomerMessage ip_address to string
	[-] FO : Fix bug #PSCFV-10851, no shop restriction in vouchers display in cart
	[-] FO: fixed bug #PSCFV-10654 - TinyMCE editor: List of products by manufacturer, products by supplier - Long description is not hidden.
	[-] FO: Fix bug #PSCFV-10623 blocknewproducts shows products when PS_NB_DAYS_NEW_PRODUCT == 0
	[-] FO: Fix bug #PSCFV-10230, Blockspecials still caching when files cache limit is 0
	[-] FO: Fix bug #PSCFV-10625 Js error on carriers step if AjaxCart disabled
	[-] FO : Follow up https://github.com/PrestaShop/PrestaShop/pull/879
	[-] FO: removed width on message product select    Limiting select could make the user think the select is not working if they click to much to the left on bigger screens
	[-] FO : Prevent fatal error on getUniqReference when order not loaded
	[-] FO: Don't auto detect language if it not associated to the shop #PSCFV-10273
	[-] FO : Could not redirect back to url in adress.php
	[-] FO : $back value twice escaped
	[-] FO : #PSCFV-10640 again, bad assignement
	[-] Fo : Fix bug #PSCFV-10640, redirect loop when country address is not among active countries in OPC
	[-] FO : Fix bug #PSCFV-10688, bad priceDisplay in order-carrier
	[-] FO : Fix #PSCFV-10690 again, change just on directories
	[-] FO : Fix bug #PSCFV-10690 could not index a category beacause of robot.txt
	[-] FO : Copuld not load datepicker in trackingfront stats.php
	[-] FO : Fix bug #PSCFV-10497 cart_block hooked on column disappearing
	[-] FO : Fix bug #PSCFV-10606 could not have correct taxCalculationMethod when vat number in customer address

	[-] BO : Fix bug #PNM-1594, selected value error in helper list
	[-] BO: product price was changed on changing to advanced stock management #PSCFV-10996
	[-] BO : Fix warning when no memcached servers
	[-] BO : Fix #PSCFV-11016 typo
	[-] BO : Model return html error messagae instead of json while image uploading
	[-] BO : Product final price can not be hidden on loading tab, report of https://github.com/PrestaShop/PrestaShop/commit/6c6c3b240ee2249b7f99be1a112905cd0edbee46
	[-] BO : test on xml string follow up https://github.com/PrestaShop/PrestaShop/pull/690#issuecomment-28542506
	[-] BO : 406 when mod_security follow up https://github.com/PrestaShop/PrestaShop/commit/034e6a7e7f391e3a8861248db45a4a376b19633c
	[-] BO : AdminImport, execption when creating groups
	[-] BO : Fix bug #PSCFV-10990 bad version comparison for ps_versions_compliancy
	[-] BO : Fix bug #PSCFV-10982 reduction group truncated
	[-] BO : Could not check all modules after ajax call
	[-] BO : Fix css bug #PSCFV-10899, fixed fix-toolbar z-index
	[-] BO : Fix bug #PSCFV-10932, ranges input disabled on load
	[-] BO : getCMSPages to associated shop in cmscontroller
	[-] BO : Fix bug #PSCFV-10666 product_supllier currency set to 0
	[-] BO : Fix bug #PSCFV-10937, bad escaping for var product_prices in prices.tpl
	[-] BO : Cart was not using order reference, corrected syntax
	[-] BO : Cart was not using order reference
	[-] BO : Could not change image position
	[-] BO: Fix from name when replying to customer threads
	[-] BO : Do not enable rewrite url for index
	[-] BO: Fix empty group list on changing opt or newsletter on customers listing
	[-] BO : AdminImport withdraw separator changed in js
	[-] BO : AdminImport wrong group by default
	[-] BO : FixBug #PSCFV-10882 - Add json encode and decode smarty modifier via tools class
	[-] Bo : AdminImport customer group default
	[-] BO : Fix bug #PSCFV-10872 AdminImport could not import supllier orders
	[-] BO: fix the checkbox of shop activation on modules configuration
	[-] BO : Adminimport default customers group
	[-] BO : tagify call twice if field is not translatable
	[-] BO : Stats are empty when no conversion rate
	[-] BO : Order-follow displayed order id instead of order reference
	[-] BO : hide stmp options when selecting never send emails
	[-] BO : FixBug #PSCFV-10866 - Tagify system not working
	[-] BO : FixBug #PSCFV-9319 - display only valid order id
	[-] BO : Do not delete other default jpg when _deleteOldImages and type defined
	[-] BO : AdminImport, fix bug from https://github.com/indesign47/PrestaShop/commit/84454bbc1c7a315e232245c5e43b300b8f153473#commitcomment-4418502
	[-] BO : Fix bug #10689, could not set image legend in back office
	[-] BO : Fixed bug PSCFV-9910 using basic queries to prevent locking errors
	[-] BO : Fix bug #PSCFV-10718 AdminAttachments old file not deleted on update
	[-] BO : FixBug #PSCFV-10600 - Unmatched Boundary with mod_security
	[-] BO : fix #PSCFV-10728, prices incorrectly formatted when creating new order from BO
	[-] BO : FIx bug #PSCFV-10736 again, fixing query when product is not in base
	[-] BO : FIx bug #PSCFV-10736, could not load a product given from getBoughtProducts
	[-] BO : Fix bug #PSCFV-10790, Customer group names not exploded
	[-] BO: product listing should call Product::getPriceStatic() with the product default shop in the context when it is not a shop context
	[-] BO: Synchronize stock available after receipt supply order items #PSCFV-10724
	[-] BO : Fix bug #PSCFV-10638, Admin Import by reference moves products to home category
	[-] BO : Fix bug #PSCFV-7907 AdminImport, add custom field to features
	[-] BO : Fix bug #PSCFV-10767, could not retrieve feature value when product IDs not forced
	[-] BO : Fix bug #PSCFV-10607 one upload name
	[-] BO : wrong csv files name
	[-] BO : Report of https://github.com/PrestaShop/PrestaShop/commit/fd86a29c5c369ec5da0f91bbe97c584a00d02d0d
	[-] BO: Default country should be overriden in the context in multishop
	[-] BO : Fix bug #PSCFV-10709 rename root category with slashes in it
	[-] BO : Could not order by reserved words like 'key'
	[-] BO : AdminImport, wrong default separators
	[-] BO : Fix bug #PSCFV-10692, AdminImport bad utf8 cars for subst
	[-] BO : Fix #PSCFV-10678 warning in chrome
	[-] BO : FixBug #PSCFV-10671 - remove htmlentities on customer message
	[-] BO : Could not insert referrer id_connections_source can not be null
	[-] Bo :  Could not update mailalert 2.5 with id_lang missing
	[-] Bo :  Could not update mailarler 2.5 with id_mlang
	[-] BO: Fixbug #PSCFV-10671 - Double htmlentities.
	[-] BO : AdminImport, fix Group searchByName
	[-] BO : Adminimport, id_specific key_price not defined
	[-] BO : FixBug - Remove second email in recipient
	[-] BO : Fix bug #PSCFV-10660, could not delete csv file on NT
	[-] BO : FixBug #PSCFV-9957 - Duplicate order invoice number
	[-] BO : fixed bug #PSCFV-10637 PS_CARRIER_DEFAULT is not updated after edit default carrier
	[-] BO : AdminImport no default value for separators
	[-] BO : pass correct typed parameter to setCurrency

	[-] Classes : Hook - Installer & context shop id
	[-] Classes : Modules listing and case insensitive

	[-] Core: Group::getCurrent() return the default customer group of the shop if default customer group is not associated to shop
	[-] CORE : invalid method name in displayAjax method of Controller action
	[-] CORE : Fix bug #PSCFV-10901 warnings on htmlentities
	[-] CORE : Currency conversion rate can not be 0
	[-] CORE : SetEnv in if statement
	[-] CORE : SetEnv not available on all config // @todo curl request on dummy .htacces
	[-] CORE : Fix bug #PSCFV-10687 again, #PSCFV-10752 replaceAccentedChars() // sorry for that
	[-] CORE : error_get_last > PHP 5.1
	[-] Core: Out of stock status should be setted after the first order history
	[-] Core: Product::getPriceStatic called with 1 quantity return the specific price for 1 qty if called with id_cart = 0
	[-] CORE : Fix bug #PSCFV-10687 bad conversion for accentuated Y and W, thanks @mike15
	[-] CORE : $smarty->compile_check is not set to false, thanks @prestamodule

	[-] MO : Referralprogram Prevent Exception when badly configured
	[-] MO : Missinag closing href
	[-] MO :Fixed #PNM-1654 (Loyalty module) by using most expensive attribute instead of default one
	[-] MO : Mailalert was not using order reference
	[-] MO : Blocklayered follow up https://github.com/PrestaShop/PrestaShop/commit/a6e67b078e067445eef358e907649e843a1dc26a#commitcomment-4538556
	[-] MO : Fixed #PNM-1600 by modifying getPageLink()
	[-] MO : Blockcategories last_visited_category must not be cached
	[-] MO : Could not translate in transit mail, revert from https://github.com/viger-creator/PrestaShop/commit/3213b5dffb266ddb0639b94f72babd892328ffa2
	[-] MO : mailalert - Fix deprecated warning on displayDate
	[-] MO : Blockwishlist no product image when id_product_attribute is defined, thanks @Broceliande
	[-] MO : Fix NetworkError 404 Not Found on admin in blocklayered.php    These files not exists :     - /js/jquery/jquery-ui-1.8.10.custom.min.js     - /css/jquery-ui-1.8.10.custom.css
	[-] MO : Fix bug #PSCFV-10841, blockcart hides on product page when last product is removed from cart
	[-] MO : Fixbug #PSCFV-10679 dateofdelivery PDF invoice array and array
	[-] MO : Fixed bug PNM-1431 - referralprogram  Lack the % sign
	[-] MO : Fix bug #PSCFV-10787, cms associated to all shops
	[-] MO : if customer is logged we do not recreate it
	[-] MO : Fix bug #PSCFV-10775, could not upload .jpeg in TinyMCE
	[-] MO : ScrollTo not loaded
	[-] MO : Trackingfront, could not load employee stats date

	[-] WS: Fix bug #PSCFV-10970 use configuration for uploaded images quality
	[-] WS: Fix stockavailables list when stock is shared between shops #PSCFV-10793
	[-] WS: Fix #PSCFV-10672 order by ID for non multishop entities

	Improved/changed features:

	[*] FO : DNI can be not required
	[*] FO : Fix #PSCFV-8715 add product.attributes in carrier tpl
	[*] FO : set at least a class to body
	[*] FO : addTextFieldToProduct without Line feed, follow up https://github.com/PrestaShop/PrestaShop/pull/962#issuecomment-28294571
	[*] FO : https on TOS in fancybox, follow up https://github.com/PrestaShop/PrestaShop/pull/956
	[*] FO : Redirect to address.tpl when !Address::isCountryActiveById
	[*] FO : Cache on getDiscountsCustomer, follow up https://github.com/PrestaShop/PrestaShop/pull/960
	[*] FO : Set cache for StockAvailable::getQuantityAvailableByProduct
	[*] FO : Added posibilty to display new price instead of quantity discount
	[*] FO: Follow up https://github.com/PrestaShop/PrestaShop/commit/e86c56172dad2892d5c7e7dbb0908b0f4ffbaae0
	[*] FO: Can not establish purchase total when tax incl.
	[*] FO : Fix bug #PSCFV-10689 handle image legend
	[*] FO: Removed missplaced </li> on mobile theme

	[*] BO : AdminPerformances Hide warnings message when not necessary
	[*] BO : add class on TD in standard List    Back office :    Add a class on TD in list created by getList()    In fields_list array of AdminController, we can add a new parameter('class')    example :    		'name' => array(    			'title' => $this->l('Name'),    			'width' => 150,    			'class' => 'ma_classe',    			'filter_key' => 'b!name'    		),    This parameter can be used for javascript effect, ...    Thanks.
	[*] BO : New import csv files
	[*] BO : Manual merge of https://github.com/PrestaShop/PrestaShop/pull/891 1/2
	[*] BO : AdminProducts find smallest images
	[*] BO : improved unicode characters replacement in URLs (Russian and Ukrainian characters added)
	[*] BO : AdminImport add img manufacturers-suppliers
	[*] BO : AdminImport add img suppliers
	[*] BO : AdminImport add img manufacturers
	[*] BO : chmod 664 to config.xml file
	[*] BO : Adding a title tag to display the module name on hover like PS 1.4

	[*] CORE : Remove duplicate SQL queries
	[*] CORE : Profiling hide non doubles
	[*] CORE : Cache store for isAssociatedToShop::isAssociatedToShop
	[*] CORE : Manual merge of https://github.com/PrestaShop/PrestaShop/ thanks @kpodemski
	[*] CORE: Add phone_mobile to address format    I honestly do not know why you decided by default to show only the first field of the phone :)    Users often ask me why they don't see their mobile phone on orders in BO.

	[*] MO : Remove calls to isRegisteredInHook in crossselling and productscategory
	[*] MO : New modules version since 1.5.6.0
	[*] MO: blocksharefb optimization
	[*] MO: productcomments optimization

	[*] LO : Fix PSCFV-10876: use IETF code to set language of shop, not 'iso' code, allows to distinguish between chinese variants etc.
	[*] LO : Added states to Spanish localization pack
	[*] LO : Fixed a few bugs with currency formats in Back-Office orders
	[*] LO : set correct currency format for CHF

	Added Features:

	[+] BO : Add debug mode system
	[+] BO : AdminImport add entity Alias

	[+] CORE : Fixed cache_id

	[+] MO : Blockcart - Add error handler on ajax function

	Deprecated methods:

	[~] BO : Export DeliverySlip    The dates range wasn't using the correct sql fields.


####################################
#   v1.5.6.0 - (2013-10-07)  #
####################################

	Fixed bugs:

	[-] Installer : added the missing default tab in the employee
	[-] INSTALLER : Fix bug #PSCFV-8289 bad orders vouchers total after update
	[-] INSTALLER: Wrong SQL query for PS_LEGACY_IMAGES to 0
	[-] INSTALLER: short_description for PREFIX_manufacturer_lang is now type TEXT
	[-] INSTALLER : Fix infinite loop when order message has additional ampersand
	[-] INSTALLER : Fix fatal error in upgrade, could not load configuration class
	[-] INSTALLER : no update value in fix_download_product_feature_active
	[-] INSTALLER : Fix fatal error when upgrading

	[-] FO : isVirtualCart was forced to false
	[-] FO: Fix display of quantity discounts on product pages if the customer is allowable for multiple discount for the same quantity #PSCFV-10580
	[-] FO: packages should be splitted with advanced stock management when carrier is not associated to multiple warehouse
	[-] FO : Fix #PSCFV-10480 again, css fix
	[-] FO : Fix #PSCFV-10480 again css fix
	[-] FO : Fix bug #PSCFV-10478 could not see auto added cart rule voucher on product page
	[-] FO: Fix #PSCFV-10461
	[-] FO : Fix bug #PSCFV-10328 Set country currency if defined when geolocated
	[-] FO: Fix Product::getAttributesGroups() minimal_quantity/weight/available_date should be multishop
	[-] FO : replace ucfirst by ucwords for the customer firstname #PSCFV-10396
	[-] FO : 301 Redirect /iso_lang to /iso_lang/ url
	[-] FO : Fix bug #PSCFV-8917 taxes calculation when changing delivery address
	[-] FO: Fix SSL links on domain_ssl instead domain
	[-] FO : fixed chinese search with multiple symbols #PSCFV-10322
	[-] FO : Partial fix of adding gift on cart rule on the same entity in the cart rule
	[-] FO : Fix bug #PSCFV-10118 quantity not updated when cart rules give the same product as gift
	[-] FO : fixed bug when is virtual cart on OPC carriers is no longer displayed
	[-] FO : FixBug when route id is empty

	[-] BO : Bug fix - Modules confirmation messages
	[-] BO : Retro compat, PS_ADMIN_DIR not defined //bad commit sorry
	[-] BO : Employee's default_tab may not exists, switching to AdminOrders
	[-] BO : Retro compat, PS_ADMIN_DIR not defined
	[-] BO : AdminImport add combinations available fields
	[-] BO : AdminImport add adresses required fields
	[-] BO : Fix bug #PSCFV-9323 supplier_reference can be unset
	[-] BO : Fix bug #PSCFV-10064, could not import feature in multilang, thanks @E.Bigfoot
	[-] BO : Fix bug #PSCFV-10064, could not import deature in multilang, thanks @E.Bigfoot
	[-] BO : Remove dead code in AdminImport
	[-] BO : FixBug #PSCFV-10558 - Invalid HTML markup.
	[-] BO : Fix bug #PSCFV-8389 duplicates is SpecificPrice table
	[-] BO : AdminImport, tables are not truncated
	[-] BO : managed decimal format in BO orders
	[-] BO : Fix bug #PSCFV-5060 could not import supplier_combinations in combinations import
	[-] BO : Fix #PSCFV-6482 could not import tags in deiffrent languages
	[-] BO : fixed currency format on order creation
	[-] Bo : Fix again #PSCFV-10474 again, not deleting start page after import
	[-] Bo : Fix again #PSCFV-10474 coul not export more than 300 products
	[-] BO: Fix total without tax in breakdown taxes when taxes are combined #PSCFV-10394 on the invoices
	[-] BO: translation mismatch    Here is a form to edit the values ​​in the group, we do not need here "attribute type".
	[-] BO : AdminImport, not matching by ref for updating
	[-] BO: Fix #PSCFV-10488 filter by employee on logs tab
	[-] BO : FixBig #PSCFV-10442 - Members Cutomer Group list
	[-] BO : Could not import empty linkrewrite for products and not matching refs
	[-] BO : Sort import files in select
	[-] BO : Remove duplicate sql insert in setProductOutOfStock in monoshop
	[-] BO : Fix #PSCFV-10501 Remove fatal error
	[-] BO : Fix bug #PSCFV-9675 could not import non existent parent category
	[-] BO : Bad entity pre selected in AdminImport
	[-] BO : Fix bug #PSCFV-10483, could not import other language product link_rewrite
	[-] BO: Fix data validation when iframe is allowed on some entities like CMS
	[-] BO : Fix Bug For new Fancy Box events
	[-] BO : fixed the redirection to a 404 page when loging in in the updater
	[-] BO : Bad input radio names
	[-] BO : Issue with domready on adminImport
	[-] BO : do not reaffect import_type for categories
	[-] BO: Bad id for multishop checkbox on admin products - weird bug with active flag #PSCFV-9935
	[-] BO : Fix proces and save buttons for Modules and AdminControllers
	[-] Bo : Modules 'save' button not active
	[-] BO : Fix bug #PSCFV-8214 import entity pre selected
	[-] BO : Fix bugPSCFV-10249 images copy when unix path
	[-] BO : limited the number of customers displayed in the group view to 100 in order to avoid memory usage error
	[-] BO : FixBug #PSCFV-9900 Double quote escape problem in delete button link
	[-] BO : Could not order in AdminStatuses by ID or template
	[-] BO : Fix bug #PSCFV-8407 can not customize feature column name if needed
	[-] BO : quote badly decoded in customerThreads
	[-] BO : Fix Bug #PSCFV-10331 check all from list
	[-] BO : Customer message twice encoded
	[-] BO : Fix bug, orders states not ordered by order state name
	[-] BO : Bug fix - Encoding & tips of the day
	[-] BO : Do not copy link_rewrite from title if cms already has one
	[-] BO : Small changes when creating vouchers in back office orders
	[-] BO: Fix out of stock creation with multishop and stock sharing
	[-] BO: Fix preview url with multishop
	[-] BO : Fix possible Uncaught exception 'ReflectionException' when viewing AdminMeta
	[-] BO : FixBug PSCFV-10331 - Tax rules Pagination
	[-] BO : Display the old image system migration tool if product images are in _PS_PROD_IMG_DIR_
	[-] BO : ini_get('safe_mode') can return false
	[-] BO : AdminModulesController - Bug fix, $params was not set
	[-] BO : Fix #PSCFV-9906 could not register search engines keywords
	[-] BO : Fix pull request #665
	[-] BO : Fix error returned when first import of a localisation pack
	[-] BO : FixBug #PSCFV-10213 check product/attribute id - Thanks F. Cespedes
	[-] BO: Fix fatal error on customer edition when email is not valid
	[-] BO : fixed bug when try to add jquery from  ajax.googleapis.com in BO
	[-] BO : FixBug Url rewrite preview when user have a different language from shop
	[-] BO : fixed bug with multistore context on carrier wizard

	[-] Classes : Bug fix - FrontController, mobile & JS minifier fixed

	[-] CORE : #PSCFV-10389 Avoid eventual empty Specific Price Rule
	[-] CORE : Fix bug #PSCFV-10179 Duplicate specific price records when updating a product
	[-] CORE : Cart rules not ordered by priority for PaymentModule
	[-] CORE : Partial fix bug #PSCFV-10534 bad total_products_wt calculated without other cart rules
	[-] CORE : Could not add too long tags
	[-] CORE : Missing tag max size
	[-] CORE : Partial fix for #PSCFV-10482 getCacheId is different in back office
	[-] CORE : Fix bug #PSCFV-10471 Cart item count problem, unique_id grouping error for id_product and id_product_attribute
	[-] CORE : #PSCFV-10461 customer group in getPriceStatic, pull request https://github.com/kpodemski/kp-PrestaShop/commit/361ebc72e09d00463bb7a7b7af670e3235ab6a5a
	[-] Core: Set a remote addr with php-cli #PSCFV-10372
	[-] CORE : Could not add several cart rules
	[-] CORE : Fix bug #PSCFV-10040 Notice: Undefined index: unifunc && Fatal error: Function name must be a string on some PHP version with empty cache folder and smarty cache enabled
	[-] CORE: Fix for field length and type regarding https://github.com/PrestaShop/PrestaShop/pull/678
	[-] CORE : Remove PHP Warning:  file_put_contents on modules config.xml
	[-] CORE : fixed bug #PSCFV-10175 - No virtuel download email send after accepted payment

	[-] MO : Blocklayered - Fix empty fancy box after template edit
	[-] MO : FixBug #10460 - UTF8 bug on accented URL
	[-] MO : Blockcart, wrong tbody
	[-] MO : Fix buig #PSCFV-10480 Blockcart too long cart_block_product_name
	[-] MO : FixBug #PNM-1683 - Treeview problem
	[-] MO: Fix time of smarty cache invalidation
	[-] MO : PNM-1715 - Bug fix accented chars & ajax-cart
	[-] MO : Editorial could not delete image
	[-] MO : Fixed a bug when displaying textures    Corrections links texture image in the blocklayered
	[-] MO : carriercompare fixed bug, override template's files in theme. Ticket #PNM-1691
	[-] MO : Statsdata, exception on duplicate entry
	[-] MO: Fix unifunc smarty errors if module is displayed on multiplehook without cache
	[-] MO : fix bug #PSCFV-9906 again, bad url parsing
	[-] MO: Fix blocklayered sort by quantity #PSCFV-10300

	[-] WS: Fix order by on id field on multishop entities
	[-] WS: Fix entities retrieve for some cases
	[-] WS: 404 error should be returned if a multishop entity does not exists #PSCFV-10229
	[-] WS: Bad xlink for tax_rules_group in product

	[-] PDF : Report of https://github.com/enumag/PrestaShop/commit/9c939cceadebd58ad390fb4f108816e3c17c0275

	[-] LO: Argeninian localization

	Improved/changed features:

	[*] Project : Orders should rely only on ps_order_cart_rule

	[*] Installer : added file check in order to check if everyhting has been successfuly uploaded

	[*] FO: Allow to enable SSL on all the pages
	[*] FO : removed extra slash and point

	[*] BO : AdminImport, retrieve separators and lang selected
	[*] BO : Add category id in AdminSpecificPriceRule
	[*] BO: Allow to breakdown the taxes when they are computed
	[*] BO : AdminImport, remove csv files
	[*] BO : Adminimport, check csv download path
	[*] BO : Add csv file download in AdminImport
	[*] BO : improved automatic language creation
	[*] BO : Set import entity in cookie (#PSCFV-8214)
	[*] BO: sort modules name in Stats

	[*] CORE : Increasing the length of link_rewrite & name in Category.php    In database this fields have varchar(128) so let's give the user full size of fields
	[*] CORE : bad else if in getTemplatePath
	[*] CORE : Refactoring Tools::copy() as copy with context > PHP 5.3
	[*] Core: don't re-generate the class_index.php file if a class is not known to avoid misuse of class_exists()

	[*] MO : MailAlerts : Add SQL update script for v2.5
	[*] MO : MailAlerts : multishop/multilang full compatibility    Customers will receive alerts based on the real context of the moment they subscribed to the alert (sho, theme & language)    SQL update table : `ps_mailalert_customer_oos`    =========================================    ALTER TABLE `ps_mailalert_customer_oos`    ADD `id_lang` INT( 10 ) UNSIGNED NOT NULL ,    DROP PRIMARY KEY ,    ADD PRIMARY KEY ( `id_customer` , `customer_email` , `id_product` , `id_product_attribute` , `id_shop` ) ;

	[*] LO : Removed 'Miss' from the default genders because too country specific
	[*] LO : Use single quote as thousands separator for CHF currency

	Added Features:

	[+] FO : add getManufacturer() to ManufacturerControllerCore    Add getManufacturer() to ManufacturerControllerCore to access the protected manufacturer instance of the controller.

	[+] BO : add TinyMCE editor for supplier descrpition in AdminManufacturerSupplier
	[+] BO : add TinyMCE editor for short and long descrpition in AdminManufacturerController
	[+] BO : Improve mod rewrite check

	[+] MO : add link to all manufacturer page and the feature to show All Suppliers
	[+] MO : add the option to show all Manufacturer    Add the option to show all Manufacturer in blocktopmenu module.
	[+] MO : Mailalerts - Add Total tax paid to order confirmation

	[+] TR : Added Indonesian installer

	[+] LO : Completed Traditional Chinese Installer
	[+] LO :  Added Bengali installer
	[+] LO: Added Traditional Chinese installer


####################################
#   v1.5.5.0 - (2013-08-22)  #
####################################

	Fixed bugs:

	[-] Installer : added ob_start() (required with the cookie mode when debug mode is activated)
	[-] Installer : fixed clear smarty cache
	[-] Installer : changed syntax from $class:func to call_user_func because it seems to be more compliant with old PHP versions
	[-] INSTALLER : Force update of PS_LEGACY_IMAGES to 0
	[-] INSTALLER : missing parenthesis in SQL in set_product_suppliers, thanks to @EvaldasUzkuras
	[-] INSTALLER : Fix bug while updateing supplier reference, back from https://github.com/PrestaShop/PrestaShop/pull/618 thanks @EvaldasUzkuras
	[-] Installer: update leftcolumn alias to enable live_edit on blockmyaccount
	[-] INSTALLER : Errors in upgrader
	[-] INSTALLER : Fix SQL warnings when upgrading
	[-] INSTALLER : fix bug when updating add_new_tab not defined
	[-] INSTALLER : Remove warnings
	[-] Installer: Fix some sql queries
	[-] INSTALLER : Shown index can return empty array
	[-] INSTALLER : Prevent crash when populating data, MACOSX OS creates hidden files
	[-] INSTALLER : Fix bug #PSCFV-8813 1.4.7.0.sql not uptodate
	[-] INSTALLER : Fix bug #PSCFV-8813 missing file PHP:setAllGroupsOnHomeCategory();
	[-] INSTALLER : Create reinsurance_lang when updating from below 1.5.0.13
	[-] INSTALLER : SQL error during upgrade from 1.5.0.13
	[-] INSTALLER : SQL error during upgrade from 1.5.0.9
	[-] INSTALLER : Fix bug #PSCFV-8605 loop on ressource wether than n array
	[-] INSTALLER : Fix bug #PSCFI-7075 too short column in PREFIX_webservice_account
	[-] INSTALLER : Fix bug #PSCFV-8605 first part, do not affect memeory limit when upgrading if set to -1
	[-] INSTALLER : Fix bug #PSCFV-8750 do not activate disabled module during upgrade

	[-] FO : fixed bad search redirection #PSCFV-10158
	[-] FO : FixBug Missing PS_STOCK_MANAGEMENT smarty variable
	[-] FO : fixed html tags that should not appear in blockcategories
	[-] FO: Fix quantity discount table display for non default attribute #PSCFV-9942
	[-] FO : FixBug #PSCFV-10058 - Missing required form fields in address format
	[-] FO : FixBug #PSCFV-10090 urlencode syntax error - Thanks Duarte
	[-] FO : FixBug #PSCFV-10058 Invalid id country after allow to select no country
	[-] FO : FixBug CGV does not pop-up in Fancy Box
	[-] FO : FixBug generated_date error
	[-] FO : input token missplaced in address.tpl
	[-] FO : Do not redirect on 301 when POST request
	[-] FO :ProductSale::getBestSales() by modified date renders SQL error, thanks @SebSept
	[-] FO : expiration date not displayed in email for downloadable product
	[-] FO : FixBug No warning message when no carriers available from advanced stock management
	[-] Fo : Bad date format in order-detail, merge from https://github.com/PrestaShop/PrestaShop/pull/476 thanks @gbelorgey
	[-] FO: fixed bug shopping cart price misplaced - #9971
	[-] FO : Fix bug #PSCFV-9856 could not add Uncombinable cart rules and Minimum amount check badly calculated
	[-] FO : Fix bug #PSCFV-9993 could not see product quantity in pack content
	[-] FO : Fix bug #PSCFV-9847 Cart Rule not updated when address is updated on Checkout Page
	[-] FO : FixBug #PSCFV-9846 Bookmark title escape problem on special language
	[-] FO : FixBug #PSCFV-9766 All products in products list for email confirmation with multi-shipping
	[-] FO : FixBug Wrong offset in more than one shipping address
	[-] FO : FixBug #PSCFV-9961 Remove wishlists icon
	[-] FO : FixBug #PSCFV-9951 Syntax error - Thanks to Oleacorner-Olivier B
	[-] FO : Force browser language detection in Tools::setCookieLanguage
	[-] FO : FixBug #PSCFV-9879 Email confirmation message not present
	[-] FO : Prevent unsassigned category id, thans @PrestaCaptainFLAM
	[-] FO : fixed pagination for p = 0 #PSCFV-9746
	[-] FO : Removed useless live edit query #PSCFV-9845
	[-] FO : FixBug of total products from supliers and manufacturer
	[-] FO : FixBug #PSCFV-8018 All products was counted in manufacturer lsit even if products was set as hidden
	[-] FO : FixBug #PSCFV-8018 All products was counted in manufacturer list even hidden products
	[-] FO : FixBug #PSCFV-7723 Bad manufacturers list pagination
	[-] FO : fixed group query for cart rules #PSCFV-8992
	[-] FO : Fixed partial use of cart rules which does not offer free shipping #PSCFV-9216
	[-] FO : Fix bug #PSCFV-9662 udpate payments means after delete thanks @maofree
	[-] FO : Fix bug #PSCFV-9754 do not use back url on cart summary link in steps
	[-] FO : fixed useless error when the product id in the URL is not an int #PSCFV-9726
	[-] FO : Fix bug #PSCFV-9021 : bad category id for breadcrumb on product when url rewrite is on
	[-] FO : you cannot access the front office with a disabled language anymore #PSCFV-9714
	[-] FO : fixed bad condition in the dispatcher rules
	[-] FO : Fix bug #PSCFV-9653 could not return a custom product
	[-] FO : could not see old_price_display when specific price on one combination
	[-] FO : Bad specific price for a combination // sorry
	[-] FO : Bad specific price for a combination
	[-] FO : Fix bug #PSCFV-9355 dleete button missing for custo in blockcart
	[-] FO : Fix bug #PSCFV-9669, update total price on order-payment
	[-] FO :Fix bug #PSCFV-9650 could not see delete href in block cart
	[-] FO: OrderHistory - Unclosed tag
	[-] FO : added smarty cache to blockcms
	[-] FO: Fix #PSCFV-9325 all  was included on 301 for root deprecated controllers
	[-] FO : fixed remove button for free product in the cart block #PSCFV-8465
	[-] FO : fixed entities issue in javascript alerts #PSCFV-9001
	[-] FO : fixed bug #PSCFV-9388 - newsletter is required error, showing two times
	[-] FO : Fix bug #PSCFV-8412 no zipcode for countries when default country has no zip code in adress format
	[-] FO : fixed bug #PSCFV-7454
	[-] FO : Css fix on first address and avaibility
	[-] FO : Fix one_phone_at_leastphone again when PS_REGISTRATION_PROCESS_TYPE = 1 && PS_ORDER_PROCESS_TYPE =0
	[-] FO : fixed bug #PSCFV-9007 - Best sales query has ambigious column when sorted on date_add
	[-] FO : Fix #PSCFV-9414 submitGuestAccount is not submitAccount
	[-] FO : #PSCFV-9532 remove hardcoded unidentified group number
	[-] FO : Fix bug #PSCFV-9525 escape double quote in address formated fields
	[-] FO : Fix #PSCFV-7388 again Instant checkout - State validation
	[-] FO : fixed alternative row color on shopping cart summary #PSCFV-9208
	[-] FO: Fixed bug PrestaShop 1.5.4.1 Catalog Mode Display Incorrect Header (mis-aligned) - #PSCFV-9327
	[-] FO : fixed pdf template #PSCFV-9430
	[-] FO: Fix shop restriction on features #PSCFV-7848
	[-] FO : fixed bug #PSCFV-9092 - conflict on the company field during account creation
	[-] FO: fixed w3c errors
	[-] FO: solved some W3C errors
	[-] FO: some W3C errors corrected
	[-] FO: Fix no image displayed for products in the cart when it was added from another store in multishop #PSCFV-9385
	[-] FO : In stock sort is now removed when Stock managment is disabled on default theme.    Not to be confused for my pull #465, which was for default mobile theme.    This is for the default regular theme.
	[-] FO : Report of #PSCFI-7240 typos in cms.tpl
	[-] FO: http page should be redirected to http when accessed with https #PSCFV-9212
	[-] FO: Fix Category::getSubCategories() default group used #PSCFV-9356
	[-] FO: Fix Order::getOrdersTotalPaid() reference is now a string #PSCFV-9342
	[-] FO : In stock is now removed when Stock managment is disabled    Fixes the bug where Stock managment is disabled, it stil show "In Stock" in the sort by list.    Added $PS_STOCK_MANAGEMENT to line 64.
	[-] FO: Fix Carrier::getDeliveredCountries for multishop #PSCFV-9279
	[-] FO : Fix bug #PSCFV-9171, can not order with a unactivated country
	[-] FO: Tools::getMediaServer() should return Tools::getShopDomain() instead of Tools::getHttpHost() #PSCFV-9217
	[-] FO : first_item class don t exist if shopping cart have only one item    if shopping cart have only one product, last_item class exist but not    first_item because of "else if" after if isset($productLast)
	[-] FO: Fix #PSCFV-9057 close output buffer before sending attachment and virtualproducts
	[-] FO : Fix bug #PSCFV-8967 large image instead of thickbox when one image
	[-] FO: fixed bug: Solved a javascript problem on the new 1.5.4.1 with the full image on product page - PSCFV-8967
	[-] FO: improve some css for RTL language
	[-] FO: replace logo on the left (fixed bug RTL language - #PSCFV-8891)
	[-] FO : Jqzoom must be enabled to add class jqzoom
	[-] FO : removed misleading label on the shipping total #PSCFV-8556
	[-] FO : fixed truncate and entities in the cart block #PSCFV-8870

	[-] BO : fixed bug when save carrier without range
	[-] BO: Fix multishop association for tax rules group - #PSCFV-9967
	[-] BO : fixed bug #PSCFV-10169 - now you can go backward from step 3 to 2 when no ranges are set
	[-] BO : fixed bug #PSCFV-10073 - now you can upload carrier logo on windows
	[-] BO: Delete from attribute_shop when an attribute group is deleted #PSCFV-9902
	[-] BO : FixBug #PSCFV-10075 remove product attribute image association on delete product attribute
	[-] BO : FixBug Preview product url
	[-] BO : fixed bug #PSCFV-9782 - live edit bug with multistore
	[-] BO : fixed range deletion when press enter on input 'all' on carrier wizard
	[-] BO : FixBug #PSCFV-7571 Error checking available product quantity
	[-] BO : FixBug update received quantity in suply order
	[-] BO : fixed bug #PSCFV-10111 when carrier is free don't display ranges in summary
	[-] BO : Added comprehensive error display when prestashop cannot write the .htaccess file
	[-] BO :FixBug Suppliers and Warehouses accordion
	[-] BO : fixed bug #PSCFV-10096
	[-] BO : fixed bug when carrier is free and change shipping method
	[-] BO : fixed bug #PSCFV-10091 - you can now enable all zone in one clic
	[-] BO : fixed bug #PSCFV-10033 - disable next step if no range has been added on carrier wizard
	[-] BO : fixed multistore thumbnail on product list
	[-] BO : FixBug root category listed after list reset
	[-] BO : Fix additional quote in live edit template
	[-] BO : list of carriers should only contain the active one in AdminProducts
	[-] BO : OrderSlip now correctly displays the order slip date, thanks @Jacky75
	[-] BO : Do not display root category bool if addrootcategory not in url
	[-] BO : Fix send e-mails updating tracking number    Hi,    We've fixed some bugs parameters about the Send function of Mail class in the AdminOrdersController.php.    Regards,    Massimo.
	[-] BO : FixBug Multiple list pagination error.
	[-] BO : FixBug Manufacturer multilist pagination, filter, order problems and manufacturer address filter exception
	[-] BO : FixBug #PSCFV-8311 pagination, filter and order with multilist
	[-] BO : Fix bug #PSCFV-8139 bad renderform on errors in AdminStatuses
	[-] BO: Fix #PSCFV-9885 catalog price rules edition
	[-] BO : FixBug #PSCFV-7839 No invoice file attached to payment email confirmation
	[-] BO : Fix warning in AdminAttributesGroups after https://github.com/PrestaShop/PrestaShop/pull/392
	[-] BO : FixBug #PSCFV-7824 No total tax not show in order email confirmation
	[-] BO: FixBug #PSCFV-10005 Filter on COUNT field
	[-] BO : Fix bug #PSCFV-9990 bad count on list header helper
	[-] BO : FixBug #PSCFV-9859 Carriers free shipping inline edit
	[-] BO : FixBug #PSCFV-9748 Missing confirmation and update button problem
	[-] BO : fixed domain warning
	[-] BO : FixBug Install currency on Localization Pack
	[-] BO : FixBug Invalid offset when only one error in layout
	[-] BO : Fix onchange event on Adminmodules list execption
	[-] BO : Fix onchange event on adminmoudlue list execption
	[-] BO : FixBug allow_url_fopen on BackOffice home page
	[-] BO : fixed bug #PSCFV-9809 - carrier wizard tab access fix
	[-] BO : FixBug #PSCFV-9959 file_get_contents error
	[-] BO : Fix while of translation, to find in folder if translation exists
	[-] BO : FixBug #PSCFV-9965 currency not active by default in Localization pack
	[-] BO : fixed some bug on carrier wizard - added tabindex on input - new default carrier img
	[-] BO : doesn't match available_fields of AdminImportController    - Correct wrong position of available_fields    - Add some of available_fields
	[-] BO : fixed input action when set fees for all zones in carrier wizard
	[-] BO : FixBug #PSCFV-9895 Mal function in products suppliers accordion
	[-] BO : FixBug Impossible to remove available date from product attribute
	[-] BO : FixBug #PSCFV-9042 Supply orders now accept 0 value to automatically load products
	[-] BO : FixBug #PSCFV-9839 Update product warehouse on suply order - thanks @O'Donnell
	[-] BO : FixBug #PSCFV-9894 undefined quantity_all_version variable in product.tpl
	[-] BO : Fix SQL query when $join_category == false, pull request https://github.com/Captain-FLAM/PrestaShop/commit/d5f75c63b6e21dd87c77a027bf8dd293afb1a94f thanks @Captain-FLAM
	[-] BO : Could not find cover when image table corrupted
	[-] BO : FixBug #PSCFV-9881 Remove updateCarriersList on zip code blur
	[-] BO : FixBug #PSCFV-9878 Wrong login tab order
	[-] BO : FixBug #PSCFV-8060 Error getting last quantity and price in stock mouvement
	[-] BO : FixBug #PSCFV-8237 Javascript Error setting default supplier
	[-] BO : FixBug #PSCFV-9138 Error duplicate product group reduction
	[-] BO : FixBug #PSCFV-9251 Meta Tag delete previous
	[-] BO : FixBug #PSCFV-9049 Bad actionOrderSlipAdd hook description
	[-] BO : FIxBug Correct image language in product
	[-] BO : fixed sort by currency exchange rate #PSCFV-9840
	[-] BO : If no nb, get default 8, not 10.
	[-] BO : translation copy is now easier #PSCFV-8886
	[-] BO : FixBug #PSCFV-5316 Translation problem in delete button link
	[-] BO : FixBug #PSCFV-6140 Pagination link error
	[-] BO : FixBug #PSCFV-9723 Exporting quantity in instant stock was not returning all rows
	[-] BO : FixBug #PSCFV-8234 Products tags not correctly indexed in search
	[-] BO : Bad return value for AdminCountries::processStatus()
	[-] BO : FixBug Directory Separator on URL
	[-] BO : FixBug #PSCFV-8217 Shop logo image not refresh after change
	[-] BO : FixBug #PSCFV-9613 Fix product tax to be shop dependent
	[-] BO : FixBug #PSCFV-8287 Breadcrumbs label was wrong
	[-] BO : FixBug #PSCFV-8229 Default country value set to manufacturer country    Default country value set to manufacturer country    Click on manufacturer address line now redirect to manufacturer address    edition
	[-] BO : FixBug #PSCFV-6365 Missing message confirmation for Images modification in Preferences > Images
	[-] BO : Fix bug #PSCFV-9722, do not propose adding root categories in categories when there is only one shop
	[-] BO : Use only 0% reduction from category in group
	[-] BO: Fix tax rule edition - unique tax rule can't be edited
	[-] BO : Fix bug #PSCFV-9395 Missing vertical separation between flags
	[-] BO : Fix Bug #PSCFV-9550 Bad URL redirection
	[-] BO : Fix bug #PSCFV-9310 bad type for input in helper thankx @Piotr Moćko
	[-] BO: Delete specific price after combination deletion && fix SpecificPrice::getByProductId() sql query
	[-] BO : fixed charts and grids in multishop #PSCFV-8978
	[-] BO : you can now have different mail topic for one mail template #PSCFV-9617
	[-] BO : added checks on product attributes properties #PSCFV-9703
	[-] BO: display vat number field should not depends of the vatnumber module #PSCFV-9672
	[-] BO : products comments impossible if quantity > 0    The pull request https://github.com/PrestaShop/PrestaShop/pull/219 makes the module not working properly in v1.5.4.1.    Indeed, after this change, the OosHook works as expected but now, as the product comments module is attached to the OosHook, comments information is only shown when the product is out of stock!
	[-] BO: product supplier price should not be converted on product page #PSCFV-9420
	[-] BO : Fix bug #PSCFV-8666 COD module association no more deleted when restrition on other currency
	[-] BO : Fix bug #PSCFV-8619 update order weight when modifying products
	[-] BO : fixed bug #PSCFV-9622
	[-] BO: remove old icon into New Version block
	[-] BO: Fix manufacturer addresses duplication #PSCFV-9601
	[-] BO : fixed translation and languages issues
	[-] BO : fixed addslashes on tpl translations (compatibility between "slashes" and "js" parameters) #PSCFV-9427
	[-] BO : fixed bug #PSCFV-9586 -  Unable to sort CMS page in back office
	[-] BO: Fix #PSCFV-9455 stock was resetted if adv stock management is enable and product preference is submited on shop context
	[-] BO : Fix warnings when product not available in Shop
	[-] BO : fixed bug #PSCFV-7921 - Language selector (with flags) cant be translated
	[-] BO : fixed bug #PSCFV-7634 - Add non-existent new product to order using autocomplete gives javascript error (data.products is not defined)
	[-] BO: This is now not possible to move a tab with id_parent = 0 to an another tab
	[-] BO : Fix bug #PSCFV-7353 can not see the thumb for a scene
	[-] BO : Fix bug #PSCFV-7353 can not see the thumb for a scenes
	[-] BO : remove "utm_*" rules preventing Google services from indexing the shop    Google shopping refuses all products having their URL blocked by the robots.txt file
	[-] BO : allow partial use for credit slip vouchers #PSCFV-9539
	[-] BO : Fix bug #PSCFV-9264 bad cancel qty when refund / return
	[-] BO : missing colspan after update product detail
	[-] BO: Stock should not appears on product listing when stock management is disabled #PSCFV-8207
	[-] BO: fixed bug button on module list
	[-] BO: fixed bug #PSCFV-9463 + improve some css on BO menu
	[-] BO: fixed bug #PSCFV-9461
	[-] BO: fixed bug #PSCFV-7440
	[-] BO : fixed quote issue with magic quote in customization in adminorders #PSCFV-9311
	[-] BO : fixed parsing of discount value in AdminOrders #PSCFV-9481
	[-] BO : Upload image name with trailing slash in name
	[-] BO : fixed ajax in permissions tab #PSCFV-7442
	[-] BO : fixed bug #PSCFV-9405 - Delete file of downloadable product when cancel
	[-] BO : Fixed permission update #PSCFV-7441
	[-] BO : postcode required in manufacturer address
	[-] BO : fixed link in AdminTracking #PSCFV-7409
	[-] BO : fix require path to config.inc.php
	[-] BO: Fix #PSCFV-8904 bad id_warehouse is stored on ps_address table
	[-] BO: association of product attributes on associating a product to another shop #PSCFV-8735
	[-] BO: Fix #PSCFV-9428 features duplicated with multishop on Feature::getFeatures()
	[-] BO: Fix #PSCFV-7763 Re-inject quantities after deleting a product from a order
	[-] BO: Addresses are now totally deleted from the database if not used on a order
	[-] BO: Fix #PSCFV-6657 translations of overriden admin templates
	[-] BO : Fix bug #PNM-788 Loyalty points in adminCustomers when only one order
	[-] Bo : Fix #PSCFV-9306 report of #PSCFI-7115 Add a new specific price = faulty validation
	[-] BO: Fix combinations duplication on multishop with context all for the product duplication #PSCFV-9020
	[-] BO : Report of #PSCFI-6790 REQUEST_URI badly recorded
	[-] BO : Fix bug #PSCFI-7231 strtolower iso_lang for package download link
	[-] BO : Fixed unregistered version field for some modules
	[-] BO: Fix language deletion with multishop when shops still associate to the language #PSCFV-9244
	[-] BO : fixed bug #PSCFV-9178 - is_color_group is not inserted correctly
	[-] BO : Fix bug #PSCFI-6755 "+" in email
	[-] BO: Fix PHP warning on orderslip generation without ecotax #PSCFV-8743
	[-] BO : remove deprecated parameter when call Tools::displayDate()
	[-] BO : remove deprecated parameter when call Tools::link_rewrite() part 2
	[-] BO : remove deprecated parameter when call Tools::link_rewrite()
	[-] BO : Fix #PSCFI-7186 incorrect return in Meta->deleteSelection()
	[-] BO: Root category should be the shop category and not the higher category with multiple root and without multishop #PSCFV-8860
	[-] BO : fixed gift deletion when there is no products anymore in the cart
	[-] BO: Fix listing exports with image or other empty fields
	[-] BO : catch prestashop exception and display smart error messages #PSCFV-9147
	[-] BO : fixed issue with reduction in the category for groups #PSCFV-9101
	[-] BO : Fix  "The controller adminnotound is missing or invalid." error when no controller get variable
	[-] BO: Ajax Confirmation / padding-left
	[-] BO : fixed turkish characters replacement #PSCFV-8968
	[-] BO : fixed potential warning with texture list #PSCFV-9050
	[-] BO : tab cache wasn't emptied on delete #PSCFV-9053
	[-] BO: You can now disable the email sent after account creation
	[-] BO : don't show unecessary tpl module translations - complience with documentation
	[-] BO: Fix #PSCFV-8179 shop domain used in emails sometimes was for the wrong shop
	[-] BO : don't show translation for class/controler overrides when on modules translation page
	[-] BO : fixed infinite loop in the categories #PSCFV-8965
	[-] Bo : Admin login loop under Firefox
	[-] BO : fixed image import with allow_url_fopen deactivated #PSCFV-8181
	[-] BO : bug in BO translations when Windows OS    [-] BO : bug in BO translations when Windows OS    Impossible to translate the strings of the back office in the directory override/controllers/admin/...    under windows environment.    The statement " $parent_class = explode(DIRECTORY_SEPARATOR,..) " returns wrong result under windows environment. because the path name has '/' and '\' chars.    $parent_class contains bad values and the string "override" is not found.
	[-] BO: Fix #PSCFV-8957 order creation when id_cart=0 is present in database but should normally not happen
	[-] BO : fixed automatic creation of email overrides in the template #PSCFV-8785
	[-] BO : fixed error message in language form #PSCFV-8890
	[-] BO : fixed bug #PSCFV-7411 - Store location problem with some longitude values
	[-] BO : Fix bug #PSCFI-7141, wrong quantity and sales number in Product Sales, thankx to @Tuan Tran
	[-] BO : Fixed display when you translate modules without theme selected

	[-] Classes : fix memcache ext #PSCFV-5225 thanks @up2date
	[-] Classes : ModuleFrontController updated. Thank you @codeurWeb
	[-] Classes : ModuleFrontController & templates overrides fixed
	[-] Classes : Bug fix Validate.php - Error with $mail_name
	[-] Classes : SwiftMailer - Fix deprecated preg_replace (PHP 5. 5.0)
	[-] Classes : fixed cachefs and memcache classes #PSCFV-5225 thanks @prestalab
	[-] Classes : Mail - check instance of link in the context
	[-] Classes : Db : Fixed $link
	[-] Classes : Db classe fixed (check InnoDB support MySQL >= 5.6)

	[-] Core: Fix language link with multishop from another shop #PSCFV-10063
	[-] CORE : Do not delete index.php in smarty cache or /img/tmp/
	[-] Core: Fix #PSCFV-8887 - improve performance of search indexation
	[-] CORE : Fix bug #PSCFV-8542 could not have rewrited link for modules in blocklanguage
	[-] CORE : getModuleLink not working on module custom route, merge from https://github.com/PrestaShop/PrestaShop/pull/487 thanks @zimmi1
	[-] CORE : Addslashes on not translated strings for javascript js=1
	[-] CORE : Fix for field validation in ObjectModel::validateFieldsLang() when default lang value not set, thanks @rimas-kudelis
	[-] CORE : Cast product price to float instead of int when adding supplier reference, thanks @rimas-kudelis
	[-] CORE : Merge from PrestaEdit last pull request again
	[-] CORE : Fix warning #PSCFV-9678 when sending message to customer
	[-] CORE : Fix bug #PSCFV-9572 when seizing in 0 in forms input fields for objects
	[-] CORE: Copy live_edit bool when register alias hook
	[-] CORE: No category in url preview on BO product page
	[-] Core: ObjectModel::toggleStatus should change only active field on multishop with global context #PSCFV-9707
	[-] Core: Fix #PSCFV-9652 too much payments for multishipping orders
	[-] CORE : fixed bug #PSCFV-8745 Contact form e-mail template with incomplete information
	[-] CORE : fixed bug #PSCFV-9460
	[-] CORE: Fix bug #PSCFV-9474 missing unity and unit_price_ratio in Cart::getProducts
	[-] CORE : fixed #PSCFV-7451 - error in classes Carrier
	[-] CORE : Report of  https://github.com/PrestaShop/PrestaShop/pull/504 Thanks @aseques
	[-] CORE : CartRule::checkProductRestrictions : A gift product in the same category as its restrictions causes the gift to stay in the cart even if emptied
	[-] CORE : fixed bug #PSCFV-9121 - virtual product does not have link after upgrade - part 2
	[-] CORE : fixed bug #PSCFV-9121 - virtual product does not have link after upgrade
	[-] Core: Hook actionPaymentConfirmation should also be called for PS_OS_WS_PAYMENT order statuse
	[-] CORE : Report of https://github.com/PrestaShop/PrestaShop-1.4/commit/ec8deb289185daa03cd11d239797bbe5bdbaecd0
	[-] CORE : Report of https://github.com/PrestaShop/PrestaShop-1.4/commit/a6e8a2eda7fe3bab5245df9b98df7b2f6f7d541f
	[-] Core : fixed URL regexp #PSCFV-8986
	[-] Core: Fix StockManager::getProductRealQuantities() per warehouse with some orderstatuses #PSCFV-9219
	[-] CORE: Fix #PSCFV-9185 Wrong product price display on list by manufacturer    Added default_on condition on getProducts() query in Manufacturer class.
	[-] CORE : Fix bug #PSCFI-7168 cast and truncate POST values for statistics.php controller
	[-] CORE : TRACKING_DIRECT_TRAFFIC not respected
	[-] CORE : referer keywords truncated before insertion in connections table
	[-] CORE : Fix bug #PSCFI-7072 redundant configuration get
	[-] Core: Fix StockManager::getProductRealQuantities() for refunded quantities on non delivered orders
	[-] Core: Fix specific prices if they are configured to count quantity per product and not per combination
	[-] CORE : fixed PHP Notice:  Undefined index: date_expiration on virtual product

	[-] MO : fixed smarty cache on blocksearch #PSCFV-8739
	[-] MO : multilines translations does not work #PNM-1645
	[-] MO : sendtofriend FixBug Form error
	[-] MO : fixed potential warning in pscleaner #PSCFV-10070
	[-] MO: no more 1.4 support for blocklayered
	[-] MO : fixed bug #PNM-792 : remove unused js file in blocklayered
	[-] MO : fixed category link on blocklayered #PNM-1427
	[-] MO : blocklayered also try to find the translations in the translations directory
	[-] MO : added `visibility` IN ("both", "catalog") in blocklayered
	[-] MO : fixed module upgrade with common version number
	[-] MO: cover image issue with layered block on multishop, thanks @theginie
	[-] MO : My account column block should not display module icon in list
	[-] MO : blocktopmenu should clear cache when adding a new subcategory
	[-] MO : Missing image in my account for MODULE WishList
	[-] MO : mod='blockmyaccount' missing in blockmyaccountfooter.tpl
	[-] MO : mod='blockmyaccount' missing in blockmyaccountfooter.tpl (translation doesnt work), thanks @mypresta-eu
	[-] MO : Fix sort order for combinations, report of pull request https://github.com/PrestaShop/PrestaShop/pull/364
	[-] MO : blockviewed Fix bug adding last product to list, thanks @kluevandrew
	[-] MO : Fix bug discount display in mail, manual merge from https://github.com/202-ecommerce/PrestaShop/commit/1d5df338c46aef723d13aef3e213792df6ea92e2
	[-] MO : fixed disappearing form in sekeyword #PSCFV-9743
	[-] MO : Followup : don't send emails for empty carts thanks @axometeam
	[-] MO : fixed bad redirection in trackingfront #PSCFV-8378
	[-] MO : Bug fix - PS Cleaner, check if module favoriteproducts is installed.    Fix Bug when favoriteproducts is not install.
	[-] MO: exec hook on hook registration #PSCFV-8977
	[-] MO : fixed bug #PSCFV-5724 - 1.5.2.0 cms block error when adding more than one column to the categories block in the footer
	[-] MO : fixed bug #PSCFV-8654 - 1.5.4.0 My Favorites doesn't add product
	[-] MO : fixed bug #PSCFV-9040 - Block CMS Multishop bug
	[-] MO : fixed bug #PSCFV-8910 - Productcomments module allows post only one comment per product
	[-] MO : do not check the VAT number if the module is disabled #PSCFV-9397
	[-] MO : removed doubled "/" in homeslider template #PSCFV-9439
	[-] MO : fixed editorial issue when the entity does not exist yet for a shop #PSCFV-9442
	[-] MO : do not truncate order return state in pscleaner #PSCFV-9431
	[-] MO : loyalty small smarty fix #PNM-1305
	[-] MO : Fixed double creation of vouchers in loyalty and some redirections #PNM-1317
	[-] MO : Followup : Don't send followup vouchers to guest accounts
	[-] MO : Followup : Don't execute crontasks if the module is disabled
	[-] MO : Report of #PNM-1413 when alert already set on default combination
	[-] MO: Fix newsletter module mail like newsletter_voucher.html    - Edit html/css/translation for newsletter_conf.html and    newsletter_verif.html    - Use {color} variable
	[-] MO: Fix sendtoafriend module #PSCFV-8340    http://code.google.com/p/jquery-json/issues/detail?id=43
	[-] MO : Remove link "Notify me when available" when in stock
	[-] MO: Fix double html entities on link edition in the blocktopmenumodule #PSCFV-8808
	[-] MO: Don't make unnecessary request to ajax cart
	[-] MO: Fix #PSCFV-8973 product images in the blockviewed module
	[-] MO : Fix bug #PSCFI-7055 do not relay on ".html" in referer to find previous category
	[-] MO: blockcart ajax cart product insert missing html class    Added the same HTML class as the other product names have in the ajax cart. Perhaps it would be nice to add an added_from_ajax as well in case you would want to differ between the newly added items and previously added ones?    Another potential issue is on line 445 where there is no space after the insert. If Prestashop is set to minify the normal page, this is correct, otherwise there will be a space missing.
	[-] MO : fixed hug #PSCFV-8994 - clear cache when truncate catalog
	[-] MO : fixed bug #PSCFV-7703 - Images for bank wire, cheque and cash payment missing on Order Summary

	[-] WS: Fix retrieve of stock_availables when stock is shared on the shop group
	[-] WS: add id_address_delivery on cart products association
	[-] WS: Sanity check before creating packs    As it is before this commit, every product that is created from the    schema without removing the empty bundle item in the schema will become    a pack containing one broken item.    Sorry, this bug was introduced by my previous pull request.
	[-] WS: Enable feature request #PSCFV-5581, thanks @codl for pull request #593
	[-] WS: do not escape shop name overzealously
	[-] WS : fixed ?schema=blank (performance issue)
	[-] WS: Fix accessories duplication on product update
	[-] WS: Fix webservice sort for multishop fields #PSCFV-5634
	[-] WS: Fix #PSCFI-7009 product prices on orders with specific prices
	[-] WS: Fix deletion of product_features on product update #PSCFI-6740
	[-] WS: Fix memory leak when getting synopsis

	[-] PDF : Fix columns error
	[-] PDF : Fix dejavusans font for en lang

	[-] TR : fixed missing space in RMA PDF

	Improved/changed features:

	[*] Installer : added cookie mode instead of session for the installer
	[*] Installer: you can now choose to send an email to the administrator after installation with php-cli

	[*] Security : deny access to this folder as already done for classes

	[*] FO : added chinese/japanese search
	[*] FO : Add reference sort to theme
	[*] FO : Blur for tab navigation, followup a0ee3d3, thanks @Seynaeve
	[*] FO : Blur for tab navigation, followup a0ee3d3c34b7fc5d149228197be382af59a49e47, thanks @Seynaeve
	[*] FO : Fix bug #PSCFV-9611, autocomplete to off on opc page and other pages
	[*] FO : updated Fancybox plug-in
	[*] FO : a few more SQL improvements
	[*] FO : lots of performance improvements (removed or merged useless SQL queries)
	[*] FO: display Error500 if no database access    Sometimes, we have some problems with the MySQL Database and a Fatal Error is done. With this, we show the error500 template.
	[*] FO : getCatImageLink doesn't work without type thanks @axometeam
	[*] FO : Retrieve invoice address in OPC + guest checkout, thanks @Piotr Moćko
	[*] FO : Fix bug #PSCFV-9440 add another address in guest checkout in OPC
